/*******************************************************************************
 *
 *	Font metric data for ITC Bookman Demi
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Bookman Old Style Bold, which is
 *  	Copyright 1991-1995 The Monotype Corporation.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Bookman_Demi[228] = 
{
    {
	 32, 0x0020,  340, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  360, PSDRV_AGLGlyphNames +  907,
		{   82,   -8,  282,  698 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  420, PSDRV_AGLGlyphNames + 1118,
		{   11,  379,  369,  698 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  660, PSDRV_AGLGlyphNames + 1043,
		{   84,    0,  576,  681 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  660, PSDRV_AGLGlyphNames +  866,
		{   48, -119,  620,  805 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  940, PSDRV_AGLGlyphNames + 1094,
		{   12,   -8,  924,  698 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  800, PSDRV_AGLGlyphNames +  755,
		{   21,  -17,  772,  698 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  240, PSDRV_AGLGlyphNames + 1126,
		{   42,  379,  178,  698 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  320, PSDRV_AGLGlyphNames + 1081,
		{   48, -150,  289,  749 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  320, PSDRV_AGLGlyphNames + 1087,
		{   20, -150,  262,  749 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  460, PSDRV_AGLGlyphNames +  782,
		{   62,  317,  405,  697 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  600, PSDRV_AGLGlyphNames + 1105,
		{   51,    9,  555,  514 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  340, PSDRV_AGLGlyphNames +  835,
		{   78, -124,  257,  162 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  360, PSDRV_AGLGlyphNames +  961,
		{   20,  210,  340,  318 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  340, PSDRV_AGLGlyphNames + 1095,
		{   76,   -8,  258,  172 }, NULL	/* period */
    },
    {
	 47, 0x002f,  600, PSDRV_AGLGlyphNames + 1167,
		{   50, -149,  555,  725 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  660, PSDRV_AGLGlyphNames + 1253,
		{   30,  -17,  639,  698 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  660, PSDRV_AGLGlyphNames + 1060,
		{  137,    0,  568,  681 }, NULL	/* one */
    },
    {
	 50, 0x0032,  660, PSDRV_AGLGlyphNames + 1206,
		{   41,    0,  628,  698 }, NULL	/* two */
    },
    {
	 51, 0x0033,  660, PSDRV_AGLGlyphNames + 1188,
		{   37,  -17,  631,  698 }, NULL	/* three */
    },
    {
	 52, 0x0034,  660, PSDRV_AGLGlyphNames +  930,
		{   19,    0,  649,  681 }, NULL	/* four */
    },
    {
	 53, 0x0035,  660, PSDRV_AGLGlyphNames +  922,
		{   44,  -17,  623,  723 }, NULL	/* five */
    },
    {
	 54, 0x0036,  660, PSDRV_AGLGlyphNames + 1163,
		{   34,  -17,  634,  698 }, NULL	/* six */
    },
    {
	 55, 0x0037,  660, PSDRV_AGLGlyphNames + 1154,
		{   36,    0,  632,  681 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  660, PSDRV_AGLGlyphNames +  886,
		{   36,  -17,  633,  698 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  660, PSDRV_AGLGlyphNames + 1032,
		{   33,  -17,  636,  698 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  340, PSDRV_AGLGlyphNames +  833,
		{   76,   -8,  258,  515 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  340, PSDRV_AGLGlyphNames + 1153,
		{   75, -124,  259,  515 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  600, PSDRV_AGLGlyphNames + 1003,
		{   49,   -9,  558,  542 }, NULL	/* less */
    },
    {
	 61, 0x003d,  600, PSDRV_AGLGlyphNames +  900,
		{   51,  109,  555,  421 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  600, PSDRV_AGLGlyphNames +  948,
		{   48,   -9,  557,  542 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  660, PSDRV_AGLGlyphNames + 1114,
		{   61,   -8,  608,  698 }, NULL	/* question */
    },
    {
	 64, 0x0040,  820, PSDRV_AGLGlyphNames +  785,
		{   60,  -17,  758,  698 }, NULL	/* at */
    },
    {
	 65, 0x0041,  720, PSDRV_AGLGlyphNames +    0,
		{  -34,    0,  763,  681 }, NULL	/* A */
    },
    {
	 66, 0x0042,  720, PSDRV_AGLGlyphNames +   25,
		{   20,    0,  693,  681 }, NULL	/* B */
    },
    {
	 67, 0x0043,  740, PSDRV_AGLGlyphNames +   29,
		{   35,  -17,  724,  698 }, NULL	/* C */
    },
    {
	 68, 0x0044,  780, PSDRV_AGLGlyphNames +   42,
		{   20,    0,  748,  681 }, NULL	/* D */
    },
    {
	 69, 0x0045,  720, PSDRV_AGLGlyphNames +   52,
		{   20,    0,  724,  681 }, NULL	/* E */
    },
    {
	 70, 0x0046,  680, PSDRV_AGLGlyphNames +   75,
		{   20,    0,  686,  681 }, NULL	/* F */
    },
    {
	 71, 0x0047,  780, PSDRV_AGLGlyphNames +   77,
		{   35,  -17,  773,  698 }, NULL	/* G */
    },
    {
	 72, 0x0048,  820, PSDRV_AGLGlyphNames +   87,
		{   20,    0,  800,  681 }, NULL	/* H */
    },
    {
	 73, 0x0049,  400, PSDRV_AGLGlyphNames +   97,
		{   20,    0,  379,  681 }, NULL	/* I */
    },
    {
	 74, 0x004a,  640, PSDRV_AGLGlyphNames +  118,
		{  -12,  -17,  622,  681 }, NULL	/* J */
    },
    {
	 75, 0x004b,  800, PSDRV_AGLGlyphNames +  121,
		{   20,    0,  796,  681 }, NULL	/* K */
    },
    {
	 76, 0x004c,  640, PSDRV_AGLGlyphNames +  125,
		{   20,    0,  668,  681 }, NULL	/* L */
    },
    {
	 77, 0x004d,  940, PSDRV_AGLGlyphNames +  135,
		{   20,    0,  924,  681 }, NULL	/* M */
    },
    {
	 78, 0x004e,  740, PSDRV_AGLGlyphNames +  140,
		{   20,    0,  724,  681 }, NULL	/* N */
    },
    {
	 79, 0x004f,  800, PSDRV_AGLGlyphNames +  148,
		{   35,  -17,  769,  698 }, NULL	/* O */
    },
    {
	 80, 0x0050,  660, PSDRV_AGLGlyphNames +  174,
		{   20,    0,  658,  681 }, NULL	/* P */
    },
    {
	 81, 0x0051,  800, PSDRV_AGLGlyphNames +  179,
		{   35, -226,  775,  698 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  780, PSDRV_AGLGlyphNames +  181,
		{   20,    0,  783,  681 }, NULL	/* R */
    },
    {
	 83, 0x0053,  660, PSDRV_AGLGlyphNames +  189,
		{   21,  -17,  639,  698 }, NULL	/* S */
    },
    {
	 84, 0x0054,  700, PSDRV_AGLGlyphNames +  238,
		{   -4,    0,  703,  681 }, NULL	/* T */
    },
    {
	 85, 0x0055,  740, PSDRV_AGLGlyphNames +  248,
		{   15,  -17,  724,  681 }, NULL	/* U */
    },
    {
	 86, 0x0056,  720, PSDRV_AGLGlyphNames +  269,
		{  -20,    0,  730,  681 }, NULL	/* V */
    },
    {
	 87, 0x0057,  940, PSDRV_AGLGlyphNames +  271,
		{  -20,    0,  963,  681 }, NULL	/* W */
    },
    {
	 88, 0x0058,  780, PSDRV_AGLGlyphNames +  277,
		{    1,    0,  770,  681 }, NULL	/* X */
    },
    {
	 89, 0x0059,  700, PSDRV_AGLGlyphNames +  280,
		{  -20,    0,  718,  681 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  640, PSDRV_AGLGlyphNames +  288,
		{    6,    0,  635,  681 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  300, PSDRV_AGLGlyphNames +  801,
		{   75, -138,  285,  725 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  600, PSDRV_AGLGlyphNames +  788,
		{   50,    0,  555,  725 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  300, PSDRV_AGLGlyphNames +  805,
		{   21, -138,  231,  725 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  600, PSDRV_AGLGlyphNames +  780,
		{   52,  281,  554,  681 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  400, PSDRV_AGLGlyphNames +  945,
		{   68,  547,  327,  730 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  580, PSDRV_AGLGlyphNames +  295,
		{   28,   -8,  588,  515 }, NULL	/* a */
    },
    {
	 98, 0x0062,  600, PSDRV_AGLGlyphNames +  787,
		{  -20,   -8,  568,  725 }, NULL	/* b */
    },
    {
	 99, 0x0063,  580, PSDRV_AGLGlyphNames +  813,
		{   31,   -8,  550,  515 }, NULL	/* c */
    },
    {
	100, 0x0064,  640, PSDRV_AGLGlyphNames +  848,
		{   31,   -8,  622,  725 }, NULL	/* d */
    },
    {
	101, 0x0065,  580, PSDRV_AGLGlyphNames +  878,
		{   31,   -8,  548,  515 }, NULL	/* e */
    },
    {
	102, 0x0066,  380, PSDRV_AGLGlyphNames +  913,
		{   22,    0,  461,  741 }, NULL	/* f */
    },
    {
	103, 0x0067,  580, PSDRV_AGLGlyphNames +  936,
		{    9, -243,  583,  595 }, NULL	/* g */
    },
    {
	104, 0x0068,  680, PSDRV_AGLGlyphNames +  954,
		{   22,    0,  654,  725 }, NULL	/* h */
    },
    {
	105, 0x0069,  360, PSDRV_AGLGlyphNames +  964,
		{   22,    0,  335,  729 }, NULL	/* i */
    },
    {
	106, 0x006a,  340, PSDRV_AGLGlyphNames +  989,
		{  -94, -221,  278,  729 }, NULL	/* j */
    },
    {
	107, 0x006b,  660, PSDRV_AGLGlyphNames +  991,
		{   22,    0,  643,  725 }, NULL	/* k */
    },
    {
	108, 0x006c,  340, PSDRV_AGLGlyphNames +  995,
		{    9,    0,  322,  725 }, NULL	/* l */
    },
    {
	109, 0x006d, 1000, PSDRV_AGLGlyphNames + 1016,
		{   22,    0,  980,  515 }, NULL	/* m */
    },
    {
	110, 0x006e,  680, PSDRV_AGLGlyphNames + 1027,
		{   22,    0,  652,  515 }, NULL	/* n */
    },
    {
	111, 0x006f,  620, PSDRV_AGLGlyphNames + 1044,
		{   31,   -8,  585,  515 }, NULL	/* o */
    },
    {
	112, 0x0070,  640, PSDRV_AGLGlyphNames + 1079,
		{   22, -212,  611,  515 }, NULL	/* p */
    },
    {
	113, 0x0071,  620, PSDRV_AGLGlyphNames + 1113,
		{   31, -212,  633,  515 }, NULL	/* q */
    },
    {
	114, 0x0072,  460, PSDRV_AGLGlyphNames + 1127,
		{   22,    0,  462,  502 }, NULL	/* r */
    },
    {
	115, 0x0073,  520, PSDRV_AGLGlyphNames + 1145,
		{   22,   -8,  492,  515 }, NULL	/* s */
    },
    {
	116, 0x0074,  460, PSDRV_AGLGlyphNames + 1178,
		{   22,   -8,  445,  660 }, NULL	/* t */
    },
    {
	117, 0x0075,  660, PSDRV_AGLGlyphNames + 1212,
		{   22,   -8,  653,  502 }, NULL	/* u */
    },
    {
	118, 0x0076,  600, PSDRV_AGLGlyphNames + 1234,
		{   -6,    0,  593,  502 }, NULL	/* v */
    },
    {
	119, 0x0077,  800, PSDRV_AGLGlyphNames + 1235,
		{   -6,    0,  810,  502 }, NULL	/* w */
    },
    {
	120, 0x0078,  600, PSDRV_AGLGlyphNames + 1241,
		{    8,    0,  591,  502 }, NULL	/* x */
    },
    {
	121, 0x0079,  620, PSDRV_AGLGlyphNames + 1243,
		{    6, -221,  613,  502 }, NULL	/* y */
    },
    {
	122, 0x007a,  560, PSDRV_AGLGlyphNames + 1249,
		{   22,    0,  547,  502 }, NULL	/* z */
    },
    {
	123, 0x007b,  320, PSDRV_AGLGlyphNames +  793,
		{   14, -139,  301,  726 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  600, PSDRV_AGLGlyphNames +  789,
		{  243, -250,  362,  750 }, NULL	/* bar */
    },
    {
	125, 0x007d,  320, PSDRV_AGLGlyphNames +  797,
		{   15, -140,  302,  725 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  600, PSDRV_AGLGlyphNames +  781,
		{   51,  162,  555,  368 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  360, PSDRV_AGLGlyphNames +  909,
		{   84, -191,  284,  515 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  660, PSDRV_AGLGlyphNames +  822,
		{  133,   17,  535,  674 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  660, PSDRV_AGLGlyphNames + 1173,
		{   10,  -17,  659,  698 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  660, PSDRV_AGLGlyphNames +  843,
		{   77,   88,  584,  593 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  660, PSDRV_AGLGlyphNames + 1247,
		{  -28,    0,  696,  681 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  600, PSDRV_AGLGlyphNames +  810,
		{  243, -175,  362,  675 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  600, PSDRV_AGLGlyphNames + 1152,
		{   36, -153,  560,  698 }, NULL	/* section */
    },
    {
	200, 0x00a8,  500, PSDRV_AGLGlyphNames +  859,
		{   68,  560,  441,  698 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  740, PSDRV_AGLGlyphNames +  840,
		{   23,  -17,  723,  698 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  400, PSDRV_AGLGlyphNames + 1071,
		{   27,  383,  396,  698 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  400, PSDRV_AGLGlyphNames +  950,
		{   34,  101,  360,  457 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  600, PSDRV_AGLGlyphNames + 1009,
		{   51,  129,  555,  421 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  740, PSDRV_AGLGlyphNames + 1135,
		{   23,  -17,  723,  698 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{   50,  398,  350,  698 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  600, PSDRV_AGLGlyphNames + 1106,
		{   51,    0,  555,  514 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  396, PSDRV_AGLGlyphNames + 1210,
		{   14,  279,  396,  698 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  396, PSDRV_AGLGlyphNames + 1194,
		{    5,  269,  391,  698 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  400, PSDRV_AGLGlyphNames +  500,
		{   68,  547,  327,  731 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  800, PSDRV_AGLGlyphNames + 1080,
		{   51,    0,  698,  681 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  340, PSDRV_AGLGlyphNames + 1096,
		{   76,  175,  258,  355 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  360, PSDRV_AGLGlyphNames +  821,
		{   68, -213,  284,    0 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  396, PSDRV_AGLGlyphNames + 1068,
		{   65,  279,  345,  687 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  400, PSDRV_AGLGlyphNames + 1072,
		{   17,  383,  383,  698 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  400, PSDRV_AGLGlyphNames +  951,
		{   34,  101,  360,  457 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  990, PSDRV_AGLGlyphNames + 1067,
		{   65,    0,  967,  681 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  990, PSDRV_AGLGlyphNames + 1064,
		{   65,    0,  980,  681 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  990, PSDRV_AGLGlyphNames + 1192,
		{   15,    0,  967,  692 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  660, PSDRV_AGLGlyphNames + 1115,
		{   62, -191,  609,  515 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  720, PSDRV_AGLGlyphNames +   13,
		{  -34,    0,  763,  909 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  720, PSDRV_AGLGlyphNames +    4,
		{  -34,    0,  763,  910 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  720, PSDRV_AGLGlyphNames +    7,
		{  -34,    0,  763,  910 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  720, PSDRV_AGLGlyphNames +   23,
		{  -34,    0,  763,  870 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  720, PSDRV_AGLGlyphNames +   11,
		{  -34,    0,  763,  877 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  720, PSDRV_AGLGlyphNames +   19,
		{  -34,    0,  763,  934 }, NULL	/* Aring */
    },
    {
	225, 0x00c6, 1140, PSDRV_AGLGlyphNames +    1,
		{  -34,    0, 1149,  681 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  740, PSDRV_AGLGlyphNames +   34,
		{   35, -213,  724,  698 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  720, PSDRV_AGLGlyphNames +   62,
		{   20,    0,  724,  909 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  720, PSDRV_AGLGlyphNames +   53,
		{   20,    0,  724,  910 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  720, PSDRV_AGLGlyphNames +   57,
		{   20,    0,  724,  910 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  720, PSDRV_AGLGlyphNames +   59,
		{   20,    0,  724,  877 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  400, PSDRV_AGLGlyphNames +  109,
		{   20,    0,  379,  909 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  400, PSDRV_AGLGlyphNames +   99,
		{   20,    0,  379,  910 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  400, PSDRV_AGLGlyphNames +  102,
		{   18,    0,  380,  910 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  400, PSDRV_AGLGlyphNames +  104,
		{   18,    0,  391,  877 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  780, PSDRV_AGLGlyphNames +   72,
		{   20,    0,  748,  681 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  740, PSDRV_AGLGlyphNames +  145,
		{   20,    0,  724,  870 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  800, PSDRV_AGLGlyphNames +  159,
		{   35,  -17,  769,  909 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  800, PSDRV_AGLGlyphNames +  151,
		{   35,  -17,  769,  910 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  800, PSDRV_AGLGlyphNames +  154,
		{   35,  -17,  769,  910 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  800, PSDRV_AGLGlyphNames +  172,
		{   35,  -17,  769,  870 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  800, PSDRV_AGLGlyphNames +  156,
		{   35,  -17,  769,  877 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  600, PSDRV_AGLGlyphNames + 1024,
		{   48,   10,  552,  514 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  800, PSDRV_AGLGlyphNames +  168,
		{   35, -110,  771,  781 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  740, PSDRV_AGLGlyphNames +  256,
		{   15,  -17,  724,  909 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  740, PSDRV_AGLGlyphNames +  249,
		{   15,  -17,  724,  910 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  740, PSDRV_AGLGlyphNames +  252,
		{   15,  -17,  724,  910 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  740, PSDRV_AGLGlyphNames +  254,
		{   15,  -17,  724,  877 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  700, PSDRV_AGLGlyphNames +  281,
		{  -20,    0,  718,  910 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  660, PSDRV_AGLGlyphNames +  244,
		{   20,    0,  658,  681 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  660, PSDRV_AGLGlyphNames +  943,
		{  -61,  -91,  644,  699 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  580, PSDRV_AGLGlyphNames +  750,
		{   28,   -8,  588,  730 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  580, PSDRV_AGLGlyphNames +  497,
		{   28,   -8,  588,  731 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  580, PSDRV_AGLGlyphNames +  499,
		{   28,   -8,  588,  731 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  580, PSDRV_AGLGlyphNames +  786,
		{   28,   -8,  588,  691 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  580, PSDRV_AGLGlyphNames +  502,
		{   28,   -8,  588,  698 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  580, PSDRV_AGLGlyphNames +  764,
		{   28,   -8,  588,  755 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  880, PSDRV_AGLGlyphNames +  503,
		{   28,   -8,  852,  515 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  580, PSDRV_AGLGlyphNames +  818,
		{   31, -213,  550,  515 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  580, PSDRV_AGLGlyphNames +  885,
		{   31,   -8,  548,  730 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  580, PSDRV_AGLGlyphNames +  879,
		{   31,   -8,  548,  731 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  580, PSDRV_AGLGlyphNames +  882,
		{   31,   -8,  548,  731 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  580, PSDRV_AGLGlyphNames +  883,
		{   31,   -8,  548,  698 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  360, PSDRV_AGLGlyphNames +  969,
		{   22,    0,  335,  730 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  360, PSDRV_AGLGlyphNames +  965,
		{   22,    0,  335,  731 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  360, PSDRV_AGLGlyphNames +  967,
		{   -2,    0,  360,  731 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  360, PSDRV_AGLGlyphNames +  968,
		{   -2,    0,  371,  698 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  620, PSDRV_AGLGlyphNames +  906,
		{   31,   -8,  585,  741 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  680, PSDRV_AGLGlyphNames + 1041,
		{   22,    0,  652,  691 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  620, PSDRV_AGLGlyphNames + 1051,
		{   31,   -8,  585,  730 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  620, PSDRV_AGLGlyphNames + 1045,
		{   31,   -8,  585,  731 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  620, PSDRV_AGLGlyphNames + 1047,
		{   31,   -8,  585,  731 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  620, PSDRV_AGLGlyphNames + 1077,
		{   31,   -8,  585,  691 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  620, PSDRV_AGLGlyphNames + 1048,
		{   31,   -8,  585,  698 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  600, PSDRV_AGLGlyphNames +  863,
		{   51,    9,  555,  521 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  620, PSDRV_AGLGlyphNames + 1074,
		{   31,  -40,  586,  551 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  660, PSDRV_AGLGlyphNames + 1217,
		{   22,   -8,  653,  730 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  660, PSDRV_AGLGlyphNames + 1213,
		{   22,   -8,  653,  731 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  660, PSDRV_AGLGlyphNames + 1215,
		{   22,   -8,  653,  731 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  660, PSDRV_AGLGlyphNames + 1216,
		{   22,   -8,  653,  698 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  620, PSDRV_AGLGlyphNames + 1244,
		{    6, -221,  613,  731 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  640, PSDRV_AGLGlyphNames + 1187,
		{   22, -212,  611,  725 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  620, PSDRV_AGLGlyphNames + 1246,
		{    6, -221,  613,  698 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  360, PSDRV_AGLGlyphNames +  873,
		{   22,    0,  335,  502 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  640, PSDRV_AGLGlyphNames +  132,
		{   20,    0,  668,  681 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  340, PSDRV_AGLGlyphNames + 1013,
		{    9,    0,  322,  725 }, NULL	/* lslash */
    },
    {
	234, 0x0152, 1220, PSDRV_AGLGlyphNames +  149,
		{   35,  -17, 1219,  698 }, NULL	/* OE */
    },
    {
	250, 0x0153,  940, PSDRV_AGLGlyphNames + 1049,
		{   31,   -8,  908,  515 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  660, PSDRV_AGLGlyphNames +  231,
		{   21,  -17,  639,  896 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  520, PSDRV_AGLGlyphNames + 1147,
		{   22,   -8,  492,  717 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  700, PSDRV_AGLGlyphNames +  284,
		{  -20,    0,  718,  877 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  640, PSDRV_AGLGlyphNames +  290,
		{    6,    0,  635,  896 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  560, PSDRV_AGLGlyphNames + 1251,
		{   22,    0,  547,  717 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  660, PSDRV_AGLGlyphNames +  928,
		{  -46, -209,  674,  749 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  500, PSDRV_AGLGlyphNames +  831,
		{   68,  555,  430,  731 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  500, PSDRV_AGLGlyphNames +  815,
		{   68,  541,  430,  717 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  460, PSDRV_AGLGlyphNames + 1017,
		{   68,  577,  383,  663 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  500, PSDRV_AGLGlyphNames +  809,
		{   68,  553,  429,  722 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  320, PSDRV_AGLGlyphNames +  871,
		{   68,  536,  259,  730 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  340, PSDRV_AGLGlyphNames + 1141,
		{   68,  552,  275,  755 }, NULL	/* ring */
    },
    {
	206, 0x02db,  320, PSDRV_AGLGlyphNames + 1050,
		{   68, -163,  246,    0 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  480, PSDRV_AGLGlyphNames + 1195,
		{   69,  556,  421,  691 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  440, PSDRV_AGLGlyphNames +  960,
		{   68,  554,  365,  741 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  660, PSDRV_AGLGlyphNames + 1023,
		{   22, -221,  653,  502 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{  -25,  212,  525,  318 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{  -25,  212, 1025,  318 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  320, PSDRV_AGLGlyphNames + 1122,
		{   82,  440,  242,  698 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  320, PSDRV_AGLGlyphNames + 1124,
		{   82,  440,  242,  698 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  320, PSDRV_AGLGlyphNames + 1125,
		{   82, -114,  242,  144 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  540, PSDRV_AGLGlyphNames + 1120,
		{   82,  439,  449,  698 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  540, PSDRV_AGLGlyphNames + 1121,
		{   82,  440,  449,  698 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  540, PSDRV_AGLGlyphNames + 1119,
		{   82, -114,  450,  144 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  440, PSDRV_AGLGlyphNames +  849,
		{   33, -156,  398,  698 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  380, PSDRV_AGLGlyphNames +  850,
		{    8, -156,  380,  698 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  460, PSDRV_AGLGlyphNames +  812,
		{   60,  170,  404,  511 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{   76,   -8,  924,  172 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1360, PSDRV_AGLGlyphNames + 1100,
		{   12,   -8, 1346,  698 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  220, PSDRV_AGLGlyphNames +  952,
		{   34,  101,  188,  457 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  220, PSDRV_AGLGlyphNames +  953,
		{   34,  101,  188,  457 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122,  980, PSDRV_AGLGlyphNames + 1198,
		{   42,  277,  982,  681 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  600, PSDRV_AGLGlyphNames + 1020,
		{   51,  207,  555,  323 }, NULL	/* minus */
    },
    {
	164, 0x2215,  120, PSDRV_AGLGlyphNames +  934,
		{ -194,    0,  312,  681 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  740, PSDRV_AGLGlyphNames +  918,
		{   22,    0,  710,  741 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  740, PSDRV_AGLGlyphNames +  927,
		{   22,    0,  710,  741 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Bookman_Demi =
{
    "Bookman-Demi",				/* FontName */
    "ITC Bookman Demi",				/* FullName */
    "ITC Bookman",				/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_DEMIBOLD,				/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -194, -250, 1346, 934 },			/* FontBBox */
    681,					/* CapHeight */
    502,					/* XHeight */
    725,					/* Ascender */
    -212,					/* Descender */
    934,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	942,				/* WinMetrics.sAscender */
	-232,				/* WinMetrics.sDescender */
	0,				/* WinMetrics.sLineGap */
	527,				/* WinMetrics.sAvgCharWidth */
	717,				/* WinMetrics.sTypoAscender */
	-223,				/* WinMetrics.sTypoDescender */
	130,				/* WinMetrics.sTypoLineGap */
	941,				/* WinMetrics.usWinAscent */
	231				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 340, 360, 420, 660, 660, 	/* CharWidths[30] - CharWidths[36] */
	940, 800, 240, 320, 320, 460, 	/* CharWidths[37] - CharWidths[42] */
	600, 340, 360, 340, 600, 660, 	/* CharWidths[43] - CharWidths[48] */
	660, 660, 660, 660, 660, 660, 	/* CharWidths[49] - CharWidths[54] */
	660, 660, 660, 340, 340, 600, 	/* CharWidths[55] - CharWidths[60] */
	600, 600, 660, 820, 720, 720, 	/* CharWidths[61] - CharWidths[66] */
	740, 780, 720, 680, 780, 820, 	/* CharWidths[67] - CharWidths[72] */
	400, 640, 800, 640, 940, 740, 	/* CharWidths[73] - CharWidths[78] */
	800, 660, 800, 780, 660, 700, 	/* CharWidths[79] - CharWidths[84] */
	740, 720, 940, 780, 700, 640, 	/* CharWidths[85] - CharWidths[90] */
	300, 600, 300, 600, 500, 400, 	/* CharWidths[91] - CharWidths[96] */
	580, 600, 580, 640, 580, 380, 	/* CharWidths[97] - CharWidths[102] */
	580, 680, 360, 340, 660, 340, 	/* CharWidths[103] - CharWidths[108] */
	1000, 680, 620, 640, 620, 460, 	/* CharWidths[109] - CharWidths[114] */
	520, 460, 660, 600, 800, 600, 	/* CharWidths[115] - CharWidths[120] */
	620, 560, 320, 600, 320, 600, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 320, 	/* CharWidths[137] - CharWidths[145] */
	320, 540, 540, 460, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 340, 	/* CharWidths[152] - CharWidths[160] */
	360, 660, 660, 660, 660, 600, 	/* CharWidths[161] - CharWidths[166] */
	600, 500, 740, 540, 400, 600, 	/* CharWidths[167] - CharWidths[172] */
	360, 740, 460, 400, 600, 396, 	/* CharWidths[173] - CharWidths[178] */
	396, 400, 0, 800, 340, 360, 	/* CharWidths[179] - CharWidths[184] */
	396, 540, 400, 990, 990, 990, 	/* CharWidths[185] - CharWidths[190] */
	660, 0, 400, 400, 500, 480, 	/* CharWidths[191] - CharWidths[196] */
	460, 500, 320, 500, 0, 340, 	/* CharWidths[197] - CharWidths[202] */
	360, 0, 440, 320, 500, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 600, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 1140, 0, 	/* CharWidths[218] - CharWidths[226] */
	400, 0, 0, 0, 0, 640, 800, 	/* CharWidths[227] - CharWidths[233] */
	1220, 400, 0, 0, 0, 0, 0, 880, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 360, 0, 600, 340, 	/* CharWidths[242] - CharWidths[248] */
	620, 940, 660, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Bookman_Demi,				/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
