/*******************************************************************************
 *
 *	Font metric data for ITC Bookman Light
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Bookman Old Style, which is Copyright
 *  	1991-1995 The Monotype Corporation.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Bookman_Light[228] = 
{
    {
	 32, 0x0020,  320, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  300, PSDRV_AGLGlyphNames +  907,
		{   75,   -8,  219,  698 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  380, PSDRV_AGLGlyphNames + 1118,
		{   56,  458,  323,  698 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  620, PSDRV_AGLGlyphNames + 1043,
		{   65,    0,  556,  681 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  620, PSDRV_AGLGlyphNames +  866,
		{   34, -109,  593,  791 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  900, PSDRV_AGLGlyphNames + 1094,
		{   22,   -8,  873,  698 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  800, PSDRV_AGLGlyphNames +  755,
		{   45,  -17,  787,  698 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  220, PSDRV_AGLGlyphNames + 1126,
		{   67,  458,  153,  698 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  300, PSDRV_AGLGlyphNames + 1081,
		{   76, -145,  278,  727 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  300, PSDRV_AGLGlyphNames + 1087,
		{   17, -146,  219,  727 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  440, PSDRV_AGLGlyphNames +  782,
		{   54,  325,  391,  698 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  600, PSDRV_AGLGlyphNames + 1105,
		{   51,    8,  555,  513 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  320, PSDRV_AGLGlyphNames +  835,
		{   90, -114,  223,  114 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  400, PSDRV_AGLGlyphNames +  961,
		{   50,  232,  350,  292 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  320, PSDRV_AGLGlyphNames + 1095,
		{   92,   -8,  220,  123 }, NULL	/* period */
    },
    {
	 47, 0x002f,  600, PSDRV_AGLGlyphNames + 1167,
		{   74, -149,  532,  717 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  620, PSDRV_AGLGlyphNames + 1253,
		{   40,  -17,  586,  698 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  620, PSDRV_AGLGlyphNames + 1060,
		{  160,    0,  501,  681 }, NULL	/* one */
    },
    {
	 50, 0x0032,  620, PSDRV_AGLGlyphNames + 1206,
		{   42,    0,  576,  698 }, NULL	/* two */
    },
    {
	 51, 0x0033,  620, PSDRV_AGLGlyphNames + 1188,
		{   40,  -17,  576,  698 }, NULL	/* three */
    },
    {
	 52, 0x0034,  620, PSDRV_AGLGlyphNames +  930,
		{   25,    0,  600,  681 }, NULL	/* four */
    },
    {
	 53, 0x0035,  620, PSDRV_AGLGlyphNames +  922,
		{   60,  -17,  584,  717 }, NULL	/* five */
    },
    {
	 54, 0x0036,  620, PSDRV_AGLGlyphNames + 1163,
		{   45,  -17,  590,  698 }, NULL	/* six */
    },
    {
	 55, 0x0037,  620, PSDRV_AGLGlyphNames + 1154,
		{   60,    0,  586,  681 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  620, PSDRV_AGLGlyphNames +  886,
		{   44,  -17,  583,  698 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  620, PSDRV_AGLGlyphNames + 1032,
		{   37,  -17,  576,  698 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  320, PSDRV_AGLGlyphNames +  833,
		{   92,   -8,  220,  494 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  320, PSDRV_AGLGlyphNames + 1153,
		{   90, -114,  223,  494 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  600, PSDRV_AGLGlyphNames + 1003,
		{   49,   -2,  558,  526 }, NULL	/* less */
    },
    {
	 61, 0x003d,  600, PSDRV_AGLGlyphNames +  900,
		{   51,  126,  555,  398 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  600, PSDRV_AGLGlyphNames +  948,
		{   48,   -2,  557,  526 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  540, PSDRV_AGLGlyphNames + 1114,
		{   27,   -8,  514,  698 }, NULL	/* question */
    },
    {
	 64, 0x0040,  820, PSDRV_AGLGlyphNames +  785,
		{   55,  -17,  755,  698 }, NULL	/* at */
    },
    {
	 65, 0x0041,  680, PSDRV_AGLGlyphNames +    0,
		{  -37,    0,  714,  681 }, NULL	/* A */
    },
    {
	 66, 0x0042,  740, PSDRV_AGLGlyphNames +   25,
		{   31,    0,  702,  681 }, NULL	/* B */
    },
    {
	 67, 0x0043,  740, PSDRV_AGLGlyphNames +   29,
		{   44,  -17,  702,  698 }, NULL	/* C */
    },
    {
	 68, 0x0044,  800, PSDRV_AGLGlyphNames +   42,
		{   31,    0,  752,  681 }, NULL	/* D */
    },
    {
	 69, 0x0045,  720, PSDRV_AGLGlyphNames +   52,
		{   31,    0,  705,  681 }, NULL	/* E */
    },
    {
	 70, 0x0046,  640, PSDRV_AGLGlyphNames +   75,
		{   31,    0,  654,  681 }, NULL	/* F */
    },
    {
	 71, 0x0047,  800, PSDRV_AGLGlyphNames +   77,
		{   44,  -17,  778,  698 }, NULL	/* G */
    },
    {
	 72, 0x0048,  800, PSDRV_AGLGlyphNames +   87,
		{   31,    0,  769,  681 }, NULL	/* H */
    },
    {
	 73, 0x0049,  340, PSDRV_AGLGlyphNames +   97,
		{   31,    0,  301,  681 }, NULL	/* I */
    },
    {
	 74, 0x004a,  600, PSDRV_AGLGlyphNames +  118,
		{  -23,  -17,  567,  681 }, NULL	/* J */
    },
    {
	 75, 0x004b,  720, PSDRV_AGLGlyphNames +  121,
		{   31,    0,  750,  681 }, NULL	/* K */
    },
    {
	 76, 0x004c,  600, PSDRV_AGLGlyphNames +  125,
		{   31,    0,  629,  681 }, NULL	/* L */
    },
    {
	 77, 0x004d,  920, PSDRV_AGLGlyphNames +  135,
		{   26,    0,  894,  681 }, NULL	/* M */
    },
    {
	 78, 0x004e,  740, PSDRV_AGLGlyphNames +  140,
		{   26,    0,  722,  681 }, NULL	/* N */
    },
    {
	 79, 0x004f,  800, PSDRV_AGLGlyphNames +  148,
		{   44,  -17,  758,  698 }, NULL	/* O */
    },
    {
	 80, 0x0050,  620, PSDRV_AGLGlyphNames +  174,
		{   31,    0,  613,  681 }, NULL	/* P */
    },
    {
	 81, 0x0051,  820, PSDRV_AGLGlyphNames +  179,
		{   44, -189,  769,  698 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  720, PSDRV_AGLGlyphNames +  181,
		{   31,    0,  757,  681 }, NULL	/* R */
    },
    {
	 83, 0x0053,  660, PSDRV_AGLGlyphNames +  189,
		{   28,  -17,  634,  698 }, NULL	/* S */
    },
    {
	 84, 0x0054,  620, PSDRV_AGLGlyphNames +  238,
		{  -37,    0,  656,  681 }, NULL	/* T */
    },
    {
	 85, 0x0055,  780, PSDRV_AGLGlyphNames +  248,
		{   25,  -17,  754,  681 }, NULL	/* U */
    },
    {
	 86, 0x0056,  700, PSDRV_AGLGlyphNames +  269,
		{  -30,    0,  725,  681 }, NULL	/* V */
    },
    {
	 87, 0x0057,  960, PSDRV_AGLGlyphNames +  271,
		{  -30,    0,  984,  681 }, NULL	/* W */
    },
    {
	 88, 0x0058,  720, PSDRV_AGLGlyphNames +  277,
		{  -30,    0,  755,  681 }, NULL	/* X */
    },
    {
	 89, 0x0059,  640, PSDRV_AGLGlyphNames +  280,
		{  -30,    0,  666,  681 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  640, PSDRV_AGLGlyphNames +  288,
		{   10,    0,  656,  681 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  300, PSDRV_AGLGlyphNames +  801,
		{   92, -136,  258,  717 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  600, PSDRV_AGLGlyphNames +  788,
		{   74,    0,  532,  717 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  300, PSDRV_AGLGlyphNames +  805,
		{   41, -136,  207,  717 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  600, PSDRV_AGLGlyphNames +  780,
		{   52,  276,  554,  681 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  340, PSDRV_AGLGlyphNames +  945,
		{   68,  571,  274,  689 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  580, PSDRV_AGLGlyphNames +  295,
		{   35,   -8,  587,  494 }, NULL	/* a */
    },
    {
	 98, 0x0062,  620, PSDRV_AGLGlyphNames +  787,
		{   -2,   -8,  582,  717 }, NULL	/* b */
    },
    {
	 99, 0x0063,  520, PSDRV_AGLGlyphNames +  813,
		{   37,   -8,  498,  494 }, NULL	/* c */
    },
    {
	100, 0x0064,  620, PSDRV_AGLGlyphNames +  848,
		{   37,   -8,  591,  717 }, NULL	/* d */
    },
    {
	101, 0x0065,  520, PSDRV_AGLGlyphNames +  878,
		{   37,   -8,  491,  494 }, NULL	/* e */
    },
    {
	102, 0x0066,  320, PSDRV_AGLGlyphNames +  913,
		{   20,    0,  414,  734 }, NULL	/* f */
    },
    {
	103, 0x0067,  540, PSDRV_AGLGlyphNames +  936,
		{   17, -243,  542,  567 }, NULL	/* g */
    },
    {
	104, 0x0068,  660, PSDRV_AGLGlyphNames +  954,
		{   20,    0,  643,  717 }, NULL	/* h */
    },
    {
	105, 0x0069,  300, PSDRV_AGLGlyphNames +  964,
		{   20,    0,  288,  654 }, NULL	/* i */
    },
    {
	106, 0x006a,  300, PSDRV_AGLGlyphNames +  989,
		{ -109, -251,  214,  654 }, NULL	/* j */
    },
    {
	107, 0x006b,  620, PSDRV_AGLGlyphNames +  991,
		{   20,    0,  628,  717 }, NULL	/* k */
    },
    {
	108, 0x006c,  300, PSDRV_AGLGlyphNames +  995,
		{   20,    0,  286,  717 }, NULL	/* l */
    },
    {
	109, 0x006d,  940, PSDRV_AGLGlyphNames + 1016,
		{   17,    0,  928,  494 }, NULL	/* m */
    },
    {
	110, 0x006e,  660, PSDRV_AGLGlyphNames + 1027,
		{   20,    0,  649,  494 }, NULL	/* n */
    },
    {
	111, 0x006f,  560, PSDRV_AGLGlyphNames + 1044,
		{   37,   -8,  526,  494 }, NULL	/* o */
    },
    {
	112, 0x0070,  620, PSDRV_AGLGlyphNames + 1079,
		{   20, -228,  583,  494 }, NULL	/* p */
    },
    {
	113, 0x0071,  580, PSDRV_AGLGlyphNames + 1113,
		{   37, -228,  589,  494 }, NULL	/* q */
    },
    {
	114, 0x0072,  440, PSDRV_AGLGlyphNames + 1127,
		{   20,    0,  447,  494 }, NULL	/* r */
    },
    {
	115, 0x0073,  520, PSDRV_AGLGlyphNames + 1145,
		{   40,   -8,  487,  494 }, NULL	/* s */
    },
    {
	116, 0x0074,  380, PSDRV_AGLGlyphNames + 1178,
		{   20,   -8,  388,  667 }, NULL	/* t */
    },
    {
	117, 0x0075,  680, PSDRV_AGLGlyphNames + 1212,
		{   20,   -8,  653,  484 }, NULL	/* u */
    },
    {
	118, 0x0076,  520, PSDRV_AGLGlyphNames + 1234,
		{  -23,    0,  534,  484 }, NULL	/* v */
    },
    {
	119, 0x0077,  780, PSDRV_AGLGlyphNames + 1235,
		{  -19,    0,  804,  484 }, NULL	/* w */
    },
    {
	120, 0x0078,  560, PSDRV_AGLGlyphNames + 1241,
		{  -16,    0,  576,  484 }, NULL	/* x */
    },
    {
	121, 0x0079,  540, PSDRV_AGLGlyphNames + 1243,
		{  -23, -236,  549,  484 }, NULL	/* y */
    },
    {
	122, 0x007a,  480, PSDRV_AGLGlyphNames + 1249,
		{    7,    0,  476,  484 }, NULL	/* z */
    },
    {
	123, 0x007b,  280, PSDRV_AGLGlyphNames +  793,
		{   21, -136,  260,  717 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  600, PSDRV_AGLGlyphNames +  789,
		{  264, -250,  342,  750 }, NULL	/* bar */
    },
    {
	125, 0x007d,  280, PSDRV_AGLGlyphNames +  797,
		{   21, -136,  260,  717 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  600, PSDRV_AGLGlyphNames +  781,
		{   52,  173,  556,  352 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  300, PSDRV_AGLGlyphNames +  909,
		{   75, -214,  219,  494 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  620, PSDRV_AGLGlyphNames +  822,
		{  116,   20,  511,  651 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  620, PSDRV_AGLGlyphNames + 1173,
		{    8,  -17,  631,  698 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  620, PSDRV_AGLGlyphNames +  843,
		{   58,   89,  563,  591 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  620, PSDRV_AGLGlyphNames + 1247,
		{  -22,    0,  647,  681 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  600, PSDRV_AGLGlyphNames +  810,
		{  264, -175,  342,  675 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  520, PSDRV_AGLGlyphNames + 1152,
		{   33, -178,  486,  698 }, NULL	/* section */
    },
    {
	200, 0x00a8,  420, PSDRV_AGLGlyphNames +  859,
		{   68,  552,  349,  674 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  740, PSDRV_AGLGlyphNames +  840,
		{   24,  -17,  724,  698 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  420, PSDRV_AGLGlyphNames + 1071,
		{   49,  395,  393,  698 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  360, PSDRV_AGLGlyphNames +  950,
		{   51,   89,  312,  437 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  600, PSDRV_AGLGlyphNames + 1009,
		{   51,  128,  555,  398 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  740, PSDRV_AGLGlyphNames + 1135,
		{   23,  -17,  723,  698 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{   50,  398,  350,  698 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  600, PSDRV_AGLGlyphNames + 1106,
		{   51,    0,  555,  513 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  372, PSDRV_AGLGlyphNames + 1210,
		{   20,  279,  367,  698 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  372, PSDRV_AGLGlyphNames + 1194,
		{   12,  269,  360,  698 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  340, PSDRV_AGLGlyphNames +  500,
		{   68,  571,  274,  689 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  600, PSDRV_AGLGlyphNames + 1080,
		{   14,    0,  577,  681 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  320, PSDRV_AGLGlyphNames + 1096,
		{   92,  196,  220,  327 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  320, PSDRV_AGLGlyphNames +  821,
		{   68, -200,  257,    0 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  372, PSDRV_AGLGlyphNames + 1068,
		{   80,  279,  302,  688 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  420, PSDRV_AGLGlyphNames + 1072,
		{   56,  394,  361,  698 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  360, PSDRV_AGLGlyphNames +  951,
		{   51,   89,  312,  437 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  930, PSDRV_AGLGlyphNames + 1067,
		{   80,    0,  869,  681 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  930, PSDRV_AGLGlyphNames + 1064,
		{   80,    0,  885,  681 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  930, PSDRV_AGLGlyphNames + 1192,
		{   52,    0,  889,  691 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  540, PSDRV_AGLGlyphNames + 1115,
		{   23, -217,  510,  494 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  680, PSDRV_AGLGlyphNames +   13,
		{  -37,    0,  714,  866 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  680, PSDRV_AGLGlyphNames +    4,
		{  -37,    0,  714,  866 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  680, PSDRV_AGLGlyphNames +    7,
		{  -37,    0,  714,  862 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  680, PSDRV_AGLGlyphNames +   23,
		{  -37,    0,  714,  838 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  680, PSDRV_AGLGlyphNames +   11,
		{  -37,    0,  714,  851 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  680, PSDRV_AGLGlyphNames +   19,
		{  -37,    0,  714,  908 }, NULL	/* Aring */
    },
    {
	225, 0x00c6, 1260, PSDRV_AGLGlyphNames +    1,
		{  -36,    0, 1250,  681 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  740, PSDRV_AGLGlyphNames +   34,
		{   44, -200,  702,  698 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  720, PSDRV_AGLGlyphNames +   62,
		{   31,    0,  705,  866 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  720, PSDRV_AGLGlyphNames +   53,
		{   31,    0,  705,  866 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  720, PSDRV_AGLGlyphNames +   57,
		{   31,    0,  705,  862 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  720, PSDRV_AGLGlyphNames +   59,
		{   31,    0,  705,  851 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  340, PSDRV_AGLGlyphNames +  109,
		{   31,    0,  301,  866 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  340, PSDRV_AGLGlyphNames +   99,
		{   31,    0,  301,  866 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  340, PSDRV_AGLGlyphNames +  102,
		{   28,    0,  312,  862 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  340, PSDRV_AGLGlyphNames +  104,
		{   28,    0,  309,  851 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  800, PSDRV_AGLGlyphNames +   72,
		{   31,    0,  752,  681 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  740, PSDRV_AGLGlyphNames +  145,
		{   26,    0,  722,  838 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  800, PSDRV_AGLGlyphNames +  159,
		{   44,  -17,  758,  866 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  800, PSDRV_AGLGlyphNames +  151,
		{   44,  -17,  758,  866 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  800, PSDRV_AGLGlyphNames +  154,
		{   44,  -17,  758,  862 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  800, PSDRV_AGLGlyphNames +  172,
		{   44,  -17,  758,  838 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  800, PSDRV_AGLGlyphNames +  156,
		{   44,  -17,  758,  851 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  600, PSDRV_AGLGlyphNames + 1024,
		{   51,    9,  555,  513 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  800, PSDRV_AGLGlyphNames +  168,
		{   44,  -53,  758,  733 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  780, PSDRV_AGLGlyphNames +  256,
		{   25,  -17,  754,  866 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  780, PSDRV_AGLGlyphNames +  249,
		{   25,  -17,  754,  866 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  780, PSDRV_AGLGlyphNames +  252,
		{   25,  -17,  754,  862 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  780, PSDRV_AGLGlyphNames +  254,
		{   25,  -17,  754,  851 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  640, PSDRV_AGLGlyphNames +  281,
		{  -30,    0,  666,  866 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  620, PSDRV_AGLGlyphNames +  244,
		{   31,    0,  613,  681 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  660, PSDRV_AGLGlyphNames +  943,
		{ -109, -110,  614,  698 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  580, PSDRV_AGLGlyphNames +  750,
		{   35,   -8,  587,  689 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  580, PSDRV_AGLGlyphNames +  497,
		{   35,   -8,  587,  689 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  580, PSDRV_AGLGlyphNames +  499,
		{   35,   -8,  587,  685 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  580, PSDRV_AGLGlyphNames +  786,
		{   35,   -8,  587,  661 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  580, PSDRV_AGLGlyphNames +  502,
		{   35,   -8,  587,  674 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  580, PSDRV_AGLGlyphNames +  764,
		{   35,   -8,  587,  731 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  860, PSDRV_AGLGlyphNames +  503,
		{   35,   -8,  832,  494 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  520, PSDRV_AGLGlyphNames +  818,
		{   37, -200,  498,  494 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  520, PSDRV_AGLGlyphNames +  885,
		{   37,   -8,  491,  689 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  520, PSDRV_AGLGlyphNames +  879,
		{   37,   -8,  491,  689 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  520, PSDRV_AGLGlyphNames +  882,
		{   37,   -8,  491,  685 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  520, PSDRV_AGLGlyphNames +  883,
		{   37,   -8,  491,  674 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  300, PSDRV_AGLGlyphNames +  969,
		{   20,    0,  288,  689 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  300, PSDRV_AGLGlyphNames +  965,
		{   20,    0,  288,  689 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  300, PSDRV_AGLGlyphNames +  967,
		{    8,    0,  292,  685 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  300, PSDRV_AGLGlyphNames +  968,
		{    8,    0,  289,  674 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  560, PSDRV_AGLGlyphNames +  906,
		{   37,   -8,  526,  734 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  660, PSDRV_AGLGlyphNames + 1041,
		{   20,    0,  649,  661 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  560, PSDRV_AGLGlyphNames + 1051,
		{   37,   -8,  526,  689 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  560, PSDRV_AGLGlyphNames + 1045,
		{   37,   -8,  526,  689 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  560, PSDRV_AGLGlyphNames + 1047,
		{   37,   -8,  526,  685 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  560, PSDRV_AGLGlyphNames + 1077,
		{   37,   -8,  526,  661 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  560, PSDRV_AGLGlyphNames + 1048,
		{   37,   -8,  526,  674 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  600, PSDRV_AGLGlyphNames +  863,
		{   51,   10,  555,  514 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  560, PSDRV_AGLGlyphNames + 1074,
		{   37,  -40,  526,  534 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  680, PSDRV_AGLGlyphNames + 1217,
		{   20,   -8,  653,  689 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  680, PSDRV_AGLGlyphNames + 1213,
		{   20,   -8,  653,  689 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  680, PSDRV_AGLGlyphNames + 1215,
		{   20,   -8,  653,  685 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  680, PSDRV_AGLGlyphNames + 1216,
		{   20,   -8,  653,  674 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  540, PSDRV_AGLGlyphNames + 1244,
		{  -23, -236,  549,  689 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  620, PSDRV_AGLGlyphNames + 1187,
		{   20, -228,  583,  717 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  540, PSDRV_AGLGlyphNames + 1246,
		{  -23, -236,  549,  674 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  300, PSDRV_AGLGlyphNames +  873,
		{   20,    0,  288,  484 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  600, PSDRV_AGLGlyphNames +  132,
		{   31,    0,  629,  681 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  320, PSDRV_AGLGlyphNames + 1013,
		{   20,    0,  291,  717 }, NULL	/* lslash */
    },
    {
	234, 0x0152, 1240, PSDRV_AGLGlyphNames +  149,
		{   44,  -17, 1214,  698 }, NULL	/* OE */
    },
    {
	250, 0x0153,  900, PSDRV_AGLGlyphNames + 1049,
		{   37,   -8,  876,  494 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  660, PSDRV_AGLGlyphNames +  231,
		{   28,  -17,  634,  849 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  520, PSDRV_AGLGlyphNames + 1147,
		{   40,   -8,  487,  672 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  640, PSDRV_AGLGlyphNames +  284,
		{  -30,    0,  666,  851 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  640, PSDRV_AGLGlyphNames +  290,
		{   10,    0,  656,  849 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  480, PSDRV_AGLGlyphNames + 1251,
		{    7,    0,  476,  672 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  620, PSDRV_AGLGlyphNames +  928,
		{  -29, -155,  633,  749 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  420, PSDRV_AGLGlyphNames +  831,
		{   68,  567,  352,  685 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  420, PSDRV_AGLGlyphNames +  815,
		{   68,  554,  352,  672 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  440, PSDRV_AGLGlyphNames + 1017,
		{   68,  587,  364,  635 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  460, PSDRV_AGLGlyphNames +  809,
		{   68,  568,  396,  687 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  260, PSDRV_AGLGlyphNames +  871,
		{   68,  552,  186,  672 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  320, PSDRV_AGLGlyphNames + 1141,
		{   68,  546,  252,  731 }, NULL	/* ring */
    },
    {
	206, 0x02db,  320, PSDRV_AGLGlyphNames + 1050,
		{   68, -145,  245,    0 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  440, PSDRV_AGLGlyphNames + 1195,
		{   68,  572,  375,  661 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  380, PSDRV_AGLGlyphNames +  960,
		{   68,  538,  311,  698 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  680, PSDRV_AGLGlyphNames + 1023,
		{   20, -251,  653,  484 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{  -15,  232,  515,  292 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{  -15,  232, 1015,  292 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  220, PSDRV_AGLGlyphNames + 1122,
		{   46,  479,  178,  698 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  220, PSDRV_AGLGlyphNames + 1124,
		{   46,  480,  178,  698 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  220, PSDRV_AGLGlyphNames + 1125,
		{   46, -108,  178,  110 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  400, PSDRV_AGLGlyphNames + 1120,
		{   46,  479,  348,  698 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  400, PSDRV_AGLGlyphNames + 1121,
		{   46,  480,  348,  698 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  400, PSDRV_AGLGlyphNames + 1119,
		{   46, -108,  348,  110 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  540, PSDRV_AGLGlyphNames +  849,
		{   79, -156,  455,  698 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  540, PSDRV_AGLGlyphNames +  850,
		{   79, -156,  455,  698 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  460, PSDRV_AGLGlyphNames +  812,
		{   60,  170,  404,  511 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{  101,   -8,  898,  123 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1280, PSDRV_AGLGlyphNames + 1100,
		{   22,   -8, 1266,  698 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  240, PSDRV_AGLGlyphNames +  952,
		{   51,   89,  189,  437 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  240, PSDRV_AGLGlyphNames +  953,
		{   51,   89,  189,  437 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122,  980, PSDRV_AGLGlyphNames + 1198,
		{   34,  277,  930,  681 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  600, PSDRV_AGLGlyphNames + 1020,
		{   51,  224,  555,  300 }, NULL	/* minus */
    },
    {
	164, 0x2215,  140, PSDRV_AGLGlyphNames +  934,
		{ -188,    0,  335,  681 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  620, PSDRV_AGLGlyphNames +  918,
		{   20,    0,  608,  734 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  620, PSDRV_AGLGlyphNames +  927,
		{   20,    0,  606,  734 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Bookman_Light =
{
    "Bookman-Light",				/* FontName */
    "ITC Bookman Light",			/* FullName */
    "ITC Bookman",				/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_LIGHT,					/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -188, -251, 1266, 908 },			/* FontBBox */
    681,					/* CapHeight */
    484,					/* XHeight */
    717,					/* Ascender */
    -228,					/* Descender */
    908,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	942,				/* WinMetrics.sAscender */
	-232,				/* WinMetrics.sDescender */
	0,				/* WinMetrics.sLineGap */
	492,				/* WinMetrics.sAvgCharWidth */
	716,				/* WinMetrics.sTypoAscender */
	-225,				/* WinMetrics.sTypoDescender */
	128,				/* WinMetrics.sTypoLineGap */
	894,				/* WinMetrics.usWinAscent */
	231				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 320, 300, 380, 620, 620, 	/* CharWidths[30] - CharWidths[36] */
	900, 800, 220, 300, 300, 440, 	/* CharWidths[37] - CharWidths[42] */
	600, 320, 400, 320, 600, 620, 	/* CharWidths[43] - CharWidths[48] */
	620, 620, 620, 620, 620, 620, 	/* CharWidths[49] - CharWidths[54] */
	620, 620, 620, 320, 320, 600, 	/* CharWidths[55] - CharWidths[60] */
	600, 600, 540, 820, 680, 740, 	/* CharWidths[61] - CharWidths[66] */
	740, 800, 720, 640, 800, 800, 	/* CharWidths[67] - CharWidths[72] */
	340, 600, 720, 600, 920, 740, 	/* CharWidths[73] - CharWidths[78] */
	800, 620, 820, 720, 660, 620, 	/* CharWidths[79] - CharWidths[84] */
	780, 700, 960, 720, 640, 640, 	/* CharWidths[85] - CharWidths[90] */
	300, 600, 300, 600, 500, 340, 	/* CharWidths[91] - CharWidths[96] */
	580, 620, 520, 620, 520, 320, 	/* CharWidths[97] - CharWidths[102] */
	540, 660, 300, 300, 620, 300, 	/* CharWidths[103] - CharWidths[108] */
	940, 660, 560, 620, 580, 440, 	/* CharWidths[109] - CharWidths[114] */
	520, 380, 680, 520, 780, 560, 	/* CharWidths[115] - CharWidths[120] */
	540, 480, 280, 600, 280, 600, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 220, 	/* CharWidths[137] - CharWidths[145] */
	220, 400, 400, 460, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 320, 	/* CharWidths[152] - CharWidths[160] */
	300, 620, 620, 620, 620, 600, 	/* CharWidths[161] - CharWidths[166] */
	520, 420, 740, 400, 360, 600, 	/* CharWidths[167] - CharWidths[172] */
	400, 740, 440, 400, 600, 372, 	/* CharWidths[173] - CharWidths[178] */
	372, 340, 0, 600, 320, 320, 	/* CharWidths[179] - CharWidths[184] */
	372, 400, 360, 930, 930, 930, 	/* CharWidths[185] - CharWidths[190] */
	540, 0, 340, 340, 420, 440, 	/* CharWidths[191] - CharWidths[196] */
	440, 460, 260, 420, 0, 320, 	/* CharWidths[197] - CharWidths[202] */
	320, 0, 380, 320, 420, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 600, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 1260, 0, 	/* CharWidths[218] - CharWidths[226] */
	420, 0, 0, 0, 0, 600, 800, 	/* CharWidths[227] - CharWidths[233] */
	1240, 420, 0, 0, 0, 0, 0, 860, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 300, 0, 600, 320, 	/* CharWidths[242] - CharWidths[248] */
	560, 900, 660, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Bookman_Light,				/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
