/*******************************************************************************
 *
 *	Font metric data for Symbol
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Symbol, which is Copyright 1990-1992 The
 *  	Monotype Corporation plc/Type Solutions Inc.
 *
 */

#include "psdrv.h"


/*
 *  FontSpecific encoding vector
 */

static const UNICODEGLYPH ug_Symbol[188] =
{
    { 0xf020, PSDRV_AGLGlyphNames + 1169 },	/* space */
    { 0xf021, PSDRV_AGLGlyphNames +  907 },	/* exclam */
    { 0xf022, PSDRV_AGLGlyphNames + 1224 },	/* universal */
    { 0xf023, PSDRV_AGLGlyphNames + 1043 },	/* numbersign */
    { 0xf024, PSDRV_AGLGlyphNames +  912 },	/* existential */
    { 0xf025, PSDRV_AGLGlyphNames + 1094 },	/* percent */
    { 0xf026, PSDRV_AGLGlyphNames +  755 },	/* ampersand */
    { 0xf027, PSDRV_AGLGlyphNames + 1175 },	/* suchthat */
    { 0xf028, PSDRV_AGLGlyphNames + 1081 },	/* parenleft */
    { 0xf029, PSDRV_AGLGlyphNames + 1087 },	/* parenright */
    { 0xf02a, PSDRV_AGLGlyphNames +  783 },	/* asteriskmath */
    { 0xf02b, PSDRV_AGLGlyphNames + 1105 },	/* plus */
    { 0xf02c, PSDRV_AGLGlyphNames +  835 },	/* comma */
    { 0xf02d, PSDRV_AGLGlyphNames + 1020 },	/* minus */
    { 0xf02e, PSDRV_AGLGlyphNames + 1095 },	/* period */
    { 0xf02f, PSDRV_AGLGlyphNames + 1167 },	/* slash */
    { 0xf030, PSDRV_AGLGlyphNames + 1253 },	/* zero */
    { 0xf031, PSDRV_AGLGlyphNames + 1060 },	/* one */
    { 0xf032, PSDRV_AGLGlyphNames + 1206 },	/* two */
    { 0xf033, PSDRV_AGLGlyphNames + 1188 },	/* three */
    { 0xf034, PSDRV_AGLGlyphNames +  930 },	/* four */
    { 0xf035, PSDRV_AGLGlyphNames +  922 },	/* five */
    { 0xf036, PSDRV_AGLGlyphNames + 1163 },	/* six */
    { 0xf037, PSDRV_AGLGlyphNames + 1154 },	/* seven */
    { 0xf038, PSDRV_AGLGlyphNames +  886 },	/* eight */
    { 0xf039, PSDRV_AGLGlyphNames + 1032 },	/* nine */
    { 0xf03a, PSDRV_AGLGlyphNames +  833 },	/* colon */
    { 0xf03b, PSDRV_AGLGlyphNames + 1153 },	/* semicolon */
    { 0xf03c, PSDRV_AGLGlyphNames + 1003 },	/* less */
    { 0xf03d, PSDRV_AGLGlyphNames +  900 },	/* equal */
    { 0xf03e, PSDRV_AGLGlyphNames +  948 },	/* greater */
    { 0xf03f, PSDRV_AGLGlyphNames + 1114 },	/* question */
    { 0xf040, PSDRV_AGLGlyphNames +  839 },	/* congruent */
    { 0xf041, PSDRV_AGLGlyphNames +   15 },	/* Alpha */
    { 0xf042, PSDRV_AGLGlyphNames +   26 },	/* Beta */
    { 0xf043, PSDRV_AGLGlyphNames +   39 },	/* Chi */
    { 0xf044, PSDRV_AGLGlyphNames +   45 },	/* Delta */
    { 0xf045, PSDRV_AGLGlyphNames +   67 },	/* Epsilon */
    { 0xf046, PSDRV_AGLGlyphNames +  175 },	/* Phi */
    { 0xf047, PSDRV_AGLGlyphNames +   78 },	/* Gamma */
    { 0xf048, PSDRV_AGLGlyphNames +   70 },	/* Eta */
    { 0xf049, PSDRV_AGLGlyphNames +  113 },	/* Iota */
    { 0xf04a, PSDRV_AGLGlyphNames + 1186 },	/* theta1 */
    { 0xf04b, PSDRV_AGLGlyphNames +  122 },	/* Kappa */
    { 0xf04c, PSDRV_AGLGlyphNames +  128 },	/* Lambda */
    { 0xf04d, PSDRV_AGLGlyphNames +  139 },	/* Mu */
    { 0xf04e, PSDRV_AGLGlyphNames +  147 },	/* Nu */
    { 0xf04f, PSDRV_AGLGlyphNames +  166 },	/* Omicron */
    { 0xf050, PSDRV_AGLGlyphNames +  176 },	/* Pi */
    { 0xf051, PSDRV_AGLGlyphNames +  243 },	/* Theta */
    { 0xf052, PSDRV_AGLGlyphNames +  186 },	/* Rho */
    { 0xf053, PSDRV_AGLGlyphNames +  236 },	/* Sigma */
    { 0xf054, PSDRV_AGLGlyphNames +  239 },	/* Tau */
    { 0xf055, PSDRV_AGLGlyphNames +  262 },	/* Upsilon */
    { 0xf056, PSDRV_AGLGlyphNames + 1161 },	/* sigma1 */
    { 0xf057, PSDRV_AGLGlyphNames +  164 },	/* Omega */
    { 0xf058, PSDRV_AGLGlyphNames +  278 },	/* Xi */
    { 0xf059, PSDRV_AGLGlyphNames +  177 },	/* Psi */
    { 0xf05a, PSDRV_AGLGlyphNames +  293 },	/* Zeta */
    { 0xf05b, PSDRV_AGLGlyphNames +  801 },	/* bracketleft */
    { 0xf05c, PSDRV_AGLGlyphNames + 1184 },	/* therefore */
    { 0xf05d, PSDRV_AGLGlyphNames +  805 },	/* bracketright */
    { 0xf05e, PSDRV_AGLGlyphNames + 1099 },	/* perpendicular */
    { 0xf05f, PSDRV_AGLGlyphNames + 1221 },	/* underscore */
    { 0xf060, PSDRV_AGLGlyphNames + 1130 },	/* radicalex */
    { 0xf061, PSDRV_AGLGlyphNames +  752 },	/* alpha */
    { 0xf062, PSDRV_AGLGlyphNames +  790 },	/* beta */
    { 0xf063, PSDRV_AGLGlyphNames +  827 },	/* chi */
    { 0xf064, PSDRV_AGLGlyphNames +  857 },	/* delta */
    { 0xf065, PSDRV_AGLGlyphNames +  898 },	/* epsilon */
    { 0xf066, PSDRV_AGLGlyphNames + 1102 },	/* phi */
    { 0xf067, PSDRV_AGLGlyphNames +  937 },	/* gamma */
    { 0xf068, PSDRV_AGLGlyphNames +  904 },	/* eta */
    { 0xf069, PSDRV_AGLGlyphNames +  983 },	/* iota */
    { 0xf06a, PSDRV_AGLGlyphNames + 1103 },	/* phi1 */
    { 0xf06b, PSDRV_AGLGlyphNames +  992 },	/* kappa */
    { 0xf06c, PSDRV_AGLGlyphNames +  997 },	/* lambda */
    { 0xf06d, PSDRV_AGLGlyphNames + 1023 },	/* mu */
    { 0xf06e, PSDRV_AGLGlyphNames + 1042 },	/* nu */
    { 0xf06f, PSDRV_AGLGlyphNames + 1058 },	/* omicron */
    { 0xf070, PSDRV_AGLGlyphNames + 1104 },	/* pi */
    { 0xf071, PSDRV_AGLGlyphNames + 1185 },	/* theta */
    { 0xf072, PSDRV_AGLGlyphNames + 1140 },	/* rho */
    { 0xf073, PSDRV_AGLGlyphNames + 1160 },	/* sigma */
    { 0xf074, PSDRV_AGLGlyphNames + 1180 },	/* tau */
    { 0xf075, PSDRV_AGLGlyphNames + 1228 },	/* upsilon */
    { 0xf076, PSDRV_AGLGlyphNames + 1056 },	/* omega1 */
    { 0xf077, PSDRV_AGLGlyphNames + 1055 },	/* omega */
    { 0xf078, PSDRV_AGLGlyphNames + 1242 },	/* xi */
    { 0xf079, PSDRV_AGLGlyphNames + 1112 },	/* psi */
    { 0xf07a, PSDRV_AGLGlyphNames + 1257 },	/* zeta */
    { 0xf07b, PSDRV_AGLGlyphNames +  793 },	/* braceleft */
    { 0xf07c, PSDRV_AGLGlyphNames +  789 },	/* bar */
    { 0xf07d, PSDRV_AGLGlyphNames +  797 },	/* braceright */
    { 0xf07e, PSDRV_AGLGlyphNames + 1162 },	/* similar */
    { 0xf0a1, PSDRV_AGLGlyphNames +  263 },	/* Upsilon1 */
    { 0xf0a2, PSDRV_AGLGlyphNames + 1021 },	/* minute */
    { 0xf0a3, PSDRV_AGLGlyphNames + 1004 },	/* lessequal */
    { 0xf0a4, PSDRV_AGLGlyphNames +  934 },	/* fraction */
    { 0xf0a5, PSDRV_AGLGlyphNames +  973 },	/* infinity */
    { 0xf0a6, PSDRV_AGLGlyphNames +  928 },	/* florin */
    { 0xf0a7, PSDRV_AGLGlyphNames +  832 },	/* club */
    { 0xf0a8, PSDRV_AGLGlyphNames +  858 },	/* diamond */
    { 0xf0a9, PSDRV_AGLGlyphNames +  957 },	/* heart */
    { 0xf0aa, PSDRV_AGLGlyphNames + 1170 },	/* spade */
    { 0xf0ab, PSDRV_AGLGlyphNames +  766 },	/* arrowboth */
    { 0xf0ac, PSDRV_AGLGlyphNames +  774 },	/* arrowleft */
    { 0xf0ad, PSDRV_AGLGlyphNames +  776 },	/* arrowup */
    { 0xf0ae, PSDRV_AGLGlyphNames +  775 },	/* arrowright */
    { 0xf0af, PSDRV_AGLGlyphNames +  772 },	/* arrowdown */
    { 0xf0b0, PSDRV_AGLGlyphNames +  856 },	/* degree */
    { 0xf0b1, PSDRV_AGLGlyphNames + 1106 },	/* plusminus */
    { 0xf0b2, PSDRV_AGLGlyphNames + 1151 },	/* second */
    { 0xf0b3, PSDRV_AGLGlyphNames +  949 },	/* greaterequal */
    { 0xf0b4, PSDRV_AGLGlyphNames + 1024 },	/* multiply */
    { 0xf0b5, PSDRV_AGLGlyphNames + 1111 },	/* proportional */
    { 0xf0b6, PSDRV_AGLGlyphNames + 1093 },	/* partialdiff */
    { 0xf0b7, PSDRV_AGLGlyphNames +  812 },	/* bullet */
    { 0xf0b8, PSDRV_AGLGlyphNames +  863 },	/* divide */
    { 0xf0b9, PSDRV_AGLGlyphNames + 1038 },	/* notequal */
    { 0xf0ba, PSDRV_AGLGlyphNames +  901 },	/* equivalence */
    { 0xf0bb, PSDRV_AGLGlyphNames +  763 },	/* approxequal */
    { 0xf0bc, PSDRV_AGLGlyphNames +  891 },	/* ellipsis */
    { 0xf0bd, PSDRV_AGLGlyphNames +  779 },	/* arrowvertex */
    { 0xf0be, PSDRV_AGLGlyphNames +  773 },	/* arrowhorizex */
    { 0xf0bf, PSDRV_AGLGlyphNames +  816 },	/* carriagereturn */
    { 0xf0c0, PSDRV_AGLGlyphNames +  751 },	/* aleph */
    { 0xf0c1, PSDRV_AGLGlyphNames +  108 },	/* Ifraktur */
    { 0xf0c2, PSDRV_AGLGlyphNames +  185 },	/* Rfraktur */
    { 0xf0c3, PSDRV_AGLGlyphNames + 1239 },	/* weierstrass */
    { 0xf0c4, PSDRV_AGLGlyphNames +  829 },	/* circlemultiply */
    { 0xf0c5, PSDRV_AGLGlyphNames +  830 },	/* circleplus */
    { 0xf0c6, PSDRV_AGLGlyphNames +  894 },	/* emptyset */
    { 0xf0c7, PSDRV_AGLGlyphNames +  978 },	/* intersection */
    { 0xf0c8, PSDRV_AGLGlyphNames + 1223 },	/* union */
    { 0xf0c9, PSDRV_AGLGlyphNames + 1110 },	/* propersuperset */
    { 0xf0ca, PSDRV_AGLGlyphNames + 1134 },	/* reflexsuperset */
    { 0xf0cb, PSDRV_AGLGlyphNames + 1039 },	/* notsubset */
    { 0xf0cc, PSDRV_AGLGlyphNames + 1109 },	/* propersubset */
    { 0xf0cd, PSDRV_AGLGlyphNames + 1133 },	/* reflexsubset */
    { 0xf0ce, PSDRV_AGLGlyphNames +  890 },	/* element */
    { 0xf0cf, PSDRV_AGLGlyphNames + 1037 },	/* notelement */
    { 0xf0d0, PSDRV_AGLGlyphNames +  757 },	/* angle */
    { 0xf0d1, PSDRV_AGLGlyphNames +  944 },	/* gradient */
    { 0xf0d2, PSDRV_AGLGlyphNames + 1137 },	/* registerserif */
    { 0xf0d3, PSDRV_AGLGlyphNames +  842 },	/* copyrightserif */
    { 0xf0d4, PSDRV_AGLGlyphNames + 1200 },	/* trademarkserif */
    { 0xf0d5, PSDRV_AGLGlyphNames + 1108 },	/* product */
    { 0xf0d6, PSDRV_AGLGlyphNames + 1129 },	/* radical */
    { 0xf0d7, PSDRV_AGLGlyphNames +  875 },	/* dotmath */
    { 0xf0d8, PSDRV_AGLGlyphNames + 1009 },	/* logicalnot */
    { 0xf0d9, PSDRV_AGLGlyphNames + 1008 },	/* logicaland */
    { 0xf0da, PSDRV_AGLGlyphNames + 1010 },	/* logicalor */
    { 0xf0db, PSDRV_AGLGlyphNames +  767 },	/* arrowdblboth */
    { 0xf0dc, PSDRV_AGLGlyphNames +  769 },	/* arrowdblleft */
    { 0xf0dd, PSDRV_AGLGlyphNames +  771 },	/* arrowdblup */
    { 0xf0de, PSDRV_AGLGlyphNames +  770 },	/* arrowdblright */
    { 0xf0df, PSDRV_AGLGlyphNames +  768 },	/* arrowdbldown */
    { 0xf0e0, PSDRV_AGLGlyphNames + 1012 },	/* lozenge */
    { 0xf0e1, PSDRV_AGLGlyphNames +  758 },	/* angleleft */
    { 0xf0e2, PSDRV_AGLGlyphNames + 1136 },	/* registersans */
    { 0xf0e3, PSDRV_AGLGlyphNames +  841 },	/* copyrightsans */
    { 0xf0e4, PSDRV_AGLGlyphNames + 1199 },	/* trademarksans */
    { 0xf0e5, PSDRV_AGLGlyphNames + 1176 },	/* summation */
    { 0xf0e6, PSDRV_AGLGlyphNames + 1086 },	/* parenlefttp */
    { 0xf0e7, PSDRV_AGLGlyphNames + 1083 },	/* parenleftex */
    { 0xf0e8, PSDRV_AGLGlyphNames + 1082 },	/* parenleftbt */
    { 0xf0e9, PSDRV_AGLGlyphNames +  804 },	/* bracketlefttp */
    { 0xf0ea, PSDRV_AGLGlyphNames +  803 },	/* bracketleftex */
    { 0xf0eb, PSDRV_AGLGlyphNames +  802 },	/* bracketleftbt */
    { 0xf0ec, PSDRV_AGLGlyphNames +  796 },	/* bracelefttp */
    { 0xf0ed, PSDRV_AGLGlyphNames +  795 },	/* braceleftmid */
    { 0xf0ee, PSDRV_AGLGlyphNames +  794 },	/* braceleftbt */
    { 0xf0ef, PSDRV_AGLGlyphNames +  792 },	/* braceex */
    { 0xf0f1, PSDRV_AGLGlyphNames +  759 },	/* angleright */
    { 0xf0f2, PSDRV_AGLGlyphNames +  974 },	/* integral */
    { 0xf0f3, PSDRV_AGLGlyphNames +  977 },	/* integraltp */
    { 0xf0f4, PSDRV_AGLGlyphNames +  976 },	/* integralex */
    { 0xf0f5, PSDRV_AGLGlyphNames +  975 },	/* integralbt */
    { 0xf0f6, PSDRV_AGLGlyphNames + 1092 },	/* parenrighttp */
    { 0xf0f7, PSDRV_AGLGlyphNames + 1089 },	/* parenrightex */
    { 0xf0f8, PSDRV_AGLGlyphNames + 1088 },	/* parenrightbt */
    { 0xf0f9, PSDRV_AGLGlyphNames +  808 },	/* bracketrighttp */
    { 0xf0fa, PSDRV_AGLGlyphNames +  807 },	/* bracketrightex */
    { 0xf0fb, PSDRV_AGLGlyphNames +  806 },	/* bracketrightbt */
    { 0xf0fc, PSDRV_AGLGlyphNames +  800 },	/* bracerighttp */
    { 0xf0fd, PSDRV_AGLGlyphNames +  799 },	/* bracerightmid */
    { 0xf0fe, PSDRV_AGLGlyphNames +  798 }	/* bracerightbt */
};

static UNICODEVECTOR enc_Symbol = { 188, ug_Symbol };


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Symbol[188] = 
{
    {
	 32, 0xf020,  250, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0xf021,  333, PSDRV_AGLGlyphNames +  907,
		{  128,  -17,  240,  672 }, NULL	/* exclam */
    },
    {
	 34, 0xf022,  713, PSDRV_AGLGlyphNames + 1224,
		{   31,    0,  681,  705 }, NULL	/* universal */
    },
    {
	 35, 0xf023,  500, PSDRV_AGLGlyphNames + 1043,
		{   20,  -16,  481,  673 }, NULL	/* numbersign */
    },
    {
	 36, 0xf024,  549, PSDRV_AGLGlyphNames +  912,
		{   25,    0,  478,  707 }, NULL	/* existential */
    },
    {
	 37, 0xf025,  833, PSDRV_AGLGlyphNames + 1094,
		{   63,  -36,  771,  655 }, NULL	/* percent */
    },
    {
	 38, 0xf026,  778, PSDRV_AGLGlyphNames +  755,
		{   41,  -18,  750,  661 }, NULL	/* ampersand */
    },
    {
	 39, 0xf027,  439, PSDRV_AGLGlyphNames + 1175,
		{   48,  -17,  414,  500 }, NULL	/* suchthat */
    },
    {
	 40, 0xf028,  333, PSDRV_AGLGlyphNames + 1081,
		{   53, -191,  300,  673 }, NULL	/* parenleft */
    },
    {
	 41, 0xf029,  333, PSDRV_AGLGlyphNames + 1087,
		{   30, -191,  277,  673 }, NULL	/* parenright */
    },
    {
	 42, 0xf02a,  500, PSDRV_AGLGlyphNames +  783,
		{   65,  134,  427,  551 }, NULL	/* asteriskmath */
    },
    {
	 43, 0xf02b,  549, PSDRV_AGLGlyphNames + 1105,
		{   10,    0,  539,  533 }, NULL	/* plus */
    },
    {
	 44, 0xf02c,  250, PSDRV_AGLGlyphNames +  835,
		{   56, -152,  194,  104 }, NULL	/* comma */
    },
    {
	 45, 0xf02d,  549, PSDRV_AGLGlyphNames + 1020,
		{   11,  233,  535,  288 }, NULL	/* minus */
    },
    {
	 46, 0xf02e,  250, PSDRV_AGLGlyphNames + 1095,
		{   69,  -17,  181,   95 }, NULL	/* period */
    },
    {
	 47, 0xf02f,  278, PSDRV_AGLGlyphNames + 1167,
		{    0,  -18,  254,  646 }, NULL	/* slash */
    },
    {
	 48, 0xf030,  500, PSDRV_AGLGlyphNames + 1253,
		{   23,  -17,  471,  685 }, NULL	/* zero */
    },
    {
	 49, 0xf031,  500, PSDRV_AGLGlyphNames + 1060,
		{  117,    0,  390,  673 }, NULL	/* one */
    },
    {
	 50, 0xf032,  500, PSDRV_AGLGlyphNames + 1206,
		{   25,    0,  475,  686 }, NULL	/* two */
    },
    {
	 51, 0xf033,  500, PSDRV_AGLGlyphNames + 1188,
		{   39,  -17,  435,  685 }, NULL	/* three */
    },
    {
	 52, 0xf034,  500, PSDRV_AGLGlyphNames +  930,
		{   16,    0,  469,  685 }, NULL	/* four */
    },
    {
	 53, 0xf035,  500, PSDRV_AGLGlyphNames +  922,
		{   29,  -17,  443,  685 }, NULL	/* five */
    },
    {
	 54, 0xf036,  500, PSDRV_AGLGlyphNames + 1163,
		{   36,  -17,  467,  685 }, NULL	/* six */
    },
    {
	 55, 0xf037,  500, PSDRV_AGLGlyphNames + 1154,
		{   24,  -16,  448,  673 }, NULL	/* seven */
    },
    {
	 56, 0xf038,  500, PSDRV_AGLGlyphNames +  886,
		{   54,  -18,  440,  685 }, NULL	/* eight */
    },
    {
	 57, 0xf039,  500, PSDRV_AGLGlyphNames + 1032,
		{   31,  -18,  460,  685 }, NULL	/* nine */
    },
    {
	 58, 0xf03a,  278, PSDRV_AGLGlyphNames +  833,
		{   81,  -17,  193,  460 }, NULL	/* colon */
    },
    {
	 59, 0xf03b,  278, PSDRV_AGLGlyphNames + 1153,
		{   83, -152,  221,  460 }, NULL	/* semicolon */
    },
    {
	 60, 0xf03c,  549, PSDRV_AGLGlyphNames + 1003,
		{   26,    0,  523,  522 }, NULL	/* less */
    },
    {
	 61, 0xf03d,  549, PSDRV_AGLGlyphNames +  900,
		{   11,  141,  537,  390 }, NULL	/* equal */
    },
    {
	 62, 0xf03e,  549, PSDRV_AGLGlyphNames +  948,
		{   26,    0,  523,  522 }, NULL	/* greater */
    },
    {
	 63, 0xf03f,  444, PSDRV_AGLGlyphNames + 1114,
		{   70,  -17,  412,  686 }, NULL	/* question */
    },
    {
	 64, 0xf040,  549, PSDRV_AGLGlyphNames +  839,
		{   11,    0,  537,  475 }, NULL	/* congruent */
    },
    {
	 65, 0xf041,  722, PSDRV_AGLGlyphNames +   15,
		{    4,    0,  684,  673 }, NULL	/* Alpha */
    },
    {
	 66, 0xf042,  667, PSDRV_AGLGlyphNames +   26,
		{   29,    0,  592,  673 }, NULL	/* Beta */
    },
    {
	 67, 0xf043,  722, PSDRV_AGLGlyphNames +   39,
		{   -9,    0,  704,  673 }, NULL	/* Chi */
    },
    {
	 68, 0xf044,  612, PSDRV_AGLGlyphNames +   45,
		{    6,    0,  608,  688 }, NULL	/* Delta */
    },
    {
	 69, 0xf045,  611, PSDRV_AGLGlyphNames +   67,
		{   32,    0,  617,  673 }, NULL	/* Epsilon */
    },
    {
	 70, 0xf046,  763, PSDRV_AGLGlyphNames +  175,
		{   26,    0,  741,  673 }, NULL	/* Phi */
    },
    {
	 71, 0xf047,  603, PSDRV_AGLGlyphNames +   78,
		{   24,    0,  609,  673 }, NULL	/* Gamma */
    },
    {
	 72, 0xf048,  722, PSDRV_AGLGlyphNames +   70,
		{   39,    0,  729,  673 }, NULL	/* Eta */
    },
    {
	 73, 0xf049,  333, PSDRV_AGLGlyphNames +  113,
		{   32,    0,  316,  673 }, NULL	/* Iota */
    },
    {
	 74, 0xf04a,  631, PSDRV_AGLGlyphNames + 1186,
		{   18,  -18,  623,  689 }, NULL	/* theta1 */
    },
    {
	 75, 0xf04b,  722, PSDRV_AGLGlyphNames +  122,
		{   35,    0,  722,  673 }, NULL	/* Kappa */
    },
    {
	 76, 0xf04c,  686, PSDRV_AGLGlyphNames +  128,
		{    6,    0,  680,  688 }, NULL	/* Lambda */
    },
    {
	 77, 0xf04d,  889, PSDRV_AGLGlyphNames +  139,
		{   28,    0,  887,  673 }, NULL	/* Mu */
    },
    {
	 78, 0xf04e,  722, PSDRV_AGLGlyphNames +  147,
		{   29,   -8,  720,  673 }, NULL	/* Nu */
    },
    {
	 79, 0xf04f,  722, PSDRV_AGLGlyphNames +  166,
		{   41,  -17,  715,  685 }, NULL	/* Omicron */
    },
    {
	 80, 0xf050,  768, PSDRV_AGLGlyphNames +  176,
		{   25,    0,  745,  673 }, NULL	/* Pi */
    },
    {
	 81, 0xf051,  741, PSDRV_AGLGlyphNames +  243,
		{   41,  -17,  715,  685 }, NULL	/* Theta */
    },
    {
	 82, 0xf052,  556, PSDRV_AGLGlyphNames +  186,
		{   28,    0,  563,  673 }, NULL	/* Rho */
    },
    {
	 83, 0xf053,  592, PSDRV_AGLGlyphNames +  236,
		{    5,    0,  589,  673 }, NULL	/* Sigma */
    },
    {
	 84, 0xf054,  611, PSDRV_AGLGlyphNames +  239,
		{   33,    0,  607,  673 }, NULL	/* Tau */
    },
    {
	 85, 0xf055,  690, PSDRV_AGLGlyphNames +  262,
		{   -8,    0,  694,  673 }, NULL	/* Upsilon */
    },
    {
	 86, 0xf056,  439, PSDRV_AGLGlyphNames + 1161,
		{   40, -233,  436,  500 }, NULL	/* sigma1 */
    },
    {
	 87, 0xf057,  768, PSDRV_AGLGlyphNames +  164,
		{   34,    0,  736,  688 }, NULL	/* Omega */
    },
    {
	 88, 0xf058,  645, PSDRV_AGLGlyphNames +  278,
		{   40,    0,  599,  673 }, NULL	/* Xi */
    },
    {
	 89, 0xf059,  795, PSDRV_AGLGlyphNames +  177,
		{   15,    0,  781,  684 }, NULL	/* Psi */
    },
    {
	 90, 0xf05a,  611, PSDRV_AGLGlyphNames +  293,
		{   44,    0,  636,  673 }, NULL	/* Zeta */
    },
    {
	 91, 0xf05b,  333, PSDRV_AGLGlyphNames +  801,
		{   86, -155,  299,  674 }, NULL	/* bracketleft */
    },
    {
	 92, 0xf05c,  863, PSDRV_AGLGlyphNames + 1184,
		{  163,    0,  701,  478 }, NULL	/* therefore */
    },
    {
	 93, 0xf05d,  333, PSDRV_AGLGlyphNames +  805,
		{   33, -155,  246,  674 }, NULL	/* bracketright */
    },
    {
	 94, 0xf05e,  658, PSDRV_AGLGlyphNames + 1099,
		{   15,    0,  652,  674 }, NULL	/* perpendicular */
    },
    {
	 95, 0xf05f,  500, PSDRV_AGLGlyphNames + 1221,
		{   -2, -252,  502, -206 }, NULL	/* underscore */
    },
    {
	 96, 0xf060,  500, PSDRV_AGLGlyphNames + 1130,
		{  480,  881, 1090,  917 }, NULL	/* radicalex */
    },
    {
	 97, 0xf061,  631, PSDRV_AGLGlyphNames +  752,
		{   41,  -18,  622,  500 }, NULL	/* alpha */
    },
    {
	 98, 0xf062,  549, PSDRV_AGLGlyphNames +  790,
		{   61, -223,  515,  741 }, NULL	/* beta */
    },
    {
	 99, 0xf063,  549, PSDRV_AGLGlyphNames +  827,
		{   12, -231,  522,  499 }, NULL	/* chi */
    },
    {
	100, 0xf064,  494, PSDRV_AGLGlyphNames +  857,
		{   40,  -19,  481,  740 }, NULL	/* delta */
    },
    {
	101, 0xf065,  439, PSDRV_AGLGlyphNames +  898,
		{   22,  -19,  427,  502 }, NULL	/* epsilon */
    },
    {
	102, 0xf066,  521, PSDRV_AGLGlyphNames + 1102,
		{   27, -224,  490,  671 }, NULL	/* phi */
    },
    {
	103, 0xf067,  411, PSDRV_AGLGlyphNames +  937,
		{    5, -225,  484,  499 }, NULL	/* gamma */
    },
    {
	104, 0xf068,  603, PSDRV_AGLGlyphNames +  904,
		{    0, -202,  527,  514 }, NULL	/* eta */
    },
    {
	105, 0xf069,  329, PSDRV_AGLGlyphNames +  983,
		{    0,  -17,  301,  503 }, NULL	/* iota */
    },
    {
	106, 0xf06a,  603, PSDRV_AGLGlyphNames + 1103,
		{   36, -224,  587,  499 }, NULL	/* phi1 */
    },
    {
	107, 0xf06b,  549, PSDRV_AGLGlyphNames +  992,
		{   33,    0,  558,  501 }, NULL	/* kappa */
    },
    {
	108, 0xf06c,  549, PSDRV_AGLGlyphNames +  997,
		{   24,  -17,  548,  739 }, NULL	/* lambda */
    },
    {
	109, 0xf06d,  576, PSDRV_AGLGlyphNames + 1023,
		{   33, -223,  567,  500 }, NULL	/* mu */
    },
    {
	110, 0xf06e,  521, PSDRV_AGLGlyphNames + 1042,
		{   -9,  -16,  475,  507 }, NULL	/* nu */
    },
    {
	111, 0xf06f,  549, PSDRV_AGLGlyphNames + 1058,
		{   35,  -19,  501,  499 }, NULL	/* omicron */
    },
    {
	112, 0xf070,  549, PSDRV_AGLGlyphNames + 1104,
		{   10,  -19,  530,  487 }, NULL	/* pi */
    },
    {
	113, 0xf071,  521, PSDRV_AGLGlyphNames + 1185,
		{   43,  -17,  485,  690 }, NULL	/* theta */
    },
    {
	114, 0xf072,  549, PSDRV_AGLGlyphNames + 1140,
		{   50, -230,  490,  499 }, NULL	/* rho */
    },
    {
	115, 0xf073,  603, PSDRV_AGLGlyphNames + 1160,
		{   30,  -21,  588,  500 }, NULL	/* sigma */
    },
    {
	116, 0xf074,  439, PSDRV_AGLGlyphNames + 1180,
		{   10,  -19,  418,  500 }, NULL	/* tau */
    },
    {
	117, 0xf075,  576, PSDRV_AGLGlyphNames + 1228,
		{    7,  -18,  535,  507 }, NULL	/* upsilon */
    },
    {
	118, 0xf076,  713, PSDRV_AGLGlyphNames + 1056,
		{   12,  -18,  671,  583 }, NULL	/* omega1 */
    },
    {
	119, 0xf077,  686, PSDRV_AGLGlyphNames + 1055,
		{   42,  -17,  684,  500 }, NULL	/* omega */
    },
    {
	120, 0xf078,  493, PSDRV_AGLGlyphNames + 1242,
		{   27, -224,  469,  766 }, NULL	/* xi */
    },
    {
	121, 0xf079,  686, PSDRV_AGLGlyphNames + 1112,
		{   12, -228,  701,  500 }, NULL	/* psi */
    },
    {
	122, 0xf07a,  494, PSDRV_AGLGlyphNames + 1257,
		{   60, -225,  467,  756 }, NULL	/* zeta */
    },
    {
	123, 0xf07b,  480, PSDRV_AGLGlyphNames +  793,
		{   58, -183,  397,  673 }, NULL	/* braceleft */
    },
    {
	124, 0xf07c,  200, PSDRV_AGLGlyphNames +  789,
		{   65, -177,  135,  673 }, NULL	/* bar */
    },
    {
	125, 0xf07d,  480, PSDRV_AGLGlyphNames +  797,
		{   79, -183,  418,  673 }, NULL	/* braceright */
    },
    {
	126, 0xf07e,  549, PSDRV_AGLGlyphNames + 1162,
		{   17,  203,  529,  307 }, NULL	/* similar */
    },
    {
	161, 0xf0a1,  620, PSDRV_AGLGlyphNames +  263,
		{   -2,    0,  610,  685 }, NULL	/* Upsilon1 */
    },
    {
	162, 0xf0a2,  247, PSDRV_AGLGlyphNames + 1021,
		{   27,  459,  228,  735 }, NULL	/* minute */
    },
    {
	163, 0xf0a3,  549, PSDRV_AGLGlyphNames + 1004,
		{   29,    0,  526,  639 }, NULL	/* lessequal */
    },
    {
	164, 0xf0a4,  167, PSDRV_AGLGlyphNames +  934,
		{ -180,  -12,  340,  677 }, NULL	/* fraction */
    },
    {
	165, 0xf0a5,  713, PSDRV_AGLGlyphNames +  973,
		{   26,  124,  688,  404 }, NULL	/* infinity */
    },
    {
	166, 0xf0a6,  500, PSDRV_AGLGlyphNames +  928,
		{    2, -193,  494,  686 }, NULL	/* florin */
    },
    {
	167, 0xf0a7,  753, PSDRV_AGLGlyphNames +  832,
		{   86,  -26,  660,  533 }, NULL	/* club */
    },
    {
	168, 0xf0a8,  753, PSDRV_AGLGlyphNames +  858,
		{  142,  -36,  600,  550 }, NULL	/* diamond */
    },
    {
	169, 0xf0a9,  753, PSDRV_AGLGlyphNames +  957,
		{  117,  -33,  631,  532 }, NULL	/* heart */
    },
    {
	170, 0xf0aa,  753, PSDRV_AGLGlyphNames + 1170,
		{  113,  -36,  629,  548 }, NULL	/* spade */
    },
    {
	171, 0xf0ab, 1042, PSDRV_AGLGlyphNames +  766,
		{   24,  -15, 1024,  511 }, NULL	/* arrowboth */
    },
    {
	172, 0xf0ac,  987, PSDRV_AGLGlyphNames +  774,
		{   32,  -15,  942,  511 }, NULL	/* arrowleft */
    },
    {
	173, 0xf0ad,  603, PSDRV_AGLGlyphNames +  776,
		{   45,    0,  571,  910 }, NULL	/* arrowup */
    },
    {
	174, 0xf0ae,  987, PSDRV_AGLGlyphNames +  775,
		{   49,  -15,  959,  511 }, NULL	/* arrowright */
    },
    {
	175, 0xf0af,  603, PSDRV_AGLGlyphNames +  772,
		{   45,  -22,  571,  888 }, NULL	/* arrowdown */
    },
    {
	176, 0xf0b0,  400, PSDRV_AGLGlyphNames +  856,
		{   50,  385,  350,  685 }, NULL	/* degree */
    },
    {
	177, 0xf0b1,  549, PSDRV_AGLGlyphNames + 1106,
		{   10,    0,  539,  645 }, NULL	/* plusminus */
    },
    {
	178, 0xf0b2,  411, PSDRV_AGLGlyphNames + 1151,
		{   20,  459,  413,  737 }, NULL	/* second */
    },
    {
	179, 0xf0b3,  549, PSDRV_AGLGlyphNames +  949,
		{   29,    0,  526,  639 }, NULL	/* greaterequal */
    },
    {
	180, 0xf0b4,  549, PSDRV_AGLGlyphNames + 1024,
		{   17,    8,  533,  524 }, NULL	/* multiply */
    },
    {
	181, 0xf0b5,  713, PSDRV_AGLGlyphNames + 1111,
		{   27,  123,  639,  404 }, NULL	/* proportional */
    },
    {
	182, 0xf0b6,  494, PSDRV_AGLGlyphNames + 1093,
		{   26,  -20,  462,  746 }, NULL	/* partialdiff */
    },
    {
	183, 0xf0b7,  460, PSDRV_AGLGlyphNames +  812,
		{   50,  113,  410,  473 }, NULL	/* bullet */
    },
    {
	184, 0xf0b8,  549, PSDRV_AGLGlyphNames +  863,
		{   10,   71,  536,  456 }, NULL	/* divide */
    },
    {
	185, 0xf0b9,  549, PSDRV_AGLGlyphNames + 1038,
		{   15,  -25,  540,  549 }, NULL	/* notequal */
    },
    {
	186, 0xf0ba,  549, PSDRV_AGLGlyphNames +  901,
		{   14,   82,  538,  443 }, NULL	/* equivalence */
    },
    {
	187, 0xf0bb,  549, PSDRV_AGLGlyphNames +  763,
		{   14,  135,  527,  394 }, NULL	/* approxequal */
    },
    {
	188, 0xf0bc, 1000, PSDRV_AGLGlyphNames +  891,
		{  111,  -17,  889,   95 }, NULL	/* ellipsis */
    },
    {
	189, 0xf0bd,  603, PSDRV_AGLGlyphNames +  779,
		{  280, -120,  336, 1010 }, NULL	/* arrowvertex */
    },
    {
	190, 0xf0be, 1000, PSDRV_AGLGlyphNames +  773,
		{  -60,  220, 1050,  276 }, NULL	/* arrowhorizex */
    },
    {
	191, 0xf0bf,  658, PSDRV_AGLGlyphNames +  816,
		{   15,  -16,  602,  629 }, NULL	/* carriagereturn */
    },
    {
	192, 0xf0c0,  823, PSDRV_AGLGlyphNames +  751,
		{  175,  -18,  661,  658 }, NULL	/* aleph */
    },
    {
	193, 0xf0c1,  686, PSDRV_AGLGlyphNames +  108,
		{   10,  -53,  578,  740 }, NULL	/* Ifraktur */
    },
    {
	194, 0xf0c2,  795, PSDRV_AGLGlyphNames +  185,
		{   26,  -15,  759,  734 }, NULL	/* Rfraktur */
    },
    {
	195, 0xf0c3,  987, PSDRV_AGLGlyphNames + 1239,
		{  159, -211,  870,  573 }, NULL	/* weierstrass */
    },
    {
	196, 0xf0c4,  768, PSDRV_AGLGlyphNames +  829,
		{   43,  -17,  733,  673 }, NULL	/* circlemultiply */
    },
    {
	197, 0xf0c5,  768, PSDRV_AGLGlyphNames +  830,
		{   43,  -15,  733,  675 }, NULL	/* circleplus */
    },
    {
	198, 0xf0c6,  823, PSDRV_AGLGlyphNames +  894,
		{   39,  -24,  781,  719 }, NULL	/* emptyset */
    },
    {
	199, 0xf0c7,  768, PSDRV_AGLGlyphNames +  978,
		{   40,    0,  732,  509 }, NULL	/* intersection */
    },
    {
	200, 0xf0c8,  768, PSDRV_AGLGlyphNames + 1223,
		{   40,  -17,  732,  492 }, NULL	/* union */
    },
    {
	201, 0xf0c9,  713, PSDRV_AGLGlyphNames + 1110,
		{   20,    0,  673,  470 }, NULL	/* propersuperset */
    },
    {
	202, 0xf0ca,  713, PSDRV_AGLGlyphNames + 1134,
		{   20, -125,  673,  470 }, NULL	/* reflexsuperset */
    },
    {
	203, 0xf0cb,  713, PSDRV_AGLGlyphNames + 1039,
		{   36,  -70,  690,  540 }, NULL	/* notsubset */
    },
    {
	204, 0xf0cc,  713, PSDRV_AGLGlyphNames + 1109,
		{   37,    0,  690,  470 }, NULL	/* propersubset */
    },
    {
	205, 0xf0cd,  713, PSDRV_AGLGlyphNames + 1133,
		{   37, -125,  690,  470 }, NULL	/* reflexsubset */
    },
    {
	206, 0xf0ce,  713, PSDRV_AGLGlyphNames +  890,
		{   45,    0,  505,  468 }, NULL	/* element */
    },
    {
	207, 0xf0cf,  713, PSDRV_AGLGlyphNames + 1037,
		{   45,  -58,  505,  555 }, NULL	/* notelement */
    },
    {
	208, 0xf0d0,  768, PSDRV_AGLGlyphNames +  757,
		{   26,    0,  738,  673 }, NULL	/* angle */
    },
    {
	209, 0xf0d1,  713, PSDRV_AGLGlyphNames +  944,
		{   36,  -19,  681,  718 }, NULL	/* gradient */
    },
    {
	210, 0xf0d2,  790, PSDRV_AGLGlyphNames + 1137,
		{   50,  -17,  740,  673 }, NULL	/* registerserif */
    },
    {
	211, 0xf0d3,  790, PSDRV_AGLGlyphNames +  842,
		{   51,  -15,  741,  675 }, NULL	/* copyrightserif */
    },
    {
	212, 0xf0d4,  890, PSDRV_AGLGlyphNames + 1200,
		{   18,  293,  855,  673 }, NULL	/* trademarkserif */
    },
    {
	213, 0xf0d5,  823, PSDRV_AGLGlyphNames + 1108,
		{   25, -101,  803,  751 }, NULL	/* product */
    },
    {
	214, 0xf0d6,  549, PSDRV_AGLGlyphNames + 1129,
		{   10,  -38,  515,  917 }, NULL	/* radical */
    },
    {
	215, 0xf0d7,  250, PSDRV_AGLGlyphNames +  875,
		{   69,  210,  169,  310 }, NULL	/* dotmath */
    },
    {
	216, 0xf0d8,  713, PSDRV_AGLGlyphNames + 1009,
		{   15,    0,  680,  288 }, NULL	/* logicalnot */
    },
    {
	217, 0xf0d9,  603, PSDRV_AGLGlyphNames + 1008,
		{   23,    0,  583,  454 }, NULL	/* logicaland */
    },
    {
	218, 0xf0da,  603, PSDRV_AGLGlyphNames + 1010,
		{   30,    0,  578,  477 }, NULL	/* logicalor */
    },
    {
	219, 0xf0db, 1042, PSDRV_AGLGlyphNames +  767,
		{   27,  -20, 1023,  510 }, NULL	/* arrowdblboth */
    },
    {
	220, 0xf0dc,  987, PSDRV_AGLGlyphNames +  769,
		{   30,  -15,  939,  513 }, NULL	/* arrowdblleft */
    },
    {
	221, 0xf0dd,  603, PSDRV_AGLGlyphNames +  771,
		{   39,    2,  567,  911 }, NULL	/* arrowdblup */
    },
    {
	222, 0xf0de,  987, PSDRV_AGLGlyphNames +  770,
		{   45,  -20,  954,  508 }, NULL	/* arrowdblright */
    },
    {
	223, 0xf0df,  603, PSDRV_AGLGlyphNames +  768,
		{   44,  -19,  572,  890 }, NULL	/* arrowdbldown */
    },
    {
	224, 0xf0e0,  494, PSDRV_AGLGlyphNames + 1012,
		{   18,    0,  466,  745 }, NULL	/* lozenge */
    },
    {
	225, 0xf0e1,  329, PSDRV_AGLGlyphNames +  758,
		{   25, -198,  306,  746 }, NULL	/* angleleft */
    },
    {
	226, 0xf0e2,  790, PSDRV_AGLGlyphNames + 1136,
		{   50,  -20,  740,  670 }, NULL	/* registersans */
    },
    {
	227, 0xf0e3,  790, PSDRV_AGLGlyphNames +  841,
		{   49,  -15,  739,  675 }, NULL	/* copyrightsans */
    },
    {
	228, 0xf0e4,  786, PSDRV_AGLGlyphNames + 1199,
		{    5,  293,  725,  673 }, NULL	/* trademarksans */
    },
    {
	229, 0xf0e5,  713, PSDRV_AGLGlyphNames + 1176,
		{   14, -108,  695,  752 }, NULL	/* summation */
    },
    {
	230, 0xf0e6,  384, PSDRV_AGLGlyphNames + 1086,
		{   40, -293,  436,  926 }, NULL	/* parenlefttp */
    },
    {
	231, 0xf0e7,  384, PSDRV_AGLGlyphNames + 1083,
		{   40,  -85,   92,  925 }, NULL	/* parenleftex */
    },
    {
	232, 0xf0e8,  384, PSDRV_AGLGlyphNames + 1082,
		{   40, -293,  436,  926 }, NULL	/* parenleftbt */
    },
    {
	233, 0xf0e9,  384, PSDRV_AGLGlyphNames +  804,
		{    0,  -80,  341,  926 }, NULL	/* bracketlefttp */
    },
    {
	234, 0xf0ea,  384, PSDRV_AGLGlyphNames +  803,
		{    0,  -79,   55,  925 }, NULL	/* bracketleftex */
    },
    {
	235, 0xf0eb,  384, PSDRV_AGLGlyphNames +  802,
		{    0,  -80,  340,  926 }, NULL	/* bracketleftbt */
    },
    {
	236, 0xf0ec,  494, PSDRV_AGLGlyphNames +  796,
		{  201,  -75,  439,  926 }, NULL	/* bracelefttp */
    },
    {
	237, 0xf0ed,  494, PSDRV_AGLGlyphNames +  795,
		{   14,  -85,  255,  935 }, NULL	/* braceleftmid */
    },
    {
	238, 0xf0ee,  494, PSDRV_AGLGlyphNames +  794,
		{  201,  -70,  439,  926 }, NULL	/* braceleftbt */
    },
    {
	239, 0xf0ef,  494, PSDRV_AGLGlyphNames +  792,
		{  201,  -80,  255,  935 }, NULL	/* braceex */
    },
    {
	241, 0xf0f1,  329, PSDRV_AGLGlyphNames +  759,
		{   21, -198,  302,  746 }, NULL	/* angleright */
    },
    {
	242, 0xf0f2,  274, PSDRV_AGLGlyphNames +  974,
		{    2, -107,  291,  916 }, NULL	/* integral */
    },
    {
	243, 0xf0f3,  686, PSDRV_AGLGlyphNames +  977,
		{  332,  -83,  715,  921 }, NULL	/* integraltp */
    },
    {
	244, 0xf0f4,  686, PSDRV_AGLGlyphNames +  976,
		{  332,  -88,  415,  975 }, NULL	/* integralex */
    },
    {
	245, 0xf0f5,  686, PSDRV_AGLGlyphNames +  975,
		{   39,  -81,  415,  921 }, NULL	/* integralbt */
    },
    {
	246, 0xf0f6,  384, PSDRV_AGLGlyphNames + 1092,
		{   54, -293,  450,  926 }, NULL	/* parenrighttp */
    },
    {
	247, 0xf0f7,  384, PSDRV_AGLGlyphNames + 1089,
		{  398,  -85,  450,  925 }, NULL	/* parenrightex */
    },
    {
	248, 0xf0f8,  384, PSDRV_AGLGlyphNames + 1088,
		{   54, -293,  450,  926 }, NULL	/* parenrightbt */
    },
    {
	249, 0xf0f9,  384, PSDRV_AGLGlyphNames +  808,
		{   22,  -80,  360,  926 }, NULL	/* bracketrighttp */
    },
    {
	250, 0xf0fa,  384, PSDRV_AGLGlyphNames +  807,
		{  305,  -79,  360,  925 }, NULL	/* bracketrightex */
    },
    {
	251, 0xf0fb,  384, PSDRV_AGLGlyphNames +  806,
		{   20,  -80,  360,  926 }, NULL	/* bracketrightbt */
    },
    {
	252, 0xf0fc,  494, PSDRV_AGLGlyphNames +  800,
		{   17,  -75,  255,  926 }, NULL	/* bracerighttp */
    },
    {
	253, 0xf0fd,  494, PSDRV_AGLGlyphNames +  799,
		{  201,  -85,  442,  935 }, NULL	/* bracerightmid */
    },
    {
	254, 0xf0fe,  494, PSDRV_AGLGlyphNames +  798,
		{   17,  -70,  255,  926 }, NULL	/* bracerightbt */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Symbol =
{
    "Symbol",					/* FontName */
    "Symbol",					/* FullName */
    "Symbol",					/* FamilyName */
    "FontSpecific",				/* EncodingScheme */
    FW_NORMAL,					/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -98,					/* UnderlinePosition */
    54,						/* UnderlineThickness */
    { -180, -293, 1090, 1010 },			/* FontBBox */
    0,						/* CapHeight */
    0,						/* XHeight */
    1010,					/* Ascender */
    -293,					/* Descender */
    1010,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	1005,				/* WinMetrics.sAscender */
	-220,				/* WinMetrics.sDescender */
	0,				/* WinMetrics.sLineGap */
	600,				/* WinMetrics.sAvgCharWidth */
	693,				/* WinMetrics.sTypoAscender */
	-216,				/* WinMetrics.sTypoDescender */
	150,				/* WinMetrics.sTypoLineGap */
	1005,				/* WinMetrics.usWinAscent */
	220				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 250, 333, 713, 500, 549, 	/* CharWidths[30] - CharWidths[36] */
	833, 778, 439, 333, 333, 500, 	/* CharWidths[37] - CharWidths[42] */
	549, 250, 549, 250, 278, 500, 	/* CharWidths[43] - CharWidths[48] */
	500, 500, 500, 500, 500, 500, 	/* CharWidths[49] - CharWidths[54] */
	500, 500, 500, 278, 278, 549, 	/* CharWidths[55] - CharWidths[60] */
	549, 549, 444, 549, 722, 667, 	/* CharWidths[61] - CharWidths[66] */
	722, 612, 611, 763, 603, 722, 	/* CharWidths[67] - CharWidths[72] */
	333, 631, 722, 686, 889, 722, 	/* CharWidths[73] - CharWidths[78] */
	722, 768, 741, 556, 592, 611, 	/* CharWidths[79] - CharWidths[84] */
	690, 439, 768, 645, 795, 611, 	/* CharWidths[85] - CharWidths[90] */
	333, 863, 333, 658, 500, 500, 	/* CharWidths[91] - CharWidths[96] */
	631, 549, 549, 494, 439, 521, 	/* CharWidths[97] - CharWidths[102] */
	411, 603, 329, 603, 549, 549, 	/* CharWidths[103] - CharWidths[108] */
	576, 521, 549, 549, 521, 549, 	/* CharWidths[109] - CharWidths[114] */
	603, 439, 576, 713, 686, 493, 	/* CharWidths[115] - CharWidths[120] */
	686, 494, 480, 200, 480, 549, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[137] - CharWidths[146] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[147] - CharWidths[156] */
	0, 0, 0, 0, 620, 247, 549, 	/* CharWidths[157] - CharWidths[163] */
	167, 713, 500, 753, 753, 753, 	/* CharWidths[164] - CharWidths[169] */
	753, 1042, 987, 603, 987, 603, 	/* CharWidths[170] - CharWidths[175] */
	400, 549, 411, 549, 549, 713, 	/* CharWidths[176] - CharWidths[181] */
	494, 460, 549, 549, 549, 549, 	/* CharWidths[182] - CharWidths[187] */
	1000, 603, 1000, 658, 823, 	/* CharWidths[188] - CharWidths[192] */
	686, 795, 987, 768, 768, 823, 	/* CharWidths[193] - CharWidths[198] */
	768, 768, 713, 713, 713, 713, 	/* CharWidths[199] - CharWidths[204] */
	713, 713, 713, 768, 713, 790, 	/* CharWidths[205] - CharWidths[210] */
	790, 890, 823, 549, 250, 713, 	/* CharWidths[211] - CharWidths[216] */
	603, 603, 1042, 987, 603, 987, 	/* CharWidths[217] - CharWidths[222] */
	603, 494, 329, 790, 790, 786, 	/* CharWidths[223] - CharWidths[228] */
	713, 384, 384, 384, 384, 384, 	/* CharWidths[229] - CharWidths[234] */
	384, 494, 494, 494, 494, 0, 	/* CharWidths[235] - CharWidths[240] */
	329, 274, 686, 686, 686, 384, 	/* CharWidths[241] - CharWidths[246] */
	384, 384, 384, 384, 384, 494, 	/* CharWidths[247] - CharWidths[252] */
	494, 494, 0			/* CharWidths[253] - CharWidths[255] */
    },
    188,					/* NumofMetrics */
    met_Symbol,					/* Metrics */
    &enc_Symbol					/* Encoding */
};
