/*******************************************************************************
 *
 *	Font metric data for Times Bold
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Times New Roman Bold, which is Copyright
 *  	1990-1992 The Monotype Corporation plc/Type Solutions Inc.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Times_Bold[228] = 
{
    {
	 32, 0x0020,  250, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  333, PSDRV_AGLGlyphNames +  907,
		{   81,  -13,  251,  691 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  555, PSDRV_AGLGlyphNames + 1118,
		{   83,  404,  472,  691 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  500, PSDRV_AGLGlyphNames + 1043,
		{    4,    0,  496,  700 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  500, PSDRV_AGLGlyphNames +  866,
		{   29,  -99,  472,  750 }, NULL	/* dollar */
    },
    {
	 37, 0x0025, 1000, PSDRV_AGLGlyphNames + 1094,
		{  124,  -14,  877,  692 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  833, PSDRV_AGLGlyphNames +  755,
		{   62,  -16,  787,  691 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  278, PSDRV_AGLGlyphNames + 1126,
		{   75,  404,  204,  691 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  333, PSDRV_AGLGlyphNames + 1081,
		{   46, -168,  306,  694 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  333, PSDRV_AGLGlyphNames + 1087,
		{   27, -168,  287,  694 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  500, PSDRV_AGLGlyphNames +  782,
		{   56,  255,  447,  691 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  570, PSDRV_AGLGlyphNames + 1105,
		{   33,    0,  537,  506 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  250, PSDRV_AGLGlyphNames +  835,
		{   39, -180,  223,  155 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  333, PSDRV_AGLGlyphNames +  961,
		{   44,  171,  287,  287 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  250, PSDRV_AGLGlyphNames + 1095,
		{   41,  -13,  210,  156 }, NULL	/* period */
    },
    {
	 47, 0x002f,  278, PSDRV_AGLGlyphNames + 1167,
		{  -24,  -19,  302,  691 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  500, PSDRV_AGLGlyphNames + 1253,
		{   24,  -13,  476,  688 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  500, PSDRV_AGLGlyphNames + 1060,
		{   65,    0,  442,  688 }, NULL	/* one */
    },
    {
	 50, 0x0032,  500, PSDRV_AGLGlyphNames + 1206,
		{   17,    0,  478,  688 }, NULL	/* two */
    },
    {
	 51, 0x0033,  500, PSDRV_AGLGlyphNames + 1188,
		{   16,  -14,  468,  688 }, NULL	/* three */
    },
    {
	 52, 0x0034,  500, PSDRV_AGLGlyphNames +  930,
		{   19,    0,  475,  688 }, NULL	/* four */
    },
    {
	 53, 0x0035,  500, PSDRV_AGLGlyphNames +  922,
		{   22,   -8,  470,  676 }, NULL	/* five */
    },
    {
	 54, 0x0036,  500, PSDRV_AGLGlyphNames + 1163,
		{   28,  -13,  475,  688 }, NULL	/* six */
    },
    {
	 55, 0x0037,  500, PSDRV_AGLGlyphNames + 1154,
		{   17,    0,  477,  676 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  500, PSDRV_AGLGlyphNames +  886,
		{   28,  -13,  472,  688 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  500, PSDRV_AGLGlyphNames + 1032,
		{   26,  -13,  473,  688 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  333, PSDRV_AGLGlyphNames +  833,
		{   82,  -13,  251,  472 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  333, PSDRV_AGLGlyphNames + 1153,
		{   82, -180,  266,  472 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  570, PSDRV_AGLGlyphNames + 1003,
		{   31,   -8,  539,  514 }, NULL	/* less */
    },
    {
	 61, 0x003d,  570, PSDRV_AGLGlyphNames +  900,
		{   33,  107,  537,  399 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  570, PSDRV_AGLGlyphNames +  948,
		{   31,   -8,  539,  514 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  500, PSDRV_AGLGlyphNames + 1114,
		{   57,  -13,  445,  689 }, NULL	/* question */
    },
    {
	 64, 0x0040,  930, PSDRV_AGLGlyphNames +  785,
		{  108,  -19,  822,  691 }, NULL	/* at */
    },
    {
	 65, 0x0041,  722, PSDRV_AGLGlyphNames +    0,
		{    9,    0,  689,  690 }, NULL	/* A */
    },
    {
	 66, 0x0042,  667, PSDRV_AGLGlyphNames +   25,
		{   16,    0,  619,  676 }, NULL	/* B */
    },
    {
	 67, 0x0043,  722, PSDRV_AGLGlyphNames +   29,
		{   49,  -19,  687,  691 }, NULL	/* C */
    },
    {
	 68, 0x0044,  722, PSDRV_AGLGlyphNames +   42,
		{   14,    0,  690,  676 }, NULL	/* D */
    },
    {
	 69, 0x0045,  667, PSDRV_AGLGlyphNames +   52,
		{   16,    0,  641,  676 }, NULL	/* E */
    },
    {
	 70, 0x0046,  611, PSDRV_AGLGlyphNames +   75,
		{   16,    0,  583,  676 }, NULL	/* F */
    },
    {
	 71, 0x0047,  778, PSDRV_AGLGlyphNames +   77,
		{   37,  -19,  755,  691 }, NULL	/* G */
    },
    {
	 72, 0x0048,  778, PSDRV_AGLGlyphNames +   87,
		{   21,    0,  759,  676 }, NULL	/* H */
    },
    {
	 73, 0x0049,  389, PSDRV_AGLGlyphNames +   97,
		{   20,    0,  370,  676 }, NULL	/* I */
    },
    {
	 74, 0x004a,  500, PSDRV_AGLGlyphNames +  118,
		{    3,  -96,  479,  676 }, NULL	/* J */
    },
    {
	 75, 0x004b,  778, PSDRV_AGLGlyphNames +  121,
		{   30,    0,  769,  676 }, NULL	/* K */
    },
    {
	 76, 0x004c,  667, PSDRV_AGLGlyphNames +  125,
		{   19,    0,  638,  676 }, NULL	/* L */
    },
    {
	 77, 0x004d,  944, PSDRV_AGLGlyphNames +  135,
		{   14,    0,  921,  676 }, NULL	/* M */
    },
    {
	 78, 0x004e,  722, PSDRV_AGLGlyphNames +  140,
		{   16,  -18,  701,  676 }, NULL	/* N */
    },
    {
	 79, 0x004f,  778, PSDRV_AGLGlyphNames +  148,
		{   35,  -19,  743,  691 }, NULL	/* O */
    },
    {
	 80, 0x0050,  611, PSDRV_AGLGlyphNames +  174,
		{   16,    0,  600,  676 }, NULL	/* P */
    },
    {
	 81, 0x0051,  778, PSDRV_AGLGlyphNames +  179,
		{   35, -176,  743,  691 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  722, PSDRV_AGLGlyphNames +  181,
		{   26,    0,  715,  676 }, NULL	/* R */
    },
    {
	 83, 0x0053,  556, PSDRV_AGLGlyphNames +  189,
		{   35,  -19,  513,  692 }, NULL	/* S */
    },
    {
	 84, 0x0054,  667, PSDRV_AGLGlyphNames +  238,
		{   31,    0,  636,  676 }, NULL	/* T */
    },
    {
	 85, 0x0055,  722, PSDRV_AGLGlyphNames +  248,
		{   16,  -19,  701,  676 }, NULL	/* U */
    },
    {
	 86, 0x0056,  722, PSDRV_AGLGlyphNames +  269,
		{   16,  -18,  701,  676 }, NULL	/* V */
    },
    {
	 87, 0x0057, 1000, PSDRV_AGLGlyphNames +  271,
		{   19,  -15,  981,  676 }, NULL	/* W */
    },
    {
	 88, 0x0058,  722, PSDRV_AGLGlyphNames +  277,
		{   16,    0,  699,  676 }, NULL	/* X */
    },
    {
	 89, 0x0059,  722, PSDRV_AGLGlyphNames +  280,
		{   15,    0,  699,  676 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  667, PSDRV_AGLGlyphNames +  288,
		{   28,    0,  634,  676 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  333, PSDRV_AGLGlyphNames +  801,
		{   67, -149,  301,  678 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  278, PSDRV_AGLGlyphNames +  788,
		{  -25,  -19,  303,  691 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  333, PSDRV_AGLGlyphNames +  805,
		{   32, -149,  266,  678 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  581, PSDRV_AGLGlyphNames +  780,
		{   73,  311,  509,  676 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  333, PSDRV_AGLGlyphNames +  945,
		{    8,  528,  246,  713 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  500, PSDRV_AGLGlyphNames +  295,
		{   25,  -14,  488,  473 }, NULL	/* a */
    },
    {
	 98, 0x0062,  556, PSDRV_AGLGlyphNames +  787,
		{   17,  -14,  521,  676 }, NULL	/* b */
    },
    {
	 99, 0x0063,  444, PSDRV_AGLGlyphNames +  813,
		{   25,  -14,  430,  473 }, NULL	/* c */
    },
    {
	100, 0x0064,  556, PSDRV_AGLGlyphNames +  848,
		{   25,  -14,  534,  676 }, NULL	/* d */
    },
    {
	101, 0x0065,  444, PSDRV_AGLGlyphNames +  878,
		{   25,  -14,  426,  473 }, NULL	/* e */
    },
    {
	102, 0x0066,  333, PSDRV_AGLGlyphNames +  913,
		{   14,    0,  389,  691 }, NULL	/* f */
    },
    {
	103, 0x0067,  500, PSDRV_AGLGlyphNames +  936,
		{   28, -206,  483,  473 }, NULL	/* g */
    },
    {
	104, 0x0068,  556, PSDRV_AGLGlyphNames +  954,
		{   16,    0,  534,  676 }, NULL	/* h */
    },
    {
	105, 0x0069,  278, PSDRV_AGLGlyphNames +  964,
		{   16,    0,  255,  691 }, NULL	/* i */
    },
    {
	106, 0x006a,  333, PSDRV_AGLGlyphNames +  989,
		{  -57, -203,  263,  691 }, NULL	/* j */
    },
    {
	107, 0x006b,  556, PSDRV_AGLGlyphNames +  991,
		{   22,    0,  543,  676 }, NULL	/* k */
    },
    {
	108, 0x006c,  278, PSDRV_AGLGlyphNames +  995,
		{   16,    0,  255,  676 }, NULL	/* l */
    },
    {
	109, 0x006d,  833, PSDRV_AGLGlyphNames + 1016,
		{   16,    0,  814,  473 }, NULL	/* m */
    },
    {
	110, 0x006e,  556, PSDRV_AGLGlyphNames + 1027,
		{   21,    0,  539,  473 }, NULL	/* n */
    },
    {
	111, 0x006f,  500, PSDRV_AGLGlyphNames + 1044,
		{   25,  -14,  476,  473 }, NULL	/* o */
    },
    {
	112, 0x0070,  556, PSDRV_AGLGlyphNames + 1079,
		{   19, -205,  524,  473 }, NULL	/* p */
    },
    {
	113, 0x0071,  556, PSDRV_AGLGlyphNames + 1113,
		{   34, -205,  536,  473 }, NULL	/* q */
    },
    {
	114, 0x0072,  444, PSDRV_AGLGlyphNames + 1127,
		{   29,    0,  434,  473 }, NULL	/* r */
    },
    {
	115, 0x0073,  389, PSDRV_AGLGlyphNames + 1145,
		{   25,  -14,  361,  473 }, NULL	/* s */
    },
    {
	116, 0x0074,  333, PSDRV_AGLGlyphNames + 1178,
		{   20,  -12,  332,  630 }, NULL	/* t */
    },
    {
	117, 0x0075,  556, PSDRV_AGLGlyphNames + 1212,
		{   16,  -14,  537,  461 }, NULL	/* u */
    },
    {
	118, 0x0076,  500, PSDRV_AGLGlyphNames + 1234,
		{   21,  -14,  485,  461 }, NULL	/* v */
    },
    {
	119, 0x0077,  722, PSDRV_AGLGlyphNames + 1235,
		{   23,  -14,  707,  461 }, NULL	/* w */
    },
    {
	120, 0x0078,  500, PSDRV_AGLGlyphNames + 1241,
		{   12,    0,  484,  461 }, NULL	/* x */
    },
    {
	121, 0x0079,  500, PSDRV_AGLGlyphNames + 1243,
		{   16, -205,  480,  461 }, NULL	/* y */
    },
    {
	122, 0x007a,  444, PSDRV_AGLGlyphNames + 1249,
		{   21,    0,  420,  461 }, NULL	/* z */
    },
    {
	123, 0x007b,  394, PSDRV_AGLGlyphNames +  793,
		{   22, -175,  340,  698 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  220, PSDRV_AGLGlyphNames +  789,
		{   66,  -19,  154,  691 }, NULL	/* bar */
    },
    {
	125, 0x007d,  394, PSDRV_AGLGlyphNames +  797,
		{   54, -175,  372,  698 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  520, PSDRV_AGLGlyphNames +  781,
		{   29,  173,  491,  333 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  333, PSDRV_AGLGlyphNames +  909,
		{   82, -203,  252,  501 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  500, PSDRV_AGLGlyphNames +  822,
		{   53, -140,  458,  588 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  500, PSDRV_AGLGlyphNames + 1173,
		{   21,  -14,  477,  684 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  500, PSDRV_AGLGlyphNames +  843,
		{  -26,   61,  526,  613 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  500, PSDRV_AGLGlyphNames + 1247,
		{  -64,    0,  547,  676 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  220, PSDRV_AGLGlyphNames +  810,
		{   66,  -19,  154,  691 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  500, PSDRV_AGLGlyphNames + 1152,
		{   57, -132,  443,  691 }, NULL	/* section */
    },
    {
	200, 0x00a8,  333, PSDRV_AGLGlyphNames +  859,
		{   -2,  537,  335,  667 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  747, PSDRV_AGLGlyphNames +  840,
		{   26,  -19,  721,  691 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  300, PSDRV_AGLGlyphNames + 1071,
		{   -1,  397,  301,  688 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  500, PSDRV_AGLGlyphNames +  950,
		{   23,   36,  473,  415 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  570, PSDRV_AGLGlyphNames + 1009,
		{   33,  108,  537,  399 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  747, PSDRV_AGLGlyphNames + 1135,
		{   26,  -19,  721,  691 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{   57,  402,  343,  688 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  570, PSDRV_AGLGlyphNames + 1106,
		{   33,    0,  537,  506 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  300, PSDRV_AGLGlyphNames + 1210,
		{    0,  275,  300,  688 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  300, PSDRV_AGLGlyphNames + 1194,
		{    3,  268,  297,  688 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  333, PSDRV_AGLGlyphNames +  500,
		{   86,  528,  324,  713 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  540, PSDRV_AGLGlyphNames + 1080,
		{    0, -186,  519,  676 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  250, PSDRV_AGLGlyphNames + 1096,
		{   41,  248,  210,  417 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  333, PSDRV_AGLGlyphNames +  821,
		{   68, -218,  294,    0 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  300, PSDRV_AGLGlyphNames + 1068,
		{   28,  275,  273,  688 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  330, PSDRV_AGLGlyphNames + 1072,
		{   18,  397,  312,  688 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  500, PSDRV_AGLGlyphNames +  951,
		{   27,   36,  477,  415 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  750, PSDRV_AGLGlyphNames + 1067,
		{   28,  -12,  743,  688 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  750, PSDRV_AGLGlyphNames + 1064,
		{   -7,  -12,  775,  688 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  750, PSDRV_AGLGlyphNames + 1192,
		{   23,  -12,  733,  688 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  500, PSDRV_AGLGlyphNames + 1115,
		{   55, -201,  443,  501 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  722, PSDRV_AGLGlyphNames +   13,
		{    9,    0,  689,  923 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  722, PSDRV_AGLGlyphNames +    4,
		{    9,    0,  689,  923 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  722, PSDRV_AGLGlyphNames +    7,
		{    9,    0,  689,  914 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  722, PSDRV_AGLGlyphNames +   23,
		{    9,    0,  689,  884 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  722, PSDRV_AGLGlyphNames +   11,
		{    9,    0,  689,  877 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  722, PSDRV_AGLGlyphNames +   19,
		{    9,    0,  689,  935 }, NULL	/* Aring */
    },
    {
	225, 0x00c6, 1000, PSDRV_AGLGlyphNames +    1,
		{    4,    0,  951,  676 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  722, PSDRV_AGLGlyphNames +   34,
		{   49, -218,  687,  691 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  667, PSDRV_AGLGlyphNames +   62,
		{   16,    0,  641,  923 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  667, PSDRV_AGLGlyphNames +   53,
		{   16,    0,  641,  923 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  667, PSDRV_AGLGlyphNames +   57,
		{   16,    0,  641,  914 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  667, PSDRV_AGLGlyphNames +   59,
		{   16,    0,  641,  877 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  389, PSDRV_AGLGlyphNames +  109,
		{   20,    0,  370,  923 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  389, PSDRV_AGLGlyphNames +   99,
		{   20,    0,  370,  923 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  389, PSDRV_AGLGlyphNames +  102,
		{   20,    0,  370,  914 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  389, PSDRV_AGLGlyphNames +  104,
		{   20,    0,  370,  877 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  722, PSDRV_AGLGlyphNames +   72,
		{    6,    0,  690,  676 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  722, PSDRV_AGLGlyphNames +  145,
		{   16,  -18,  701,  884 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  778, PSDRV_AGLGlyphNames +  159,
		{   35,  -19,  743,  923 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  778, PSDRV_AGLGlyphNames +  151,
		{   35,  -19,  743,  923 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  778, PSDRV_AGLGlyphNames +  154,
		{   35,  -19,  743,  914 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  778, PSDRV_AGLGlyphNames +  172,
		{   35,  -19,  743,  884 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  778, PSDRV_AGLGlyphNames +  156,
		{   35,  -19,  743,  877 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  570, PSDRV_AGLGlyphNames + 1024,
		{   48,   16,  522,  490 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  778, PSDRV_AGLGlyphNames +  168,
		{   35,  -74,  743,  737 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  722, PSDRV_AGLGlyphNames +  256,
		{   16,  -19,  701,  923 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  722, PSDRV_AGLGlyphNames +  249,
		{   16,  -19,  701,  923 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  722, PSDRV_AGLGlyphNames +  252,
		{   16,  -19,  701,  914 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  722, PSDRV_AGLGlyphNames +  254,
		{   16,  -19,  701,  877 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  722, PSDRV_AGLGlyphNames +  281,
		{   15,    0,  699,  928 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  611, PSDRV_AGLGlyphNames +  244,
		{   16,    0,  600,  676 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  556, PSDRV_AGLGlyphNames +  943,
		{   19,  -12,  517,  691 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  500, PSDRV_AGLGlyphNames +  750,
		{   25,  -14,  488,  713 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  500, PSDRV_AGLGlyphNames +  497,
		{   25,  -14,  488,  713 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  500, PSDRV_AGLGlyphNames +  499,
		{   25,  -14,  488,  704 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  500, PSDRV_AGLGlyphNames +  786,
		{   25,  -14,  488,  674 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  500, PSDRV_AGLGlyphNames +  502,
		{   25,  -14,  488,  667 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  500, PSDRV_AGLGlyphNames +  764,
		{   25,  -14,  488,  740 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  722, PSDRV_AGLGlyphNames +  503,
		{   33,  -14,  693,  473 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  444, PSDRV_AGLGlyphNames +  818,
		{   25, -218,  430,  473 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  444, PSDRV_AGLGlyphNames +  885,
		{   25,  -14,  426,  713 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  444, PSDRV_AGLGlyphNames +  879,
		{   25,  -14,  426,  713 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  444, PSDRV_AGLGlyphNames +  882,
		{   25,  -14,  426,  704 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  444, PSDRV_AGLGlyphNames +  883,
		{   25,  -14,  426,  667 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  278, PSDRV_AGLGlyphNames +  969,
		{  -26,    0,  255,  713 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  278, PSDRV_AGLGlyphNames +  965,
		{   16,    0,  290,  713 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  278, PSDRV_AGLGlyphNames +  967,
		{  -36,    0,  301,  704 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  278, PSDRV_AGLGlyphNames +  968,
		{  -36,    0,  301,  667 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  500, PSDRV_AGLGlyphNames +  906,
		{   25,  -14,  476,  691 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  556, PSDRV_AGLGlyphNames + 1041,
		{   21,    0,  539,  674 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  500, PSDRV_AGLGlyphNames + 1051,
		{   25,  -14,  476,  713 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  500, PSDRV_AGLGlyphNames + 1045,
		{   25,  -14,  476,  713 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  500, PSDRV_AGLGlyphNames + 1047,
		{   25,  -14,  476,  704 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  500, PSDRV_AGLGlyphNames + 1077,
		{   25,  -14,  476,  674 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  500, PSDRV_AGLGlyphNames + 1048,
		{   25,  -14,  476,  667 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  570, PSDRV_AGLGlyphNames +  863,
		{   33,  -31,  537,  537 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  500, PSDRV_AGLGlyphNames + 1074,
		{   25,  -92,  476,  549 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  556, PSDRV_AGLGlyphNames + 1217,
		{   16,  -14,  537,  713 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  556, PSDRV_AGLGlyphNames + 1213,
		{   16,  -14,  537,  713 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  556, PSDRV_AGLGlyphNames + 1215,
		{   16,  -14,  537,  704 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  556, PSDRV_AGLGlyphNames + 1216,
		{   16,  -14,  537,  667 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  500, PSDRV_AGLGlyphNames + 1244,
		{   16, -205,  480,  713 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  556, PSDRV_AGLGlyphNames + 1187,
		{   19, -205,  524,  676 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  500, PSDRV_AGLGlyphNames + 1246,
		{   16, -205,  480,  667 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  278, PSDRV_AGLGlyphNames +  873,
		{   16,    0,  255,  461 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  667, PSDRV_AGLGlyphNames +  132,
		{   19,    0,  638,  676 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  278, PSDRV_AGLGlyphNames + 1013,
		{  -22,    0,  303,  676 }, NULL	/* lslash */
    },
    {
	234, 0x0152, 1000, PSDRV_AGLGlyphNames +  149,
		{   22,   -5,  981,  684 }, NULL	/* OE */
    },
    {
	250, 0x0153,  722, PSDRV_AGLGlyphNames + 1049,
		{   22,  -14,  696,  473 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  556, PSDRV_AGLGlyphNames +  231,
		{   35,  -19,  513,  914 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  389, PSDRV_AGLGlyphNames + 1147,
		{   25,  -14,  363,  704 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  722, PSDRV_AGLGlyphNames +  284,
		{   15,    0,  699,  877 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  667, PSDRV_AGLGlyphNames +  290,
		{   28,    0,  634,  914 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  444, PSDRV_AGLGlyphNames + 1251,
		{   21,    0,  420,  704 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  500, PSDRV_AGLGlyphNames +  928,
		{    0, -155,  498,  706 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  333, PSDRV_AGLGlyphNames +  831,
		{   -2,  528,  335,  704 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  333, PSDRV_AGLGlyphNames +  815,
		{   -2,  528,  335,  704 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  333, PSDRV_AGLGlyphNames + 1017,
		{    1,  565,  331,  637 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  333, PSDRV_AGLGlyphNames +  809,
		{   15,  528,  318,  691 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  333, PSDRV_AGLGlyphNames +  871,
		{  103,  537,  230,  667 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  333, PSDRV_AGLGlyphNames + 1141,
		{   60,  527,  273,  740 }, NULL	/* ring */
    },
    {
	206, 0x02db,  333, PSDRV_AGLGlyphNames + 1050,
		{   90, -173,  319,   44 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  333, PSDRV_AGLGlyphNames + 1195,
		{  -16,  547,  349,  674 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  333, PSDRV_AGLGlyphNames +  960,
		{  -13,  528,  425,  713 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  556, PSDRV_AGLGlyphNames + 1023,
		{   33, -206,  536,  461 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{    0,  181,  500,  271 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{    0,  181, 1000,  271 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  333, PSDRV_AGLGlyphNames + 1122,
		{   70,  356,  254,  691 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  333, PSDRV_AGLGlyphNames + 1124,
		{   79,  356,  263,  691 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  333, PSDRV_AGLGlyphNames + 1125,
		{   79, -180,  263,  155 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  500, PSDRV_AGLGlyphNames + 1120,
		{   32,  356,  486,  691 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  500, PSDRV_AGLGlyphNames + 1121,
		{   14,  356,  468,  691 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  500, PSDRV_AGLGlyphNames + 1119,
		{   14, -180,  468,  155 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  500, PSDRV_AGLGlyphNames +  849,
		{   47, -134,  453,  691 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  500, PSDRV_AGLGlyphNames +  850,
		{   45, -132,  456,  691 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  350, PSDRV_AGLGlyphNames +  812,
		{   35,  198,  315,  478 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{   82,  -13,  917,  156 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1000, PSDRV_AGLGlyphNames + 1100,
		{    7,  -29,  995,  706 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  333, PSDRV_AGLGlyphNames +  952,
		{   51,   36,  305,  415 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  333, PSDRV_AGLGlyphNames +  953,
		{   28,   36,  282,  415 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122, 1000, PSDRV_AGLGlyphNames + 1198,
		{   24,  271,  977,  676 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  570, PSDRV_AGLGlyphNames + 1020,
		{   33,  209,  537,  297 }, NULL	/* minus */
    },
    {
	164, 0x2215,  167, PSDRV_AGLGlyphNames +  934,
		{ -168,  -12,  329,  688 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  556, PSDRV_AGLGlyphNames +  918,
		{   14,    0,  536,  691 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  556, PSDRV_AGLGlyphNames +  927,
		{   14,    0,  536,  691 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Times_Bold =
{
    "Times-Bold",				/* FontName */
    "Times Bold",				/* FullName */
    "Times",					/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_BOLD,					/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -168, -218, 1000, 935 },			/* FontBBox */
    676,					/* CapHeight */
    461,					/* XHeight */
    676,					/* Ascender */
    -205,					/* Descender */
    935,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	891,				/* WinMetrics.sAscender */
	-216,				/* WinMetrics.sDescender */
	42,				/* WinMetrics.sLineGap */
	427,				/* WinMetrics.sAvgCharWidth */
	677,				/* WinMetrics.sTypoAscender */
	-216,				/* WinMetrics.sTypoDescender */
	150,				/* WinMetrics.sTypoLineGap */
	891,				/* WinMetrics.usWinAscent */
	216				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 250, 333, 555, 500, 500, 	/* CharWidths[30] - CharWidths[36] */
	1000, 833, 278, 333, 333, 500, 	/* CharWidths[37] - CharWidths[42] */
	570, 250, 333, 250, 278, 500, 	/* CharWidths[43] - CharWidths[48] */
	500, 500, 500, 500, 500, 500, 	/* CharWidths[49] - CharWidths[54] */
	500, 500, 500, 333, 333, 570, 	/* CharWidths[55] - CharWidths[60] */
	570, 570, 500, 930, 722, 667, 	/* CharWidths[61] - CharWidths[66] */
	722, 722, 667, 611, 778, 778, 	/* CharWidths[67] - CharWidths[72] */
	389, 500, 778, 667, 944, 722, 	/* CharWidths[73] - CharWidths[78] */
	778, 611, 778, 722, 556, 667, 	/* CharWidths[79] - CharWidths[84] */
	722, 722, 1000, 722, 722, 667, 	/* CharWidths[85] - CharWidths[90] */
	333, 278, 333, 581, 500, 333, 	/* CharWidths[91] - CharWidths[96] */
	500, 556, 444, 556, 444, 333, 	/* CharWidths[97] - CharWidths[102] */
	500, 556, 278, 333, 556, 278, 	/* CharWidths[103] - CharWidths[108] */
	833, 556, 500, 556, 556, 444, 	/* CharWidths[109] - CharWidths[114] */
	389, 333, 556, 500, 722, 500, 	/* CharWidths[115] - CharWidths[120] */
	500, 444, 394, 220, 394, 520, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 333, 	/* CharWidths[137] - CharWidths[145] */
	333, 500, 500, 350, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 250, 	/* CharWidths[152] - CharWidths[160] */
	333, 500, 500, 500, 500, 220, 	/* CharWidths[161] - CharWidths[166] */
	500, 333, 747, 500, 500, 570, 	/* CharWidths[167] - CharWidths[172] */
	333, 747, 333, 400, 570, 300, 	/* CharWidths[173] - CharWidths[178] */
	300, 333, 0, 540, 250, 333, 	/* CharWidths[179] - CharWidths[184] */
	300, 500, 500, 750, 750, 750, 	/* CharWidths[185] - CharWidths[190] */
	500, 0, 333, 333, 333, 333, 	/* CharWidths[191] - CharWidths[196] */
	333, 333, 333, 333, 0, 333, 	/* CharWidths[197] - CharWidths[202] */
	333, 0, 333, 333, 333, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 570, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 1000, 0, 	/* CharWidths[218] - CharWidths[226] */
	300, 0, 0, 0, 0, 667, 778, 	/* CharWidths[227] - CharWidths[233] */
	1000, 330, 0, 0, 0, 0, 0, 722, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 278, 0, 570, 278, 	/* CharWidths[242] - CharWidths[248] */
	500, 722, 556, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Times_Bold,				/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
