/*******************************************************************************
 *
 *	Font metric data for Times Bold Italic
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Times New Roman Bold Italic, which is
 *  	Copyright 1990-1992 The Monotype Corporation plc/Type Solutions Inc.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Times_BoldItalic[228] = 
{
    {
	 32, 0x0020,  250, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  389, PSDRV_AGLGlyphNames +  907,
		{   67,  -13,  370,  684 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  555, PSDRV_AGLGlyphNames + 1118,
		{  136,  398,  536,  685 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  500, PSDRV_AGLGlyphNames + 1043,
		{  -33,    0,  533,  700 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  500, PSDRV_AGLGlyphNames +  866,
		{  -20, -100,  497,  733 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  833, PSDRV_AGLGlyphNames + 1094,
		{   39,  -10,  793,  692 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  778, PSDRV_AGLGlyphNames +  755,
		{    5,  -19,  699,  682 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  278, PSDRV_AGLGlyphNames + 1126,
		{  128,  398,  268,  685 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  333, PSDRV_AGLGlyphNames + 1081,
		{   28, -179,  344,  685 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  333, PSDRV_AGLGlyphNames + 1087,
		{  -44, -179,  271,  685 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  500, PSDRV_AGLGlyphNames +  782,
		{   65,  249,  456,  685 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  570, PSDRV_AGLGlyphNames + 1105,
		{   33,    0,  537,  506 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  250, PSDRV_AGLGlyphNames +  835,
		{  -60, -182,  144,  134 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  333, PSDRV_AGLGlyphNames +  961,
		{    2,  166,  271,  282 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  250, PSDRV_AGLGlyphNames + 1095,
		{   -9,  -13,  139,  135 }, NULL	/* period */
    },
    {
	 47, 0x002f,  278, PSDRV_AGLGlyphNames + 1167,
		{  -64,  -18,  342,  685 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  500, PSDRV_AGLGlyphNames + 1253,
		{   17,  -14,  477,  683 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  500, PSDRV_AGLGlyphNames + 1060,
		{    5,    0,  419,  683 }, NULL	/* one */
    },
    {
	 50, 0x0032,  500, PSDRV_AGLGlyphNames + 1206,
		{  -27,    0,  446,  683 }, NULL	/* two */
    },
    {
	 51, 0x0033,  500, PSDRV_AGLGlyphNames + 1188,
		{  -15,  -13,  450,  683 }, NULL	/* three */
    },
    {
	 52, 0x0034,  500, PSDRV_AGLGlyphNames +  930,
		{  -15,    0,  503,  683 }, NULL	/* four */
    },
    {
	 53, 0x0035,  500, PSDRV_AGLGlyphNames +  922,
		{  -11,  -13,  487,  669 }, NULL	/* five */
    },
    {
	 54, 0x0036,  500, PSDRV_AGLGlyphNames + 1163,
		{   23,  -15,  509,  679 }, NULL	/* six */
    },
    {
	 55, 0x0037,  500, PSDRV_AGLGlyphNames + 1154,
		{   52,    0,  525,  669 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  500, PSDRV_AGLGlyphNames +  886,
		{    3,  -13,  476,  683 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  500, PSDRV_AGLGlyphNames + 1032,
		{  -12,  -10,  475,  683 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  333, PSDRV_AGLGlyphNames +  833,
		{   23,  -13,  264,  459 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  333, PSDRV_AGLGlyphNames + 1153,
		{  -25, -183,  264,  459 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  570, PSDRV_AGLGlyphNames + 1003,
		{   31,   -8,  539,  514 }, NULL	/* less */
    },
    {
	 61, 0x003d,  570, PSDRV_AGLGlyphNames +  900,
		{   33,  107,  537,  399 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  570, PSDRV_AGLGlyphNames +  948,
		{   31,   -8,  539,  514 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  500, PSDRV_AGLGlyphNames + 1114,
		{   79,  -13,  470,  684 }, NULL	/* question */
    },
    {
	 64, 0x0040,  832, PSDRV_AGLGlyphNames +  785,
		{   63,  -18,  770,  685 }, NULL	/* at */
    },
    {
	 65, 0x0041,  667, PSDRV_AGLGlyphNames +    0,
		{  -67,    0,  593,  683 }, NULL	/* A */
    },
    {
	 66, 0x0042,  667, PSDRV_AGLGlyphNames +   25,
		{  -24,    0,  624,  669 }, NULL	/* B */
    },
    {
	 67, 0x0043,  667, PSDRV_AGLGlyphNames +   29,
		{   32,  -18,  677,  685 }, NULL	/* C */
    },
    {
	 68, 0x0044,  722, PSDRV_AGLGlyphNames +   42,
		{  -46,    0,  685,  669 }, NULL	/* D */
    },
    {
	 69, 0x0045,  667, PSDRV_AGLGlyphNames +   52,
		{  -27,    0,  653,  669 }, NULL	/* E */
    },
    {
	 70, 0x0046,  667, PSDRV_AGLGlyphNames +   75,
		{  -13,    0,  660,  669 }, NULL	/* F */
    },
    {
	 71, 0x0047,  722, PSDRV_AGLGlyphNames +   77,
		{   21,  -18,  706,  685 }, NULL	/* G */
    },
    {
	 72, 0x0048,  778, PSDRV_AGLGlyphNames +   87,
		{  -24,    0,  799,  669 }, NULL	/* H */
    },
    {
	 73, 0x0049,  389, PSDRV_AGLGlyphNames +   97,
		{  -32,    0,  406,  669 }, NULL	/* I */
    },
    {
	 74, 0x004a,  500, PSDRV_AGLGlyphNames +  118,
		{  -46,  -99,  524,  669 }, NULL	/* J */
    },
    {
	 75, 0x004b,  667, PSDRV_AGLGlyphNames +  121,
		{  -21,    0,  702,  669 }, NULL	/* K */
    },
    {
	 76, 0x004c,  611, PSDRV_AGLGlyphNames +  125,
		{  -22,    0,  590,  669 }, NULL	/* L */
    },
    {
	 77, 0x004d,  889, PSDRV_AGLGlyphNames +  135,
		{  -29,  -12,  917,  669 }, NULL	/* M */
    },
    {
	 78, 0x004e,  722, PSDRV_AGLGlyphNames +  140,
		{  -27,  -15,  748,  669 }, NULL	/* N */
    },
    {
	 79, 0x004f,  722, PSDRV_AGLGlyphNames +  148,
		{   27,  -18,  691,  685 }, NULL	/* O */
    },
    {
	 80, 0x0050,  611, PSDRV_AGLGlyphNames +  174,
		{  -27,    0,  613,  669 }, NULL	/* P */
    },
    {
	 81, 0x0051,  722, PSDRV_AGLGlyphNames +  179,
		{   27, -208,  691,  685 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  667, PSDRV_AGLGlyphNames +  181,
		{  -29,    0,  623,  669 }, NULL	/* R */
    },
    {
	 83, 0x0053,  556, PSDRV_AGLGlyphNames +  189,
		{    2,  -18,  526,  685 }, NULL	/* S */
    },
    {
	 84, 0x0054,  611, PSDRV_AGLGlyphNames +  238,
		{   50,    0,  650,  669 }, NULL	/* T */
    },
    {
	 85, 0x0055,  722, PSDRV_AGLGlyphNames +  248,
		{   67,  -18,  744,  669 }, NULL	/* U */
    },
    {
	 86, 0x0056,  667, PSDRV_AGLGlyphNames +  269,
		{   65,  -18,  715,  669 }, NULL	/* V */
    },
    {
	 87, 0x0057,  889, PSDRV_AGLGlyphNames +  271,
		{   65,  -18,  940,  669 }, NULL	/* W */
    },
    {
	 88, 0x0058,  667, PSDRV_AGLGlyphNames +  277,
		{  -24,    0,  694,  669 }, NULL	/* X */
    },
    {
	 89, 0x0059,  611, PSDRV_AGLGlyphNames +  280,
		{   73,    0,  659,  669 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  611, PSDRV_AGLGlyphNames +  288,
		{  -11,    0,  590,  669 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  333, PSDRV_AGLGlyphNames +  801,
		{  -37, -159,  362,  674 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  278, PSDRV_AGLGlyphNames +  788,
		{   -1,  -18,  279,  685 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  333, PSDRV_AGLGlyphNames +  805,
		{  -56, -157,  343,  674 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  570, PSDRV_AGLGlyphNames +  780,
		{   67,  304,  503,  669 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  333, PSDRV_AGLGlyphNames +  945,
		{   85,  516,  297,  697 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  500, PSDRV_AGLGlyphNames +  295,
		{  -21,  -14,  455,  462 }, NULL	/* a */
    },
    {
	 98, 0x0062,  500, PSDRV_AGLGlyphNames +  787,
		{  -14,  -13,  444,  699 }, NULL	/* b */
    },
    {
	 99, 0x0063,  444, PSDRV_AGLGlyphNames +  813,
		{   -5,  -13,  392,  462 }, NULL	/* c */
    },
    {
	100, 0x0064,  500, PSDRV_AGLGlyphNames +  848,
		{  -21,  -13,  517,  699 }, NULL	/* d */
    },
    {
	101, 0x0065,  444, PSDRV_AGLGlyphNames +  878,
		{    5,  -13,  398,  462 }, NULL	/* e */
    },
    {
	102, 0x0066,  333, PSDRV_AGLGlyphNames +  913,
		{ -169, -205,  446,  698 }, NULL	/* f */
    },
    {
	103, 0x0067,  500, PSDRV_AGLGlyphNames +  936,
		{  -52, -203,  478,  462 }, NULL	/* g */
    },
    {
	104, 0x0068,  556, PSDRV_AGLGlyphNames +  954,
		{  -13,   -9,  498,  699 }, NULL	/* h */
    },
    {
	105, 0x0069,  278, PSDRV_AGLGlyphNames +  964,
		{    2,   -9,  263,  684 }, NULL	/* i */
    },
    {
	106, 0x006a,  278, PSDRV_AGLGlyphNames +  989,
		{ -189, -207,  279,  684 }, NULL	/* j */
    },
    {
	107, 0x006b,  500, PSDRV_AGLGlyphNames +  991,
		{  -23,   -8,  483,  699 }, NULL	/* k */
    },
    {
	108, 0x006c,  278, PSDRV_AGLGlyphNames +  995,
		{    2,   -9,  290,  699 }, NULL	/* l */
    },
    {
	109, 0x006d,  778, PSDRV_AGLGlyphNames + 1016,
		{  -14,   -9,  722,  462 }, NULL	/* m */
    },
    {
	110, 0x006e,  556, PSDRV_AGLGlyphNames + 1027,
		{   -6,   -9,  493,  462 }, NULL	/* n */
    },
    {
	111, 0x006f,  500, PSDRV_AGLGlyphNames + 1044,
		{   -3,  -13,  441,  462 }, NULL	/* o */
    },
    {
	112, 0x0070,  500, PSDRV_AGLGlyphNames + 1079,
		{ -120, -205,  446,  462 }, NULL	/* p */
    },
    {
	113, 0x0071,  500, PSDRV_AGLGlyphNames + 1113,
		{    1, -205,  471,  462 }, NULL	/* q */
    },
    {
	114, 0x0072,  389, PSDRV_AGLGlyphNames + 1127,
		{  -21,    0,  389,  462 }, NULL	/* r */
    },
    {
	115, 0x0073,  389, PSDRV_AGLGlyphNames + 1145,
		{  -19,  -13,  333,  462 }, NULL	/* s */
    },
    {
	116, 0x0074,  278, PSDRV_AGLGlyphNames + 1178,
		{  -11,   -9,  281,  594 }, NULL	/* t */
    },
    {
	117, 0x0075,  556, PSDRV_AGLGlyphNames + 1212,
		{   15,   -9,  492,  462 }, NULL	/* u */
    },
    {
	118, 0x0076,  444, PSDRV_AGLGlyphNames + 1234,
		{   16,  -13,  401,  462 }, NULL	/* v */
    },
    {
	119, 0x0077,  667, PSDRV_AGLGlyphNames + 1235,
		{   16,  -13,  614,  462 }, NULL	/* w */
    },
    {
	120, 0x0078,  500, PSDRV_AGLGlyphNames + 1241,
		{  -46,  -13,  469,  462 }, NULL	/* x */
    },
    {
	121, 0x0079,  444, PSDRV_AGLGlyphNames + 1243,
		{  -94, -205,  392,  462 }, NULL	/* y */
    },
    {
	122, 0x007a,  389, PSDRV_AGLGlyphNames + 1249,
		{  -43,  -78,  368,  449 }, NULL	/* z */
    },
    {
	123, 0x007b,  348, PSDRV_AGLGlyphNames +  793,
		{    5, -187,  436,  686 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  220, PSDRV_AGLGlyphNames +  789,
		{   66,  -18,  154,  685 }, NULL	/* bar */
    },
    {
	125, 0x007d,  348, PSDRV_AGLGlyphNames +  797,
		{ -129, -187,  302,  686 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  570, PSDRV_AGLGlyphNames +  781,
		{   54,  173,  516,  333 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  389, PSDRV_AGLGlyphNames +  909,
		{   19, -205,  322,  492 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  500, PSDRV_AGLGlyphNames +  822,
		{   42, -143,  439,  576 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  500, PSDRV_AGLGlyphNames + 1173,
		{  -32,  -12,  510,  683 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  500, PSDRV_AGLGlyphNames +  843,
		{  -26,   34,  526,  586 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  500, PSDRV_AGLGlyphNames + 1247,
		{   33,    0,  628,  669 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  220, PSDRV_AGLGlyphNames +  810,
		{   66,  -18,  154,  685 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  500, PSDRV_AGLGlyphNames + 1152,
		{   36, -143,  459,  685 }, NULL	/* section */
    },
    {
	200, 0x00a8,  333, PSDRV_AGLGlyphNames +  859,
		{   55,  525,  397,  655 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  747, PSDRV_AGLGlyphNames +  840,
		{   30,  -18,  718,  685 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  266, PSDRV_AGLGlyphNames + 1071,
		{   16,  399,  330,  685 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  500, PSDRV_AGLGlyphNames +  950,
		{   12,   32,  468,  415 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  606, PSDRV_AGLGlyphNames + 1009,
		{   51,  108,  555,  399 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  747, PSDRV_AGLGlyphNames + 1135,
		{   30,  -18,  718,  685 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{   83,  397,  369,  683 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  570, PSDRV_AGLGlyphNames + 1106,
		{   33,    0,  537,  506 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  300, PSDRV_AGLGlyphNames + 1210,
		{    2,  274,  313,  683 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  300, PSDRV_AGLGlyphNames + 1194,
		{   17,  265,  321,  683 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  333, PSDRV_AGLGlyphNames +  500,
		{  139,  516,  379,  697 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  500, PSDRV_AGLGlyphNames + 1080,
		{  -57, -193,  562,  669 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  250, PSDRV_AGLGlyphNames + 1096,
		{   51,  257,  199,  405 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  333, PSDRV_AGLGlyphNames +  821,
		{  -80, -218,  156,    5 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  300, PSDRV_AGLGlyphNames + 1068,
		{   30,  274,  301,  683 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  300, PSDRV_AGLGlyphNames + 1072,
		{   56,  400,  347,  685 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  500, PSDRV_AGLGlyphNames +  951,
		{   12,   32,  468,  415 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  750, PSDRV_AGLGlyphNames + 1067,
		{    7,  -14,  721,  683 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  750, PSDRV_AGLGlyphNames + 1064,
		{   -9,  -14,  723,  683 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  750, PSDRV_AGLGlyphNames + 1192,
		{    7,  -14,  726,  683 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  500, PSDRV_AGLGlyphNames + 1115,
		{   30, -205,  421,  492 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  667, PSDRV_AGLGlyphNames +   13,
		{  -67,    0,  593,  904 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  667, PSDRV_AGLGlyphNames +    4,
		{  -67,    0,  593,  904 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  667, PSDRV_AGLGlyphNames +    7,
		{  -67,    0,  593,  897 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  667, PSDRV_AGLGlyphNames +   23,
		{  -67,    0,  593,  862 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  667, PSDRV_AGLGlyphNames +   11,
		{  -67,    0,  593,  862 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  667, PSDRV_AGLGlyphNames +   19,
		{  -67,    0,  593,  921 }, NULL	/* Aring */
    },
    {
	225, 0x00c6,  944, PSDRV_AGLGlyphNames +    1,
		{  -64,    0,  918,  669 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  667, PSDRV_AGLGlyphNames +   34,
		{   32, -218,  677,  685 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  667, PSDRV_AGLGlyphNames +   62,
		{  -27,    0,  653,  904 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  667, PSDRV_AGLGlyphNames +   53,
		{  -27,    0,  653,  904 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  667, PSDRV_AGLGlyphNames +   57,
		{  -27,    0,  653,  897 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  667, PSDRV_AGLGlyphNames +   59,
		{  -27,    0,  653,  862 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  389, PSDRV_AGLGlyphNames +  109,
		{  -32,    0,  406,  904 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  389, PSDRV_AGLGlyphNames +   99,
		{  -32,    0,  412,  904 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  389, PSDRV_AGLGlyphNames +  102,
		{  -32,    0,  420,  897 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  389, PSDRV_AGLGlyphNames +  104,
		{  -32,    0,  445,  862 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  722, PSDRV_AGLGlyphNames +   72,
		{  -31,    0,  700,  669 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  722, PSDRV_AGLGlyphNames +  145,
		{  -27,  -15,  748,  862 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  722, PSDRV_AGLGlyphNames +  159,
		{   27,  -18,  691,  904 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  722, PSDRV_AGLGlyphNames +  151,
		{   27,  -18,  691,  904 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  722, PSDRV_AGLGlyphNames +  154,
		{   27,  -18,  691,  897 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  722, PSDRV_AGLGlyphNames +  172,
		{   27,  -18,  691,  862 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  722, PSDRV_AGLGlyphNames +  156,
		{   27,  -18,  691,  862 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  570, PSDRV_AGLGlyphNames + 1024,
		{   48,   16,  522,  490 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  722, PSDRV_AGLGlyphNames +  168,
		{   27, -125,  691,  764 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  722, PSDRV_AGLGlyphNames +  256,
		{   67,  -18,  744,  904 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  722, PSDRV_AGLGlyphNames +  249,
		{   67,  -18,  744,  904 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  722, PSDRV_AGLGlyphNames +  252,
		{   67,  -18,  744,  897 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  722, PSDRV_AGLGlyphNames +  254,
		{   67,  -18,  744,  862 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  611, PSDRV_AGLGlyphNames +  281,
		{   73,    0,  659,  904 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  611, PSDRV_AGLGlyphNames +  244,
		{  -27,    0,  573,  669 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  500, PSDRV_AGLGlyphNames +  943,
		{ -200, -200,  473,  705 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  500, PSDRV_AGLGlyphNames +  750,
		{  -21,  -14,  455,  697 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  500, PSDRV_AGLGlyphNames +  497,
		{  -21,  -14,  463,  697 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  500, PSDRV_AGLGlyphNames +  499,
		{  -21,  -14,  455,  690 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  500, PSDRV_AGLGlyphNames +  786,
		{  -21,  -14,  491,  655 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  500, PSDRV_AGLGlyphNames +  502,
		{  -21,  -14,  471,  655 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  500, PSDRV_AGLGlyphNames +  764,
		{  -21,  -14,  455,  729 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  722, PSDRV_AGLGlyphNames +  503,
		{   -5,  -13,  673,  462 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  444, PSDRV_AGLGlyphNames +  818,
		{  -24, -218,  392,  462 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  444, PSDRV_AGLGlyphNames +  885,
		{    5,  -13,  398,  697 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  444, PSDRV_AGLGlyphNames +  879,
		{    5,  -13,  435,  697 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  444, PSDRV_AGLGlyphNames +  882,
		{    5,  -13,  423,  690 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  444, PSDRV_AGLGlyphNames +  883,
		{    5,  -13,  443,  655 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  278, PSDRV_AGLGlyphNames +  969,
		{    2,   -9,  260,  697 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  278, PSDRV_AGLGlyphNames +  965,
		{    2,   -9,  352,  697 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  278, PSDRV_AGLGlyphNames +  967,
		{   -2,   -9,  325,  690 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  278, PSDRV_AGLGlyphNames +  968,
		{    2,   -9,  360,  655 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  500, PSDRV_AGLGlyphNames +  906,
		{   -3,  -13,  454,  699 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  556, PSDRV_AGLGlyphNames + 1041,
		{   -6,   -9,  504,  655 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  500, PSDRV_AGLGlyphNames + 1051,
		{   -3,  -13,  441,  697 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  500, PSDRV_AGLGlyphNames + 1045,
		{   -3,  -13,  463,  697 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  500, PSDRV_AGLGlyphNames + 1047,
		{   -3,  -13,  451,  690 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  500, PSDRV_AGLGlyphNames + 1077,
		{   -3,  -13,  491,  655 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  500, PSDRV_AGLGlyphNames + 1048,
		{   -3,  -13,  466,  655 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  570, PSDRV_AGLGlyphNames +  863,
		{   33,  -29,  537,  535 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  500, PSDRV_AGLGlyphNames + 1074,
		{   -3, -119,  441,  560 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  556, PSDRV_AGLGlyphNames + 1217,
		{   15,   -9,  492,  697 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  556, PSDRV_AGLGlyphNames + 1213,
		{   15,   -9,  492,  697 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  556, PSDRV_AGLGlyphNames + 1215,
		{   15,   -9,  492,  690 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  556, PSDRV_AGLGlyphNames + 1216,
		{   15,   -9,  494,  655 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  444, PSDRV_AGLGlyphNames + 1244,
		{  -94, -205,  435,  697 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  500, PSDRV_AGLGlyphNames + 1187,
		{ -120, -205,  446,  699 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  444, PSDRV_AGLGlyphNames + 1246,
		{  -94, -205,  438,  655 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  278, PSDRV_AGLGlyphNames +  873,
		{    2,   -9,  238,  462 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  611, PSDRV_AGLGlyphNames +  132,
		{  -22,    0,  590,  669 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  278, PSDRV_AGLGlyphNames + 1013,
		{  -13,   -9,  301,  699 }, NULL	/* lslash */
    },
    {
	234, 0x0152,  944, PSDRV_AGLGlyphNames +  149,
		{   23,   -8,  946,  677 }, NULL	/* OE */
    },
    {
	250, 0x0153,  722, PSDRV_AGLGlyphNames + 1049,
		{    6,  -13,  674,  462 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  556, PSDRV_AGLGlyphNames +  231,
		{    2,  -18,  526,  897 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  389, PSDRV_AGLGlyphNames + 1147,
		{  -19,  -13,  439,  690 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  611, PSDRV_AGLGlyphNames +  284,
		{   73,    0,  659,  862 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  611, PSDRV_AGLGlyphNames +  290,
		{  -11,    0,  590,  897 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  389, PSDRV_AGLGlyphNames + 1251,
		{  -43,  -78,  424,  690 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  500, PSDRV_AGLGlyphNames +  928,
		{  -87, -156,  537,  707 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  333, PSDRV_AGLGlyphNames +  831,
		{   40,  516,  367,  690 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  333, PSDRV_AGLGlyphNames +  815,
		{   79,  516,  411,  690 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  333, PSDRV_AGLGlyphNames + 1017,
		{   51,  553,  393,  623 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  333, PSDRV_AGLGlyphNames +  809,
		{   71,  516,  387,  678 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  333, PSDRV_AGLGlyphNames +  871,
		{  163,  525,  293,  655 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  333, PSDRV_AGLGlyphNames + 1141,
		{  127,  516,  340,  729 }, NULL	/* ring */
    },
    {
	206, 0x02db,  333, PSDRV_AGLGlyphNames + 1050,
		{  -40, -173,  189,   44 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  333, PSDRV_AGLGlyphNames + 1195,
		{   48,  536,  407,  655 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  333, PSDRV_AGLGlyphNames +  960,
		{   69,  516,  498,  697 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  576, PSDRV_AGLGlyphNames + 1023,
		{  -60, -207,  516,  449 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{  -40,  178,  477,  269 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{  -40,  178,  977,  269 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  333, PSDRV_AGLGlyphNames + 1122,
		{  128,  369,  332,  685 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  333, PSDRV_AGLGlyphNames + 1124,
		{   98,  369,  302,  685 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  333, PSDRV_AGLGlyphNames + 1125,
		{   -5, -182,  199,  134 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  500, PSDRV_AGLGlyphNames + 1120,
		{   53,  369,  513,  685 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  500, PSDRV_AGLGlyphNames + 1121,
		{   53,  369,  513,  685 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  500, PSDRV_AGLGlyphNames + 1119,
		{  -57, -182,  403,  134 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  500, PSDRV_AGLGlyphNames +  849,
		{   91, -145,  494,  685 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  500, PSDRV_AGLGlyphNames +  850,
		{   10, -139,  493,  685 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  350, PSDRV_AGLGlyphNames +  812,
		{    0,  175,  350,  525 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{   40,  -13,  852,  135 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1000, PSDRV_AGLGlyphNames + 1100,
		{    7,  -29,  996,  706 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  333, PSDRV_AGLGlyphNames +  952,
		{   32,   32,  303,  415 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  333, PSDRV_AGLGlyphNames +  953,
		{   10,   32,  281,  415 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122, 1000, PSDRV_AGLGlyphNames + 1198,
		{   32,  263,  968,  669 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  606, PSDRV_AGLGlyphNames + 1020,
		{   51,  209,  555,  297 }, NULL	/* minus */
    },
    {
	164, 0x2215,  167, PSDRV_AGLGlyphNames +  934,
		{ -169,  -14,  324,  683 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  556, PSDRV_AGLGlyphNames +  918,
		{ -188, -205,  514,  703 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  556, PSDRV_AGLGlyphNames +  927,
		{ -186, -205,  553,  704 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Times_BoldItalic =
{
    "Times-BoldItalic",				/* FontName */
    "Times Bold Italic",			/* FullName */
    "Times",					/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_BOLD,					/* Weight */
    -15,					/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -200, -218, 996, 921 },			/* FontBBox */
    669,					/* CapHeight */
    462,					/* XHeight */
    699,					/* Ascender */
    -205,					/* Descender */
    921,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	891,				/* WinMetrics.sAscender */
	-216,				/* WinMetrics.sDescender */
	42,				/* WinMetrics.sLineGap */
	412,				/* WinMetrics.sAvgCharWidth */
	677,				/* WinMetrics.sTypoAscender */
	-216,				/* WinMetrics.sTypoDescender */
	150,				/* WinMetrics.sTypoLineGap */
	891,				/* WinMetrics.usWinAscent */
	216				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 250, 389, 555, 500, 500, 	/* CharWidths[30] - CharWidths[36] */
	833, 778, 278, 333, 333, 500, 	/* CharWidths[37] - CharWidths[42] */
	570, 250, 333, 250, 278, 500, 	/* CharWidths[43] - CharWidths[48] */
	500, 500, 500, 500, 500, 500, 	/* CharWidths[49] - CharWidths[54] */
	500, 500, 500, 333, 333, 570, 	/* CharWidths[55] - CharWidths[60] */
	570, 570, 500, 832, 667, 667, 	/* CharWidths[61] - CharWidths[66] */
	667, 722, 667, 667, 722, 778, 	/* CharWidths[67] - CharWidths[72] */
	389, 500, 667, 611, 889, 722, 	/* CharWidths[73] - CharWidths[78] */
	722, 611, 722, 667, 556, 611, 	/* CharWidths[79] - CharWidths[84] */
	722, 667, 889, 667, 611, 611, 	/* CharWidths[85] - CharWidths[90] */
	333, 278, 333, 570, 500, 333, 	/* CharWidths[91] - CharWidths[96] */
	500, 500, 444, 500, 444, 333, 	/* CharWidths[97] - CharWidths[102] */
	500, 556, 278, 278, 500, 278, 	/* CharWidths[103] - CharWidths[108] */
	778, 556, 500, 500, 500, 389, 	/* CharWidths[109] - CharWidths[114] */
	389, 278, 556, 444, 667, 500, 	/* CharWidths[115] - CharWidths[120] */
	444, 389, 348, 220, 348, 570, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 333, 	/* CharWidths[137] - CharWidths[145] */
	333, 500, 500, 350, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 250, 	/* CharWidths[152] - CharWidths[160] */
	389, 500, 500, 500, 500, 220, 	/* CharWidths[161] - CharWidths[166] */
	500, 333, 747, 500, 500, 606, 	/* CharWidths[167] - CharWidths[172] */
	333, 747, 333, 400, 570, 300, 	/* CharWidths[173] - CharWidths[178] */
	300, 333, 0, 500, 250, 333, 	/* CharWidths[179] - CharWidths[184] */
	300, 500, 500, 750, 750, 750, 	/* CharWidths[185] - CharWidths[190] */
	500, 0, 333, 333, 333, 333, 	/* CharWidths[191] - CharWidths[196] */
	333, 333, 333, 333, 0, 333, 	/* CharWidths[197] - CharWidths[202] */
	333, 0, 333, 333, 333, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 570, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 944, 0, 	/* CharWidths[218] - CharWidths[226] */
	266, 0, 0, 0, 0, 611, 722, 	/* CharWidths[227] - CharWidths[233] */
	944, 300, 0, 0, 0, 0, 0, 722, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 278, 0, 570, 278, 	/* CharWidths[242] - CharWidths[248] */
	500, 722, 500, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Times_BoldItalic,			/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
