/*******************************************************************************
 *
 *	Font metric data for Times Italic
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Times New Roman Italic, which is Copyright
 *  	1990-1992 The Monotype Corporation plc/Type Solutions Inc.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Times_Italic[228] = 
{
    {
	 32, 0x0020,  250, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  333, PSDRV_AGLGlyphNames +  907,
		{   39,  -11,  302,  667 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  420, PSDRV_AGLGlyphNames + 1118,
		{  144,  421,  432,  666 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  500, PSDRV_AGLGlyphNames + 1043,
		{    2,    0,  540,  676 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  500, PSDRV_AGLGlyphNames +  866,
		{   31,  -89,  497,  731 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  833, PSDRV_AGLGlyphNames + 1094,
		{   79,  -13,  790,  676 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  778, PSDRV_AGLGlyphNames +  755,
		{   76,  -18,  723,  666 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  214, PSDRV_AGLGlyphNames + 1126,
		{  132,  421,  241,  666 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  333, PSDRV_AGLGlyphNames + 1081,
		{   42, -181,  315,  669 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  333, PSDRV_AGLGlyphNames + 1087,
		{   16, -180,  289,  669 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  500, PSDRV_AGLGlyphNames +  782,
		{  128,  255,  492,  666 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  675, PSDRV_AGLGlyphNames + 1105,
		{   86,    0,  590,  506 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  250, PSDRV_AGLGlyphNames +  835,
		{   -4, -129,  135,  101 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  333, PSDRV_AGLGlyphNames +  961,
		{   49,  192,  282,  255 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  250, PSDRV_AGLGlyphNames + 1095,
		{   27,  -11,  138,  100 }, NULL	/* period */
    },
    {
	 47, 0x002f,  278, PSDRV_AGLGlyphNames + 1167,
		{  -65,  -18,  386,  666 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  500, PSDRV_AGLGlyphNames + 1253,
		{   32,   -7,  497,  676 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  500, PSDRV_AGLGlyphNames + 1060,
		{   49,    0,  409,  676 }, NULL	/* one */
    },
    {
	 50, 0x0032,  500, PSDRV_AGLGlyphNames + 1206,
		{   12,    0,  452,  676 }, NULL	/* two */
    },
    {
	 51, 0x0033,  500, PSDRV_AGLGlyphNames + 1188,
		{   15,   -7,  465,  676 }, NULL	/* three */
    },
    {
	 52, 0x0034,  500, PSDRV_AGLGlyphNames +  930,
		{    1,    0,  479,  676 }, NULL	/* four */
    },
    {
	 53, 0x0035,  500, PSDRV_AGLGlyphNames +  922,
		{   15,   -7,  491,  666 }, NULL	/* five */
    },
    {
	 54, 0x0036,  500, PSDRV_AGLGlyphNames + 1163,
		{   30,   -7,  521,  686 }, NULL	/* six */
    },
    {
	 55, 0x0037,  500, PSDRV_AGLGlyphNames + 1154,
		{   75,   -8,  537,  666 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  500, PSDRV_AGLGlyphNames +  886,
		{   30,   -7,  493,  676 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  500, PSDRV_AGLGlyphNames + 1032,
		{   23,  -17,  492,  676 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  333, PSDRV_AGLGlyphNames +  833,
		{   50,  -11,  261,  441 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  333, PSDRV_AGLGlyphNames + 1153,
		{   27, -129,  261,  441 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  675, PSDRV_AGLGlyphNames + 1003,
		{   84,   -8,  592,  514 }, NULL	/* less */
    },
    {
	 61, 0x003d,  675, PSDRV_AGLGlyphNames +  900,
		{   86,  120,  590,  386 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  675, PSDRV_AGLGlyphNames +  948,
		{   84,   -8,  592,  514 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  500, PSDRV_AGLGlyphNames + 1114,
		{  132,  -12,  472,  664 }, NULL	/* question */
    },
    {
	 64, 0x0040,  920, PSDRV_AGLGlyphNames +  785,
		{  118,  -18,  806,  666 }, NULL	/* at */
    },
    {
	 65, 0x0041,  611, PSDRV_AGLGlyphNames +    0,
		{  -51,    0,  564,  668 }, NULL	/* A */
    },
    {
	 66, 0x0042,  611, PSDRV_AGLGlyphNames +   25,
		{   -8,    0,  588,  653 }, NULL	/* B */
    },
    {
	 67, 0x0043,  667, PSDRV_AGLGlyphNames +   29,
		{   66,  -18,  689,  666 }, NULL	/* C */
    },
    {
	 68, 0x0044,  722, PSDRV_AGLGlyphNames +   42,
		{   -8,    0,  700,  653 }, NULL	/* D */
    },
    {
	 69, 0x0045,  611, PSDRV_AGLGlyphNames +   52,
		{   -1,    0,  634,  653 }, NULL	/* E */
    },
    {
	 70, 0x0046,  611, PSDRV_AGLGlyphNames +   75,
		{    8,    0,  645,  653 }, NULL	/* F */
    },
    {
	 71, 0x0047,  722, PSDRV_AGLGlyphNames +   77,
		{   52,  -18,  722,  666 }, NULL	/* G */
    },
    {
	 72, 0x0048,  722, PSDRV_AGLGlyphNames +   87,
		{   -8,    0,  767,  653 }, NULL	/* H */
    },
    {
	 73, 0x0049,  333, PSDRV_AGLGlyphNames +   97,
		{   -8,    0,  384,  653 }, NULL	/* I */
    },
    {
	 74, 0x004a,  444, PSDRV_AGLGlyphNames +  118,
		{   -6,  -18,  491,  653 }, NULL	/* J */
    },
    {
	 75, 0x004b,  667, PSDRV_AGLGlyphNames +  121,
		{    7,    0,  722,  653 }, NULL	/* K */
    },
    {
	 76, 0x004c,  556, PSDRV_AGLGlyphNames +  125,
		{   -8,    0,  559,  653 }, NULL	/* L */
    },
    {
	 77, 0x004d,  833, PSDRV_AGLGlyphNames +  135,
		{  -18,    0,  873,  653 }, NULL	/* M */
    },
    {
	 78, 0x004e,  667, PSDRV_AGLGlyphNames +  140,
		{  -20,  -15,  727,  653 }, NULL	/* N */
    },
    {
	 79, 0x004f,  722, PSDRV_AGLGlyphNames +  148,
		{   60,  -18,  699,  666 }, NULL	/* O */
    },
    {
	 80, 0x0050,  611, PSDRV_AGLGlyphNames +  174,
		{    0,    0,  605,  653 }, NULL	/* P */
    },
    {
	 81, 0x0051,  722, PSDRV_AGLGlyphNames +  179,
		{   59, -182,  699,  666 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  611, PSDRV_AGLGlyphNames +  181,
		{  -13,    0,  588,  653 }, NULL	/* R */
    },
    {
	 83, 0x0053,  500, PSDRV_AGLGlyphNames +  189,
		{   17,  -18,  508,  667 }, NULL	/* S */
    },
    {
	 84, 0x0054,  556, PSDRV_AGLGlyphNames +  238,
		{   59,    0,  633,  653 }, NULL	/* T */
    },
    {
	 85, 0x0055,  722, PSDRV_AGLGlyphNames +  248,
		{  102,  -18,  765,  653 }, NULL	/* U */
    },
    {
	 86, 0x0056,  611, PSDRV_AGLGlyphNames +  269,
		{   76,  -18,  688,  653 }, NULL	/* V */
    },
    {
	 87, 0x0057,  833, PSDRV_AGLGlyphNames +  271,
		{   71,  -18,  906,  653 }, NULL	/* W */
    },
    {
	 88, 0x0058,  611, PSDRV_AGLGlyphNames +  277,
		{  -29,    0,  655,  653 }, NULL	/* X */
    },
    {
	 89, 0x0059,  556, PSDRV_AGLGlyphNames +  280,
		{   78,    0,  633,  653 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  556, PSDRV_AGLGlyphNames +  288,
		{   -6,    0,  606,  653 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  389, PSDRV_AGLGlyphNames +  801,
		{   21, -153,  391,  663 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  278, PSDRV_AGLGlyphNames +  788,
		{  -41,  -18,  319,  666 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  389, PSDRV_AGLGlyphNames +  805,
		{   12, -153,  382,  663 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  422, PSDRV_AGLGlyphNames +  780,
		{    0,  301,  422,  666 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  333, PSDRV_AGLGlyphNames +  945,
		{  121,  492,  311,  664 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  500, PSDRV_AGLGlyphNames +  295,
		{   17,  -11,  476,  441 }, NULL	/* a */
    },
    {
	 98, 0x0062,  500, PSDRV_AGLGlyphNames +  787,
		{   23,  -11,  473,  683 }, NULL	/* b */
    },
    {
	 99, 0x0063,  444, PSDRV_AGLGlyphNames +  813,
		{   30,  -11,  425,  441 }, NULL	/* c */
    },
    {
	100, 0x0064,  500, PSDRV_AGLGlyphNames +  848,
		{   15,  -13,  527,  683 }, NULL	/* d */
    },
    {
	101, 0x0065,  444, PSDRV_AGLGlyphNames +  878,
		{   31,  -11,  412,  441 }, NULL	/* e */
    },
    {
	102, 0x0066,  278, PSDRV_AGLGlyphNames +  913,
		{ -147, -207,  424,  678 }, NULL	/* f */
    },
    {
	103, 0x0067,  500, PSDRV_AGLGlyphNames +  936,
		{    8, -206,  472,  441 }, NULL	/* g */
    },
    {
	104, 0x0068,  500, PSDRV_AGLGlyphNames +  954,
		{   19,   -9,  478,  683 }, NULL	/* h */
    },
    {
	105, 0x0069,  278, PSDRV_AGLGlyphNames +  964,
		{   49,  -11,  264,  654 }, NULL	/* i */
    },
    {
	106, 0x006a,  278, PSDRV_AGLGlyphNames +  989,
		{ -124, -207,  276,  654 }, NULL	/* j */
    },
    {
	107, 0x006b,  444, PSDRV_AGLGlyphNames +  991,
		{   14,  -11,  461,  683 }, NULL	/* k */
    },
    {
	108, 0x006c,  278, PSDRV_AGLGlyphNames +  995,
		{   41,  -11,  279,  683 }, NULL	/* l */
    },
    {
	109, 0x006d,  722, PSDRV_AGLGlyphNames + 1016,
		{   12,   -9,  704,  441 }, NULL	/* m */
    },
    {
	110, 0x006e,  500, PSDRV_AGLGlyphNames + 1027,
		{   14,   -9,  474,  441 }, NULL	/* n */
    },
    {
	111, 0x006f,  500, PSDRV_AGLGlyphNames + 1044,
		{   27,  -11,  468,  441 }, NULL	/* o */
    },
    {
	112, 0x0070,  500, PSDRV_AGLGlyphNames + 1079,
		{  -75, -205,  469,  441 }, NULL	/* p */
    },
    {
	113, 0x0071,  500, PSDRV_AGLGlyphNames + 1113,
		{   25, -209,  483,  441 }, NULL	/* q */
    },
    {
	114, 0x0072,  389, PSDRV_AGLGlyphNames + 1127,
		{   45,    0,  412,  441 }, NULL	/* r */
    },
    {
	115, 0x0073,  389, PSDRV_AGLGlyphNames + 1145,
		{   16,  -13,  366,  442 }, NULL	/* s */
    },
    {
	116, 0x0074,  278, PSDRV_AGLGlyphNames + 1178,
		{   37,  -11,  296,  546 }, NULL	/* t */
    },
    {
	117, 0x0075,  500, PSDRV_AGLGlyphNames + 1212,
		{   42,  -11,  475,  441 }, NULL	/* u */
    },
    {
	118, 0x0076,  444, PSDRV_AGLGlyphNames + 1234,
		{   21,  -18,  426,  441 }, NULL	/* v */
    },
    {
	119, 0x0077,  667, PSDRV_AGLGlyphNames + 1235,
		{   16,  -18,  648,  441 }, NULL	/* w */
    },
    {
	120, 0x0078,  444, PSDRV_AGLGlyphNames + 1241,
		{  -27,  -11,  447,  441 }, NULL	/* x */
    },
    {
	121, 0x0079,  444, PSDRV_AGLGlyphNames + 1243,
		{  -24, -206,  426,  441 }, NULL	/* y */
    },
    {
	122, 0x007a,  389, PSDRV_AGLGlyphNames + 1249,
		{   -2,  -81,  380,  428 }, NULL	/* z */
    },
    {
	123, 0x007b,  400, PSDRV_AGLGlyphNames +  793,
		{   51, -177,  407,  687 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  275, PSDRV_AGLGlyphNames +  789,
		{  105,  -18,  171,  666 }, NULL	/* bar */
    },
    {
	125, 0x007d,  400, PSDRV_AGLGlyphNames +  797,
		{   -7, -177,  349,  687 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  541, PSDRV_AGLGlyphNames +  781,
		{   40,  183,  502,  323 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  389, PSDRV_AGLGlyphNames +  909,
		{   59, -205,  322,  473 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  500, PSDRV_AGLGlyphNames +  822,
		{   77, -143,  472,  560 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  500, PSDRV_AGLGlyphNames + 1173,
		{   10,   -6,  517,  670 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  500, PSDRV_AGLGlyphNames +  843,
		{  -22,   53,  522,  597 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  500, PSDRV_AGLGlyphNames + 1247,
		{   27,    0,  603,  653 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  275, PSDRV_AGLGlyphNames +  810,
		{  105,  -18,  171,  666 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  500, PSDRV_AGLGlyphNames + 1152,
		{   53, -162,  461,  666 }, NULL	/* section */
    },
    {
	200, 0x00a8,  333, PSDRV_AGLGlyphNames +  859,
		{  107,  508,  405,  606 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  760, PSDRV_AGLGlyphNames +  840,
		{   41,  -18,  719,  666 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  276, PSDRV_AGLGlyphNames + 1071,
		{   42,  406,  352,  676 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  500, PSDRV_AGLGlyphNames +  950,
		{   53,   37,  445,  403 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  675, PSDRV_AGLGlyphNames + 1009,
		{   86,  108,  590,  386 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  760, PSDRV_AGLGlyphNames + 1135,
		{   41,  -18,  719,  666 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{  101,  390,  387,  676 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  675, PSDRV_AGLGlyphNames + 1106,
		{   86,    0,  590,  506 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  300, PSDRV_AGLGlyphNames + 1210,
		{   33,  271,  324,  676 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  300, PSDRV_AGLGlyphNames + 1194,
		{   43,  268,  339,  676 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  333, PSDRV_AGLGlyphNames +  500,
		{  180,  494,  403,  664 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  523, PSDRV_AGLGlyphNames + 1080,
		{   55, -123,  616,  653 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  250, PSDRV_AGLGlyphNames + 1096,
		{   70,  199,  181,  310 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  333, PSDRV_AGLGlyphNames +  821,
		{  -30, -217,  182,    0 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  300, PSDRV_AGLGlyphNames + 1068,
		{   43,  271,  284,  676 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  310, PSDRV_AGLGlyphNames + 1072,
		{   67,  406,  362,  676 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  500, PSDRV_AGLGlyphNames +  951,
		{   55,   37,  447,  403 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  750, PSDRV_AGLGlyphNames + 1067,
		{   33,  -10,  736,  676 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  750, PSDRV_AGLGlyphNames + 1064,
		{   34,  -10,  749,  676 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  750, PSDRV_AGLGlyphNames + 1192,
		{   23,  -10,  736,  676 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  500, PSDRV_AGLGlyphNames + 1115,
		{   28, -205,  368,  471 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  611, PSDRV_AGLGlyphNames +   13,
		{  -51,    0,  564,  876 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  611, PSDRV_AGLGlyphNames +    4,
		{  -51,    0,  564,  876 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  611, PSDRV_AGLGlyphNames +    7,
		{  -51,    0,  564,  873 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  611, PSDRV_AGLGlyphNames +   23,
		{  -51,    0,  566,  836 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  611, PSDRV_AGLGlyphNames +   11,
		{  -51,    0,  564,  818 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  611, PSDRV_AGLGlyphNames +   19,
		{  -51,    0,  564,  883 }, NULL	/* Aring */
    },
    {
	225, 0x00c6,  889, PSDRV_AGLGlyphNames +    1,
		{  -27,    0,  911,  653 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  667, PSDRV_AGLGlyphNames +   34,
		{   66, -217,  689,  666 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  611, PSDRV_AGLGlyphNames +   62,
		{   -1,    0,  634,  876 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  611, PSDRV_AGLGlyphNames +   53,
		{   -1,    0,  634,  876 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  611, PSDRV_AGLGlyphNames +   57,
		{   -1,    0,  634,  873 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  611, PSDRV_AGLGlyphNames +   59,
		{   -1,    0,  634,  818 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  333, PSDRV_AGLGlyphNames +  109,
		{   -8,    0,  384,  876 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  333, PSDRV_AGLGlyphNames +   99,
		{   -8,    0,  413,  876 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  333, PSDRV_AGLGlyphNames +  102,
		{   -8,    0,  425,  873 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  333, PSDRV_AGLGlyphNames +  104,
		{   -8,    0,  435,  818 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  722, PSDRV_AGLGlyphNames +   72,
		{   -8,    0,  700,  653 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  667, PSDRV_AGLGlyphNames +  145,
		{  -20,  -15,  727,  836 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  722, PSDRV_AGLGlyphNames +  159,
		{   60,  -18,  699,  876 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  722, PSDRV_AGLGlyphNames +  151,
		{   60,  -18,  699,  876 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  722, PSDRV_AGLGlyphNames +  154,
		{   60,  -18,  699,  873 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  722, PSDRV_AGLGlyphNames +  172,
		{   60,  -18,  699,  836 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  722, PSDRV_AGLGlyphNames +  156,
		{   60,  -18,  699,  818 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  675, PSDRV_AGLGlyphNames + 1024,
		{   93,    8,  582,  497 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  722, PSDRV_AGLGlyphNames +  168,
		{   60, -105,  699,  722 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  722, PSDRV_AGLGlyphNames +  256,
		{  102,  -18,  765,  876 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  722, PSDRV_AGLGlyphNames +  249,
		{  102,  -18,  765,  876 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  722, PSDRV_AGLGlyphNames +  252,
		{  102,  -18,  765,  873 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  722, PSDRV_AGLGlyphNames +  254,
		{  102,  -18,  765,  818 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  556, PSDRV_AGLGlyphNames +  281,
		{   78,    0,  633,  876 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  611, PSDRV_AGLGlyphNames +  244,
		{    0,    0,  569,  653 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  500, PSDRV_AGLGlyphNames +  943,
		{ -168, -207,  493,  679 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  500, PSDRV_AGLGlyphNames +  750,
		{   17,  -11,  476,  664 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  500, PSDRV_AGLGlyphNames +  497,
		{   17,  -11,  487,  664 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  500, PSDRV_AGLGlyphNames +  499,
		{   17,  -11,  476,  661 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  500, PSDRV_AGLGlyphNames +  786,
		{   17,  -11,  511,  624 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  500, PSDRV_AGLGlyphNames +  502,
		{   17,  -11,  489,  606 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  500, PSDRV_AGLGlyphNames +  764,
		{   17,  -11,  476,  691 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  667, PSDRV_AGLGlyphNames +  503,
		{   23,  -11,  640,  441 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  444, PSDRV_AGLGlyphNames +  818,
		{   26, -217,  425,  441 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  444, PSDRV_AGLGlyphNames +  885,
		{   31,  -11,  412,  664 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  444, PSDRV_AGLGlyphNames +  879,
		{   31,  -11,  459,  664 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  444, PSDRV_AGLGlyphNames +  882,
		{   31,  -11,  441,  661 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  444, PSDRV_AGLGlyphNames +  883,
		{   31,  -11,  451,  606 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  278, PSDRV_AGLGlyphNames +  969,
		{   49,  -11,  284,  664 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  278, PSDRV_AGLGlyphNames +  965,
		{   49,  -11,  356,  664 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  278, PSDRV_AGLGlyphNames +  967,
		{   34,  -11,  328,  661 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  278, PSDRV_AGLGlyphNames +  968,
		{   49,  -11,  353,  606 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  500, PSDRV_AGLGlyphNames +  906,
		{   27,  -11,  482,  683 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  500, PSDRV_AGLGlyphNames + 1041,
		{   14,   -9,  476,  624 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  500, PSDRV_AGLGlyphNames + 1051,
		{   27,  -11,  468,  664 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  500, PSDRV_AGLGlyphNames + 1045,
		{   27,  -11,  487,  664 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  500, PSDRV_AGLGlyphNames + 1047,
		{   27,  -11,  468,  661 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  500, PSDRV_AGLGlyphNames + 1077,
		{   27,  -11,  496,  624 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  500, PSDRV_AGLGlyphNames + 1048,
		{   27,  -11,  489,  606 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  675, PSDRV_AGLGlyphNames +  863,
		{   86,  -11,  590,  517 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  500, PSDRV_AGLGlyphNames + 1074,
		{   28, -135,  469,  554 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  500, PSDRV_AGLGlyphNames + 1217,
		{   42,  -11,  475,  664 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  500, PSDRV_AGLGlyphNames + 1213,
		{   42,  -11,  477,  664 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  500, PSDRV_AGLGlyphNames + 1215,
		{   42,  -11,  475,  661 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  500, PSDRV_AGLGlyphNames + 1216,
		{   42,  -11,  479,  606 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  444, PSDRV_AGLGlyphNames + 1244,
		{  -24, -206,  459,  664 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  500, PSDRV_AGLGlyphNames + 1187,
		{  -75, -205,  469,  683 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  444, PSDRV_AGLGlyphNames + 1246,
		{  -24, -206,  441,  606 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  278, PSDRV_AGLGlyphNames +  873,
		{   49,  -11,  235,  441 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  556, PSDRV_AGLGlyphNames +  132,
		{   -8,    0,  559,  653 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  278, PSDRV_AGLGlyphNames + 1013,
		{   37,  -11,  307,  683 }, NULL	/* lslash */
    },
    {
	234, 0x0152,  944, PSDRV_AGLGlyphNames +  149,
		{   49,   -8,  964,  666 }, NULL	/* OE */
    },
    {
	250, 0x0153,  667, PSDRV_AGLGlyphNames + 1049,
		{   20,  -12,  646,  441 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  500, PSDRV_AGLGlyphNames +  231,
		{   17,  -18,  520,  873 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  389, PSDRV_AGLGlyphNames + 1147,
		{   16,  -13,  454,  661 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  556, PSDRV_AGLGlyphNames +  284,
		{   78,    0,  633,  818 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  556, PSDRV_AGLGlyphNames +  290,
		{   -6,    0,  606,  873 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  389, PSDRV_AGLGlyphNames + 1251,
		{   -2,  -81,  434,  661 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  500, PSDRV_AGLGlyphNames +  928,
		{   25, -182,  507,  682 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  333, PSDRV_AGLGlyphNames +  831,
		{   91,  492,  385,  661 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  333, PSDRV_AGLGlyphNames +  815,
		{  121,  492,  426,  661 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  333, PSDRV_AGLGlyphNames + 1017,
		{   99,  532,  411,  583 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  333, PSDRV_AGLGlyphNames +  809,
		{  117,  492,  418,  650 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  333, PSDRV_AGLGlyphNames +  871,
		{  207,  508,  305,  606 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  333, PSDRV_AGLGlyphNames + 1141,
		{  155,  492,  355,  691 }, NULL	/* ring */
    },
    {
	206, 0x02db,  333, PSDRV_AGLGlyphNames + 1050,
		{  -20, -169,  200,   40 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  333, PSDRV_AGLGlyphNames + 1195,
		{  100,  517,  427,  624 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  333, PSDRV_AGLGlyphNames +  960,
		{   93,  494,  486,  664 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  500, PSDRV_AGLGlyphNames + 1023,
		{  -30, -209,  497,  428 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{   -6,  197,  505,  243 }, NULL	/* endash */
    },
    {
	208, 0x2014,  889, PSDRV_AGLGlyphNames +  893,
		{   -6,  197,  894,  243 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  333, PSDRV_AGLGlyphNames + 1122,
		{  171,  436,  310,  666 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  333, PSDRV_AGLGlyphNames + 1124,
		{  151,  436,  290,  666 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  333, PSDRV_AGLGlyphNames + 1125,
		{   44, -129,  183,  101 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  556, PSDRV_AGLGlyphNames + 1120,
		{  166,  436,  514,  666 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  556, PSDRV_AGLGlyphNames + 1121,
		{  151,  436,  499,  666 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  556, PSDRV_AGLGlyphNames + 1119,
		{   57, -129,  405,  101 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  500, PSDRV_AGLGlyphNames +  849,
		{  101, -159,  488,  666 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  500, PSDRV_AGLGlyphNames +  850,
		{   22, -143,  491,  666 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  350, PSDRV_AGLGlyphNames +  812,
		{   40,  191,  310,  461 }, NULL	/* bullet */
    },
    {
	188, 0x2026,  889, PSDRV_AGLGlyphNames +  891,
		{   57,  -11,  762,  100 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1000, PSDRV_AGLGlyphNames + 1100,
		{   25,  -19, 1010,  706 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  333, PSDRV_AGLGlyphNames +  952,
		{   51,   37,  281,  403 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  333, PSDRV_AGLGlyphNames +  953,
		{   52,   37,  282,  403 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122,  980, PSDRV_AGLGlyphNames + 1198,
		{   30,  247,  957,  653 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  675, PSDRV_AGLGlyphNames + 1020,
		{   86,  220,  590,  286 }, NULL	/* minus */
    },
    {
	164, 0x2215,  167, PSDRV_AGLGlyphNames +  934,
		{ -169,  -10,  337,  676 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  500, PSDRV_AGLGlyphNames +  918,
		{ -141, -207,  481,  681 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  500, PSDRV_AGLGlyphNames +  927,
		{ -141, -204,  518,  682 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Times_Italic =
{
    "Times-Italic",				/* FontName */
    "Times Italic",				/* FullName */
    "Times",					/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_NORMAL,					/* Weight */
    -15.5,					/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -169, -217, 1010, 883 },			/* FontBBox */
    653,					/* CapHeight */
    441,					/* XHeight */
    683,					/* Ascender */
    -205,					/* Descender */
    883,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	891,				/* WinMetrics.sAscender */
	-216,				/* WinMetrics.sDescender */
	42,				/* WinMetrics.sLineGap */
	402,				/* WinMetrics.sAvgCharWidth */
	694,				/* WinMetrics.sTypoAscender */
	-216,				/* WinMetrics.sTypoDescender */
	150,				/* WinMetrics.sTypoLineGap */
	891,				/* WinMetrics.usWinAscent */
	216				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 250, 333, 420, 500, 500, 	/* CharWidths[30] - CharWidths[36] */
	833, 778, 214, 333, 333, 500, 	/* CharWidths[37] - CharWidths[42] */
	675, 250, 333, 250, 278, 500, 	/* CharWidths[43] - CharWidths[48] */
	500, 500, 500, 500, 500, 500, 	/* CharWidths[49] - CharWidths[54] */
	500, 500, 500, 333, 333, 675, 	/* CharWidths[55] - CharWidths[60] */
	675, 675, 500, 920, 611, 611, 	/* CharWidths[61] - CharWidths[66] */
	667, 722, 611, 611, 722, 722, 	/* CharWidths[67] - CharWidths[72] */
	333, 444, 667, 556, 833, 667, 	/* CharWidths[73] - CharWidths[78] */
	722, 611, 722, 611, 500, 556, 	/* CharWidths[79] - CharWidths[84] */
	722, 611, 833, 611, 556, 556, 	/* CharWidths[85] - CharWidths[90] */
	389, 278, 389, 422, 500, 333, 	/* CharWidths[91] - CharWidths[96] */
	500, 500, 444, 500, 444, 278, 	/* CharWidths[97] - CharWidths[102] */
	500, 500, 278, 278, 444, 278, 	/* CharWidths[103] - CharWidths[108] */
	722, 500, 500, 500, 500, 389, 	/* CharWidths[109] - CharWidths[114] */
	389, 278, 500, 444, 667, 444, 	/* CharWidths[115] - CharWidths[120] */
	444, 389, 400, 275, 400, 541, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 333, 	/* CharWidths[137] - CharWidths[145] */
	333, 556, 556, 350, 500, 889, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 250, 	/* CharWidths[152] - CharWidths[160] */
	389, 500, 500, 500, 500, 275, 	/* CharWidths[161] - CharWidths[166] */
	500, 333, 760, 556, 500, 675, 	/* CharWidths[167] - CharWidths[172] */
	333, 760, 333, 400, 675, 300, 	/* CharWidths[173] - CharWidths[178] */
	300, 333, 0, 523, 250, 333, 	/* CharWidths[179] - CharWidths[184] */
	300, 556, 500, 750, 750, 750, 	/* CharWidths[185] - CharWidths[190] */
	500, 0, 333, 333, 333, 333, 	/* CharWidths[191] - CharWidths[196] */
	333, 333, 333, 333, 0, 333, 	/* CharWidths[197] - CharWidths[202] */
	333, 0, 333, 333, 333, 889, 0, 	/* CharWidths[203] - CharWidths[209] */
	0, 0, 0, 0, 0, 675, 0, 0, 0, 	/* CharWidths[210] - CharWidths[218] */
	0, 0, 0, 0, 0, 0, 889, 0, 276, 	/* CharWidths[219] - CharWidths[227] */
	0, 0, 0, 0, 556, 722, 944, 	/* CharWidths[228] - CharWidths[234] */
	310, 0, 0, 0, 0, 0, 667, 0, 0, 	/* CharWidths[235] - CharWidths[243] */
	0, 278, 0, 675, 278, 500, 667, 	/* CharWidths[244] - CharWidths[250] */
	500, 0, 0, 0, 0			/* CharWidths[251] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Times_Italic,				/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
