/*******************************************************************************
 *
 *	Font metric data for Times Roman
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Times New Roman, which is Copyright
 *  	1990-1992 The Monotype Corporation plc/Type Solutions Inc.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_Times_Roman[228] = 
{
    {
	 32, 0x0020,  250, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  333, PSDRV_AGLGlyphNames +  907,
		{  130,   -9,  238,  676 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  408, PSDRV_AGLGlyphNames + 1118,
		{   77,  431,  331,  676 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  500, PSDRV_AGLGlyphNames + 1043,
		{    5,    0,  496,  662 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  500, PSDRV_AGLGlyphNames +  866,
		{   44,  -87,  457,  727 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  833, PSDRV_AGLGlyphNames + 1094,
		{   61,  -13,  772,  676 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  778, PSDRV_AGLGlyphNames +  755,
		{   42,  -13,  750,  676 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  180, PSDRV_AGLGlyphNames + 1126,
		{   48,  431,  133,  676 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  333, PSDRV_AGLGlyphNames + 1081,
		{   48, -177,  304,  676 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  333, PSDRV_AGLGlyphNames + 1087,
		{   29, -177,  285,  676 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  500, PSDRV_AGLGlyphNames +  782,
		{   69,  265,  432,  676 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  564, PSDRV_AGLGlyphNames + 1105,
		{   30,    0,  534,  506 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  250, PSDRV_AGLGlyphNames +  835,
		{   56, -141,  195,  102 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  333, PSDRV_AGLGlyphNames +  961,
		{   39,  194,  285,  257 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  250, PSDRV_AGLGlyphNames + 1095,
		{   70,  -11,  181,  100 }, NULL	/* period */
    },
    {
	 47, 0x002f,  278, PSDRV_AGLGlyphNames + 1167,
		{   -9,  -14,  287,  676 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  500, PSDRV_AGLGlyphNames + 1253,
		{   24,  -14,  476,  676 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  500, PSDRV_AGLGlyphNames + 1060,
		{  111,    0,  394,  676 }, NULL	/* one */
    },
    {
	 50, 0x0032,  500, PSDRV_AGLGlyphNames + 1206,
		{   30,    0,  475,  676 }, NULL	/* two */
    },
    {
	 51, 0x0033,  500, PSDRV_AGLGlyphNames + 1188,
		{   43,  -14,  431,  676 }, NULL	/* three */
    },
    {
	 52, 0x0034,  500, PSDRV_AGLGlyphNames +  930,
		{   12,    0,  472,  676 }, NULL	/* four */
    },
    {
	 53, 0x0035,  500, PSDRV_AGLGlyphNames +  922,
		{   32,  -14,  438,  688 }, NULL	/* five */
    },
    {
	 54, 0x0036,  500, PSDRV_AGLGlyphNames + 1163,
		{   34,  -14,  468,  684 }, NULL	/* six */
    },
    {
	 55, 0x0037,  500, PSDRV_AGLGlyphNames + 1154,
		{   20,   -8,  449,  662 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  500, PSDRV_AGLGlyphNames +  886,
		{   56,  -14,  445,  676 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  500, PSDRV_AGLGlyphNames + 1032,
		{   30,  -22,  459,  676 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  278, PSDRV_AGLGlyphNames +  833,
		{   81,  -11,  192,  459 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  278, PSDRV_AGLGlyphNames + 1153,
		{   80, -141,  219,  459 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  564, PSDRV_AGLGlyphNames + 1003,
		{   28,   -8,  536,  514 }, NULL	/* less */
    },
    {
	 61, 0x003d,  564, PSDRV_AGLGlyphNames +  900,
		{   30,  120,  534,  386 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  564, PSDRV_AGLGlyphNames +  948,
		{   28,   -8,  536,  514 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  444, PSDRV_AGLGlyphNames + 1114,
		{   68,   -8,  414,  676 }, NULL	/* question */
    },
    {
	 64, 0x0040,  921, PSDRV_AGLGlyphNames +  785,
		{  116,  -14,  809,  676 }, NULL	/* at */
    },
    {
	 65, 0x0041,  722, PSDRV_AGLGlyphNames +    0,
		{   15,    0,  706,  674 }, NULL	/* A */
    },
    {
	 66, 0x0042,  667, PSDRV_AGLGlyphNames +   25,
		{   17,    0,  593,  662 }, NULL	/* B */
    },
    {
	 67, 0x0043,  667, PSDRV_AGLGlyphNames +   29,
		{   28,  -14,  633,  676 }, NULL	/* C */
    },
    {
	 68, 0x0044,  722, PSDRV_AGLGlyphNames +   42,
		{   16,    0,  685,  662 }, NULL	/* D */
    },
    {
	 69, 0x0045,  611, PSDRV_AGLGlyphNames +   52,
		{   12,    0,  597,  662 }, NULL	/* E */
    },
    {
	 70, 0x0046,  556, PSDRV_AGLGlyphNames +   75,
		{   12,    0,  546,  662 }, NULL	/* F */
    },
    {
	 71, 0x0047,  722, PSDRV_AGLGlyphNames +   77,
		{   32,  -14,  709,  676 }, NULL	/* G */
    },
    {
	 72, 0x0048,  722, PSDRV_AGLGlyphNames +   87,
		{   19,    0,  702,  662 }, NULL	/* H */
    },
    {
	 73, 0x0049,  333, PSDRV_AGLGlyphNames +   97,
		{   18,    0,  315,  662 }, NULL	/* I */
    },
    {
	 74, 0x004a,  389, PSDRV_AGLGlyphNames +  118,
		{   10,  -14,  370,  662 }, NULL	/* J */
    },
    {
	 75, 0x004b,  722, PSDRV_AGLGlyphNames +  121,
		{   34,    0,  723,  662 }, NULL	/* K */
    },
    {
	 76, 0x004c,  611, PSDRV_AGLGlyphNames +  125,
		{   12,    0,  598,  662 }, NULL	/* L */
    },
    {
	 77, 0x004d,  889, PSDRV_AGLGlyphNames +  135,
		{   12,    0,  863,  662 }, NULL	/* M */
    },
    {
	 78, 0x004e,  722, PSDRV_AGLGlyphNames +  140,
		{   12,  -11,  707,  662 }, NULL	/* N */
    },
    {
	 79, 0x004f,  722, PSDRV_AGLGlyphNames +  148,
		{   34,  -14,  688,  676 }, NULL	/* O */
    },
    {
	 80, 0x0050,  556, PSDRV_AGLGlyphNames +  174,
		{   16,    0,  542,  662 }, NULL	/* P */
    },
    {
	 81, 0x0051,  722, PSDRV_AGLGlyphNames +  179,
		{   34, -178,  701,  676 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  667, PSDRV_AGLGlyphNames +  181,
		{   17,    0,  659,  662 }, NULL	/* R */
    },
    {
	 83, 0x0053,  556, PSDRV_AGLGlyphNames +  189,
		{   42,  -14,  491,  676 }, NULL	/* S */
    },
    {
	 84, 0x0054,  611, PSDRV_AGLGlyphNames +  238,
		{   17,    0,  593,  662 }, NULL	/* T */
    },
    {
	 85, 0x0055,  722, PSDRV_AGLGlyphNames +  248,
		{   14,  -14,  705,  662 }, NULL	/* U */
    },
    {
	 86, 0x0056,  722, PSDRV_AGLGlyphNames +  269,
		{   16,  -11,  697,  662 }, NULL	/* V */
    },
    {
	 87, 0x0057,  944, PSDRV_AGLGlyphNames +  271,
		{    5,  -11,  932,  662 }, NULL	/* W */
    },
    {
	 88, 0x0058,  722, PSDRV_AGLGlyphNames +  277,
		{   10,    0,  704,  662 }, NULL	/* X */
    },
    {
	 89, 0x0059,  722, PSDRV_AGLGlyphNames +  280,
		{   22,    0,  703,  662 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  611, PSDRV_AGLGlyphNames +  288,
		{    9,    0,  597,  662 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  333, PSDRV_AGLGlyphNames +  801,
		{   88, -156,  299,  662 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  278, PSDRV_AGLGlyphNames +  788,
		{   -9,  -14,  287,  676 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  333, PSDRV_AGLGlyphNames +  805,
		{   34, -156,  245,  662 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  469, PSDRV_AGLGlyphNames +  780,
		{   24,  297,  446,  662 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  333, PSDRV_AGLGlyphNames +  945,
		{   19,  507,  242,  678 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  444, PSDRV_AGLGlyphNames +  295,
		{   37,  -10,  442,  460 }, NULL	/* a */
    },
    {
	 98, 0x0062,  500, PSDRV_AGLGlyphNames +  787,
		{    3,  -10,  468,  683 }, NULL	/* b */
    },
    {
	 99, 0x0063,  444, PSDRV_AGLGlyphNames +  813,
		{   25,  -10,  412,  460 }, NULL	/* c */
    },
    {
	100, 0x0064,  500, PSDRV_AGLGlyphNames +  848,
		{   27,  -10,  491,  683 }, NULL	/* d */
    },
    {
	101, 0x0065,  444, PSDRV_AGLGlyphNames +  878,
		{   25,  -10,  424,  460 }, NULL	/* e */
    },
    {
	102, 0x0066,  333, PSDRV_AGLGlyphNames +  913,
		{   20,    0,  383,  683 }, NULL	/* f */
    },
    {
	103, 0x0067,  500, PSDRV_AGLGlyphNames +  936,
		{   28, -218,  470,  460 }, NULL	/* g */
    },
    {
	104, 0x0068,  500, PSDRV_AGLGlyphNames +  954,
		{    9,    0,  487,  683 }, NULL	/* h */
    },
    {
	105, 0x0069,  278, PSDRV_AGLGlyphNames +  964,
		{   16,    0,  253,  683 }, NULL	/* i */
    },
    {
	106, 0x006a,  278, PSDRV_AGLGlyphNames +  989,
		{  -70, -218,  194,  683 }, NULL	/* j */
    },
    {
	107, 0x006b,  500, PSDRV_AGLGlyphNames +  991,
		{    7,    0,  505,  683 }, NULL	/* k */
    },
    {
	108, 0x006c,  278, PSDRV_AGLGlyphNames +  995,
		{   19,    0,  257,  683 }, NULL	/* l */
    },
    {
	109, 0x006d,  778, PSDRV_AGLGlyphNames + 1016,
		{   16,    0,  775,  460 }, NULL	/* m */
    },
    {
	110, 0x006e,  500, PSDRV_AGLGlyphNames + 1027,
		{   16,    0,  485,  460 }, NULL	/* n */
    },
    {
	111, 0x006f,  500, PSDRV_AGLGlyphNames + 1044,
		{   29,  -10,  470,  460 }, NULL	/* o */
    },
    {
	112, 0x0070,  500, PSDRV_AGLGlyphNames + 1079,
		{    5, -217,  470,  460 }, NULL	/* p */
    },
    {
	113, 0x0071,  500, PSDRV_AGLGlyphNames + 1113,
		{   24, -217,  488,  460 }, NULL	/* q */
    },
    {
	114, 0x0072,  333, PSDRV_AGLGlyphNames + 1127,
		{    5,    0,  335,  460 }, NULL	/* r */
    },
    {
	115, 0x0073,  389, PSDRV_AGLGlyphNames + 1145,
		{   51,  -10,  348,  460 }, NULL	/* s */
    },
    {
	116, 0x0074,  278, PSDRV_AGLGlyphNames + 1178,
		{   13,  -10,  279,  579 }, NULL	/* t */
    },
    {
	117, 0x0075,  500, PSDRV_AGLGlyphNames + 1212,
		{    9,  -10,  479,  450 }, NULL	/* u */
    },
    {
	118, 0x0076,  500, PSDRV_AGLGlyphNames + 1234,
		{   19,  -14,  477,  450 }, NULL	/* v */
    },
    {
	119, 0x0077,  722, PSDRV_AGLGlyphNames + 1235,
		{   21,  -14,  694,  450 }, NULL	/* w */
    },
    {
	120, 0x0078,  500, PSDRV_AGLGlyphNames + 1241,
		{   17,    0,  479,  450 }, NULL	/* x */
    },
    {
	121, 0x0079,  500, PSDRV_AGLGlyphNames + 1243,
		{   14, -218,  475,  450 }, NULL	/* y */
    },
    {
	122, 0x007a,  444, PSDRV_AGLGlyphNames + 1249,
		{   27,    0,  418,  450 }, NULL	/* z */
    },
    {
	123, 0x007b,  480, PSDRV_AGLGlyphNames +  793,
		{  100, -181,  350,  680 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  200, PSDRV_AGLGlyphNames +  789,
		{   67,  -14,  133,  676 }, NULL	/* bar */
    },
    {
	125, 0x007d,  480, PSDRV_AGLGlyphNames +  797,
		{  130, -181,  380,  680 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  541, PSDRV_AGLGlyphNames +  781,
		{   40,  183,  502,  323 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  333, PSDRV_AGLGlyphNames +  909,
		{   97, -218,  205,  467 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  500, PSDRV_AGLGlyphNames +  822,
		{   53, -138,  448,  579 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  500, PSDRV_AGLGlyphNames + 1173,
		{   12,   -8,  490,  676 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  500, PSDRV_AGLGlyphNames +  843,
		{  -22,   58,  522,  602 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  500, PSDRV_AGLGlyphNames + 1247,
		{  -53,    0,  512,  662 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  200, PSDRV_AGLGlyphNames +  810,
		{   67,  -14,  133,  676 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  500, PSDRV_AGLGlyphNames + 1152,
		{   70, -148,  426,  676 }, NULL	/* section */
    },
    {
	200, 0x00a8,  333, PSDRV_AGLGlyphNames +  859,
		{   18,  523,  315,  623 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  760, PSDRV_AGLGlyphNames +  840,
		{   38,  -14,  722,  676 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  276, PSDRV_AGLGlyphNames + 1071,
		{    4,  394,  270,  676 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  500, PSDRV_AGLGlyphNames +  950,
		{   42,   33,  456,  416 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  564, PSDRV_AGLGlyphNames + 1009,
		{   30,  108,  534,  386 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  760, PSDRV_AGLGlyphNames + 1135,
		{   38,  -14,  722,  676 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{   57,  390,  343,  676 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  564, PSDRV_AGLGlyphNames + 1106,
		{   30,    0,  534,  506 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  300, PSDRV_AGLGlyphNames + 1210,
		{    1,  270,  296,  676 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  300, PSDRV_AGLGlyphNames + 1194,
		{   15,  262,  291,  676 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  333, PSDRV_AGLGlyphNames +  500,
		{   93,  507,  317,  678 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  453, PSDRV_AGLGlyphNames + 1080,
		{  -22, -154,  450,  662 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  250, PSDRV_AGLGlyphNames + 1096,
		{   70,  199,  181,  310 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  333, PSDRV_AGLGlyphNames +  821,
		{   52, -215,  261,    0 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  300, PSDRV_AGLGlyphNames + 1068,
		{   57,  270,  248,  676 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  310, PSDRV_AGLGlyphNames + 1072,
		{    6,  394,  304,  676 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  500, PSDRV_AGLGlyphNames +  951,
		{   44,   33,  458,  416 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  750, PSDRV_AGLGlyphNames + 1067,
		{   37,  -14,  718,  676 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  750, PSDRV_AGLGlyphNames + 1064,
		{   31,  -14,  746,  676 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  750, PSDRV_AGLGlyphNames + 1192,
		{   15,  -14,  718,  676 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  444, PSDRV_AGLGlyphNames + 1115,
		{   30, -218,  376,  466 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  722, PSDRV_AGLGlyphNames +   13,
		{   15,    0,  706,  890 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  722, PSDRV_AGLGlyphNames +    4,
		{   15,    0,  706,  890 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  722, PSDRV_AGLGlyphNames +    7,
		{   15,    0,  706,  886 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  722, PSDRV_AGLGlyphNames +   23,
		{   15,    0,  706,  850 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  722, PSDRV_AGLGlyphNames +   11,
		{   15,    0,  706,  835 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  722, PSDRV_AGLGlyphNames +   19,
		{   15,    0,  706,  898 }, NULL	/* Aring */
    },
    {
	225, 0x00c6,  889, PSDRV_AGLGlyphNames +    1,
		{    0,    0,  863,  662 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  667, PSDRV_AGLGlyphNames +   34,
		{   28, -215,  633,  676 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  611, PSDRV_AGLGlyphNames +   62,
		{   12,    0,  597,  890 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  611, PSDRV_AGLGlyphNames +   53,
		{   12,    0,  597,  890 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  611, PSDRV_AGLGlyphNames +   57,
		{   12,    0,  597,  886 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  611, PSDRV_AGLGlyphNames +   59,
		{   12,    0,  597,  835 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  333, PSDRV_AGLGlyphNames +  109,
		{   18,    0,  315,  890 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  333, PSDRV_AGLGlyphNames +   99,
		{   18,    0,  317,  890 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  333, PSDRV_AGLGlyphNames +  102,
		{   11,    0,  322,  886 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  333, PSDRV_AGLGlyphNames +  104,
		{   18,    0,  315,  835 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  722, PSDRV_AGLGlyphNames +   72,
		{   16,    0,  685,  662 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  722, PSDRV_AGLGlyphNames +  145,
		{   12,  -11,  707,  850 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  722, PSDRV_AGLGlyphNames +  159,
		{   34,  -14,  688,  890 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  722, PSDRV_AGLGlyphNames +  151,
		{   34,  -14,  688,  890 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  722, PSDRV_AGLGlyphNames +  154,
		{   34,  -14,  688,  886 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  722, PSDRV_AGLGlyphNames +  172,
		{   34,  -14,  688,  850 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  722, PSDRV_AGLGlyphNames +  156,
		{   34,  -14,  688,  835 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  564, PSDRV_AGLGlyphNames + 1024,
		{   38,    8,  527,  497 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  722, PSDRV_AGLGlyphNames +  168,
		{   34,  -80,  688,  734 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  722, PSDRV_AGLGlyphNames +  256,
		{   14,  -14,  705,  890 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  722, PSDRV_AGLGlyphNames +  249,
		{   14,  -14,  705,  890 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  722, PSDRV_AGLGlyphNames +  252,
		{   14,  -14,  705,  886 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  722, PSDRV_AGLGlyphNames +  254,
		{   14,  -14,  705,  835 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  722, PSDRV_AGLGlyphNames +  281,
		{   22,    0,  703,  890 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  556, PSDRV_AGLGlyphNames +  244,
		{   16,    0,  542,  662 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  500, PSDRV_AGLGlyphNames +  943,
		{   12,   -9,  468,  683 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  444, PSDRV_AGLGlyphNames +  750,
		{   37,  -10,  442,  678 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  444, PSDRV_AGLGlyphNames +  497,
		{   37,  -10,  442,  678 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  444, PSDRV_AGLGlyphNames +  499,
		{   37,  -10,  442,  674 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  444, PSDRV_AGLGlyphNames +  786,
		{   37,  -10,  442,  638 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  444, PSDRV_AGLGlyphNames +  502,
		{   37,  -10,  442,  623 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  444, PSDRV_AGLGlyphNames +  764,
		{   37,  -10,  442,  711 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  667, PSDRV_AGLGlyphNames +  503,
		{   38,  -10,  632,  460 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  444, PSDRV_AGLGlyphNames +  818,
		{   25, -215,  412,  460 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  444, PSDRV_AGLGlyphNames +  885,
		{   25,  -10,  424,  678 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  444, PSDRV_AGLGlyphNames +  879,
		{   25,  -10,  424,  678 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  444, PSDRV_AGLGlyphNames +  882,
		{   25,  -10,  424,  674 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  444, PSDRV_AGLGlyphNames +  883,
		{   25,  -10,  424,  623 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  278, PSDRV_AGLGlyphNames +  969,
		{   -8,    0,  253,  678 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  278, PSDRV_AGLGlyphNames +  965,
		{   16,    0,  290,  678 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  278, PSDRV_AGLGlyphNames +  967,
		{  -16,    0,  295,  674 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  278, PSDRV_AGLGlyphNames +  968,
		{   -9,    0,  288,  623 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  500, PSDRV_AGLGlyphNames +  906,
		{   29,  -10,  471,  686 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  500, PSDRV_AGLGlyphNames + 1041,
		{   16,    0,  485,  638 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  500, PSDRV_AGLGlyphNames + 1051,
		{   29,  -10,  470,  678 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  500, PSDRV_AGLGlyphNames + 1045,
		{   29,  -10,  470,  678 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  500, PSDRV_AGLGlyphNames + 1047,
		{   29,  -10,  470,  674 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  500, PSDRV_AGLGlyphNames + 1077,
		{   29,  -10,  470,  638 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  500, PSDRV_AGLGlyphNames + 1048,
		{   29,  -10,  470,  623 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  564, PSDRV_AGLGlyphNames +  863,
		{   30,  -10,  534,  516 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  500, PSDRV_AGLGlyphNames + 1074,
		{   29, -112,  470,  551 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  500, PSDRV_AGLGlyphNames + 1217,
		{    9,  -10,  479,  678 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  500, PSDRV_AGLGlyphNames + 1213,
		{    9,  -10,  479,  678 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  500, PSDRV_AGLGlyphNames + 1215,
		{    9,  -10,  479,  674 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  500, PSDRV_AGLGlyphNames + 1216,
		{    9,  -10,  479,  623 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  500, PSDRV_AGLGlyphNames + 1244,
		{   14, -218,  475,  678 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  500, PSDRV_AGLGlyphNames + 1187,
		{    5, -217,  470,  683 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  500, PSDRV_AGLGlyphNames + 1246,
		{   14, -218,  475,  623 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  278, PSDRV_AGLGlyphNames +  873,
		{   16,    0,  253,  460 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  611, PSDRV_AGLGlyphNames +  132,
		{   12,    0,  598,  662 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  278, PSDRV_AGLGlyphNames + 1013,
		{   19,    0,  259,  683 }, NULL	/* lslash */
    },
    {
	234, 0x0152,  889, PSDRV_AGLGlyphNames +  149,
		{   30,   -6,  885,  668 }, NULL	/* OE */
    },
    {
	250, 0x0153,  722, PSDRV_AGLGlyphNames + 1049,
		{   30,  -10,  690,  460 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  556, PSDRV_AGLGlyphNames +  231,
		{   42,  -14,  491,  886 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  389, PSDRV_AGLGlyphNames + 1147,
		{   39,  -10,  350,  674 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  722, PSDRV_AGLGlyphNames +  284,
		{   22,    0,  703,  835 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  611, PSDRV_AGLGlyphNames +  290,
		{    9,    0,  597,  886 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  444, PSDRV_AGLGlyphNames + 1251,
		{   27,    0,  418,  674 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  500, PSDRV_AGLGlyphNames +  928,
		{    7, -189,  490,  676 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  333, PSDRV_AGLGlyphNames +  831,
		{   11,  507,  322,  674 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  333, PSDRV_AGLGlyphNames +  815,
		{   11,  507,  322,  674 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  333, PSDRV_AGLGlyphNames + 1017,
		{   11,  547,  322,  601 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  333, PSDRV_AGLGlyphNames +  809,
		{   26,  507,  307,  664 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  333, PSDRV_AGLGlyphNames +  871,
		{  118,  523,  216,  623 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  333, PSDRV_AGLGlyphNames + 1141,
		{   67,  512,  266,  711 }, NULL	/* ring */
    },
    {
	206, 0x02db,  333, PSDRV_AGLGlyphNames + 1050,
		{   64, -165,  249,    0 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  333, PSDRV_AGLGlyphNames + 1195,
		{    1,  532,  331,  638 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  333, PSDRV_AGLGlyphNames +  960,
		{   -3,  507,  377,  678 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  500, PSDRV_AGLGlyphNames + 1023,
		{   36, -218,  512,  450 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{    0,  201,  500,  250 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{    0,  201, 1000,  250 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  333, PSDRV_AGLGlyphNames + 1122,
		{  115,  433,  254,  676 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  333, PSDRV_AGLGlyphNames + 1124,
		{   79,  433,  218,  676 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  333, PSDRV_AGLGlyphNames + 1125,
		{   79, -141,  218,  102 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  444, PSDRV_AGLGlyphNames + 1120,
		{   43,  433,  414,  676 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  444, PSDRV_AGLGlyphNames + 1121,
		{   30,  433,  401,  676 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  444, PSDRV_AGLGlyphNames + 1119,
		{   45, -141,  416,  102 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  500, PSDRV_AGLGlyphNames +  849,
		{   59, -149,  442,  676 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  500, PSDRV_AGLGlyphNames +  850,
		{   58, -153,  442,  676 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  350, PSDRV_AGLGlyphNames +  812,
		{   40,  196,  310,  466 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{  111,  -11,  888,  100 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030, 1000, PSDRV_AGLGlyphNames + 1100,
		{    7,  -19,  994,  706 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  333, PSDRV_AGLGlyphNames +  952,
		{   63,   33,  285,  416 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  333, PSDRV_AGLGlyphNames +  953,
		{   48,   33,  270,  416 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122,  980, PSDRV_AGLGlyphNames + 1198,
		{   30,  256,  957,  662 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  564, PSDRV_AGLGlyphNames + 1020,
		{   30,  220,  534,  286 }, NULL	/* minus */
    },
    {
	164, 0x2215,  167, PSDRV_AGLGlyphNames +  934,
		{ -168,  -14,  331,  676 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  556, PSDRV_AGLGlyphNames +  918,
		{   31,    0,  521,  683 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  556, PSDRV_AGLGlyphNames +  927,
		{   32,    0,  521,  683 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_Times_Roman =
{
    "Times-Roman",				/* FontName */
    "Times Roman",				/* FullName */
    "Times",					/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_NORMAL,					/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -168, -218, 1000, 898 },			/* FontBBox */
    662,					/* CapHeight */
    450,					/* XHeight */
    683,					/* Ascender */
    -217,					/* Descender */
    898,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	891,				/* WinMetrics.sAscender */
	-216,				/* WinMetrics.sDescender */
	42,				/* WinMetrics.sLineGap */
	401,				/* WinMetrics.sAvgCharWidth */
	693,				/* WinMetrics.sTypoAscender */
	-216,				/* WinMetrics.sTypoDescender */
	150,				/* WinMetrics.sTypoLineGap */
	891,				/* WinMetrics.usWinAscent */
	216				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 250, 333, 408, 500, 500, 	/* CharWidths[30] - CharWidths[36] */
	833, 778, 180, 333, 333, 500, 	/* CharWidths[37] - CharWidths[42] */
	564, 250, 333, 250, 278, 500, 	/* CharWidths[43] - CharWidths[48] */
	500, 500, 500, 500, 500, 500, 	/* CharWidths[49] - CharWidths[54] */
	500, 500, 500, 278, 278, 564, 	/* CharWidths[55] - CharWidths[60] */
	564, 564, 444, 921, 722, 667, 	/* CharWidths[61] - CharWidths[66] */
	667, 722, 611, 556, 722, 722, 	/* CharWidths[67] - CharWidths[72] */
	333, 389, 722, 611, 889, 722, 	/* CharWidths[73] - CharWidths[78] */
	722, 556, 722, 667, 556, 611, 	/* CharWidths[79] - CharWidths[84] */
	722, 722, 944, 722, 722, 611, 	/* CharWidths[85] - CharWidths[90] */
	333, 278, 333, 469, 500, 333, 	/* CharWidths[91] - CharWidths[96] */
	444, 500, 444, 500, 444, 333, 	/* CharWidths[97] - CharWidths[102] */
	500, 500, 278, 278, 500, 278, 	/* CharWidths[103] - CharWidths[108] */
	778, 500, 500, 500, 500, 333, 	/* CharWidths[109] - CharWidths[114] */
	389, 278, 500, 500, 722, 500, 	/* CharWidths[115] - CharWidths[120] */
	500, 444, 480, 200, 480, 541, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 333, 	/* CharWidths[137] - CharWidths[145] */
	333, 444, 444, 350, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 250, 	/* CharWidths[152] - CharWidths[160] */
	333, 500, 500, 500, 500, 200, 	/* CharWidths[161] - CharWidths[166] */
	500, 333, 760, 444, 500, 564, 	/* CharWidths[167] - CharWidths[172] */
	333, 760, 333, 400, 564, 300, 	/* CharWidths[173] - CharWidths[178] */
	300, 333, 0, 453, 250, 333, 	/* CharWidths[179] - CharWidths[184] */
	300, 444, 500, 750, 750, 750, 	/* CharWidths[185] - CharWidths[190] */
	444, 0, 333, 333, 333, 333, 	/* CharWidths[191] - CharWidths[196] */
	333, 333, 333, 333, 0, 333, 	/* CharWidths[197] - CharWidths[202] */
	333, 0, 333, 333, 333, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 564, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 889, 0, 	/* CharWidths[218] - CharWidths[226] */
	276, 0, 0, 0, 0, 611, 722, 	/* CharWidths[227] - CharWidths[233] */
	889, 310, 0, 0, 0, 0, 0, 667, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 278, 0, 564, 278, 	/* CharWidths[242] - CharWidths[248] */
	500, 722, 500, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_Times_Roman,				/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
