/*******************************************************************************
 *
 *	Font metric data for ITC Zapf Chancery Medium Italic
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Monotype Corsiva, which is Copyright
 *  	1991-1995 The Monotype Corporation.
 *
 */

#include "psdrv.h"


/*
 *  Glyph metrics
 */

static AFMMETRICS met_ZapfChancery_MediumItalic[228] = 
{
    {
	 32, 0x0020,  220, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0x0021,  280, PSDRV_AGLGlyphNames +  907,
		{  119,  -14,  353,  610 }, NULL	/* exclam */
    },
    {
	 34, 0x0022,  220, PSDRV_AGLGlyphNames + 1118,
		{  120,  343,  333,  610 }, NULL	/* quotedbl */
    },
    {
	 35, 0x0023,  440, PSDRV_AGLGlyphNames + 1043,
		{   83,    0,  521,  594 }, NULL	/* numbersign */
    },
    {
	 36, 0x0024,  440, PSDRV_AGLGlyphNames +  866,
		{   60, -144,  508,  709 }, NULL	/* dollar */
    },
    {
	 37, 0x0025,  680, PSDRV_AGLGlyphNames + 1094,
		{  132, -160,  710,  700 }, NULL	/* percent */
    },
    {
	 38, 0x0026,  780, PSDRV_AGLGlyphNames +  755,
		{  126,  -16,  915,  610 }, NULL	/* ampersand */
    },
    {
	169, 0x0027,  160, PSDRV_AGLGlyphNames + 1126,
		{  145,  343,  215,  610 }, NULL	/* quotesingle */
    },
    {
	 40, 0x0028,  260, PSDRV_AGLGlyphNames + 1081,
		{   96, -216,  411,  664 }, NULL	/* parenleft */
    },
    {
	 41, 0x0029,  220, PSDRV_AGLGlyphNames + 1087,
		{  -13, -216,  302,  664 }, NULL	/* parenright */
    },
    {
	 42, 0x002a,  420, PSDRV_AGLGlyphNames +  782,
		{  139,  263,  479,  610 }, NULL	/* asterisk */
    },
    {
	 43, 0x002b,  520, PSDRV_AGLGlyphNames + 1105,
		{  117,    0,  543,  426 }, NULL	/* plus */
    },
    {
	 44, 0x002c,  220, PSDRV_AGLGlyphNames +  835,
		{   25, -140,  213,  148 }, NULL	/* comma */
    },
    {
	 45, 0x002d,  280, PSDRV_AGLGlyphNames +  961,
		{   69,  190,  334,  248 }, NULL	/* hyphen */
    },
    {
	 46, 0x002e,  220, PSDRV_AGLGlyphNames + 1095,
		{  102,  -14,  228,  128 }, NULL	/* period */
    },
    {
	 47, 0x002f,  340, PSDRV_AGLGlyphNames + 1167,
		{   74,  -16,  458,  610 }, NULL	/* slash */
    },
    {
	 48, 0x0030,  440, PSDRV_AGLGlyphNames + 1253,
		{   79,  -16,  538,  610 }, NULL	/* zero */
    },
    {
	 49, 0x0031,  440, PSDRV_AGLGlyphNames + 1060,
		{   41,    0,  428,  610 }, NULL	/* one */
    },
    {
	 50, 0x0032,  440, PSDRV_AGLGlyphNames + 1206,
		{   17,  -16,  485,  610 }, NULL	/* two */
    },
    {
	 51, 0x0033,  440, PSDRV_AGLGlyphNames + 1188,
		{    1,  -16,  485,  610 }, NULL	/* three */
    },
    {
	 52, 0x0034,  440, PSDRV_AGLGlyphNames +  930,
		{   77,  -35,  499,  610 }, NULL	/* four */
    },
    {
	 53, 0x0035,  440, PSDRV_AGLGlyphNames +  922,
		{   60,  -16,  595,  679 }, NULL	/* five */
    },
    {
	 54, 0x0036,  440, PSDRV_AGLGlyphNames + 1163,
		{   90,  -16,  556,  610 }, NULL	/* six */
    },
    {
	 55, 0x0037,  440, PSDRV_AGLGlyphNames + 1154,
		{  157,  -33,  561,  645 }, NULL	/* seven */
    },
    {
	 56, 0x0038,  440, PSDRV_AGLGlyphNames +  886,
		{   65,  -16,  529,  610 }, NULL	/* eight */
    },
    {
	 57, 0x0039,  440, PSDRV_AGLGlyphNames + 1032,
		{   32,  -16,  517,  610 }, NULL	/* nine */
    },
    {
	 58, 0x003a,  260, PSDRV_AGLGlyphNames +  833,
		{   98,  -14,  296,  438 }, NULL	/* colon */
    },
    {
	 59, 0x003b,  240, PSDRV_AGLGlyphNames + 1153,
		{   29, -140,  299,  438 }, NULL	/* semicolon */
    },
    {
	 60, 0x003c,  520, PSDRV_AGLGlyphNames + 1003,
		{  139,    0,  527,  468 }, NULL	/* less */
    },
    {
	 61, 0x003d,  520, PSDRV_AGLGlyphNames +  900,
		{  117,   86,  543,  340 }, NULL	/* equal */
    },
    {
	 62, 0x003e,  520, PSDRV_AGLGlyphNames +  948,
		{  139,    0,  527,  468 }, NULL	/* greater */
    },
    {
	 63, 0x003f,  380, PSDRV_AGLGlyphNames + 1114,
		{  150,  -14,  455,  610 }, NULL	/* question */
    },
    {
	 64, 0x0040,  700, PSDRV_AGLGlyphNames +  785,
		{  127,  -16,  753,  610 }, NULL	/* at */
    },
    {
	 65, 0x0041,  620, PSDRV_AGLGlyphNames +    0,
		{   13,  -16,  697,  632 }, NULL	/* A */
    },
    {
	 66, 0x0042,  600, PSDRV_AGLGlyphNames +   25,
		{   85,   -6,  674,  640 }, NULL	/* B */
    },
    {
	 67, 0x0043,  520, PSDRV_AGLGlyphNames +   29,
		{   93,  -16,  631,  610 }, NULL	/* C */
    },
    {
	 68, 0x0044,  700, PSDRV_AGLGlyphNames +   42,
		{   86,   -6,  768,  640 }, NULL	/* D */
    },
    {
	 69, 0x0045,  620, PSDRV_AGLGlyphNames +   52,
		{   91,  -12,  709,  618 }, NULL	/* E */
    },
    {
	 70, 0x0046,  580, PSDRV_AGLGlyphNames +   75,
		{  120, -118,  793,  629 }, NULL	/* F */
    },
    {
	 71, 0x0047,  620, PSDRV_AGLGlyphNames +   77,
		{  148, -242,  709,  610 }, NULL	/* G */
    },
    {
	 72, 0x0048,  680, PSDRV_AGLGlyphNames +   87,
		{   18,  -16,  878,  708 }, NULL	/* H */
    },
    {
	 73, 0x0049,  380, PSDRV_AGLGlyphNames +   97,
		{   99,    0,  504,  594 }, NULL	/* I */
    },
    {
	 74, 0x004a,  400, PSDRV_AGLGlyphNames +  118,
		{  -14, -147,  538,  594 }, NULL	/* J */
    },
    {
	 75, 0x004b,  660, PSDRV_AGLGlyphNames +  121,
		{   53, -153,  844,  610 }, NULL	/* K */
    },
    {
	 76, 0x004c,  580, PSDRV_AGLGlyphNames +  125,
		{   53,  -16,  657,  610 }, NULL	/* L */
    },
    {
	 77, 0x004d,  840, PSDRV_AGLGlyphNames +  135,
		{   58,  -16, 1020,  722 }, NULL	/* M */
    },
    {
	 78, 0x004e,  700, PSDRV_AGLGlyphNames +  140,
		{   85, -168,  915,  708 }, NULL	/* N */
    },
    {
	 79, 0x004f,  600, PSDRV_AGLGlyphNames +  148,
		{   94,  -16,  660,  610 }, NULL	/* O */
    },
    {
	 80, 0x0050,  540, PSDRV_AGLGlyphNames +  174,
		{   42,    0,  658,  628 }, NULL	/* P */
    },
    {
	 81, 0x0051,  600, PSDRV_AGLGlyphNames +  179,
		{   84, -177,  775,  610 }, NULL	/* Q */
    },
    {
	 82, 0x0052,  600, PSDRV_AGLGlyphNames +  181,
		{   58, -168,  805,  640 }, NULL	/* R */
    },
    {
	 83, 0x0053,  460, PSDRV_AGLGlyphNames +  189,
		{   45,  -81,  558,  610 }, NULL	/* S */
    },
    {
	 84, 0x0054,  500, PSDRV_AGLGlyphNames +  238,
		{   63,    0,  744,  667 }, NULL	/* T */
    },
    {
	 85, 0x0055,  740, PSDRV_AGLGlyphNames +  248,
		{  126,  -16,  792,  617 }, NULL	/* U */
    },
    {
	 86, 0x0056,  640, PSDRV_AGLGlyphNames +  269,
		{  124,  -16,  810,  714 }, NULL	/* V */
    },
    {
	 87, 0x0057,  880, PSDRV_AGLGlyphNames +  271,
		{   94,  -16, 1046,  723 }, NULL	/* W */
    },
    {
	 88, 0x0058,  560, PSDRV_AGLGlyphNames +  277,
		{  -30,  -16,  699,  610 }, NULL	/* X */
    },
    {
	 89, 0x0059,  560, PSDRV_AGLGlyphNames +  280,
		{   41, -168,  774,  647 }, NULL	/* Y */
    },
    {
	 90, 0x005a,  620, PSDRV_AGLGlyphNames +  288,
		{   42,  -19,  669,  624 }, NULL	/* Z */
    },
    {
	 91, 0x005b,  240, PSDRV_AGLGlyphNames +  801,
		{  -13, -207,  405,  655 }, NULL	/* bracketleft */
    },
    {
	 92, 0x005c,  480, PSDRV_AGLGlyphNames +  788,
		{  140,  -16,  524,  610 }, NULL	/* backslash */
    },
    {
	 93, 0x005d,  320, PSDRV_AGLGlyphNames +  805,
		{  -27, -207,  391,  655 }, NULL	/* bracketright */
    },
    {
	 94, 0x005e,  520, PSDRV_AGLGlyphNames +  780,
		{  132,  239,  532,  594 }, NULL	/* asciicircum */
    },
    {
	 95, 0x005f,  500, PSDRV_AGLGlyphNames + 1221,
		{    0, -125,  500,  -75 }, NULL	/* underscore */
    },
    {
	193, 0x0060,  220, PSDRV_AGLGlyphNames +  945,
		{  193,  492,  339,  659 }, NULL	/* grave */
    },
    {
	 97, 0x0061,  420, PSDRV_AGLGlyphNames +  295,
		{   92,  -15,  485,  438 }, NULL	/* a */
    },
    {
	 98, 0x0062,  420, PSDRV_AGLGlyphNames +  787,
		{   82,  -23,  492,  714 }, NULL	/* b */
    },
    {
	 99, 0x0063,  340, PSDRV_AGLGlyphNames +  813,
		{   87,  -14,  406,  438 }, NULL	/* c */
    },
    {
	100, 0x0064,  440, PSDRV_AGLGlyphNames +  848,
		{  102,  -14,  651,  714 }, NULL	/* d */
    },
    {
	101, 0x0065,  340, PSDRV_AGLGlyphNames +  878,
		{   87,  -14,  403,  438 }, NULL	/* e */
    },
    {
	102, 0x0066,  320, PSDRV_AGLGlyphNames +  913,
		{ -119, -314,  547,  714 }, NULL	/* f */
    },
    {
	103, 0x0067,  400, PSDRV_AGLGlyphNames +  936,
		{ -108, -314,  503,  438 }, NULL	/* g */
    },
    {
	104, 0x0068,  440, PSDRV_AGLGlyphNames +  954,
		{   55,  -14,  524,  714 }, NULL	/* h */
    },
    {
	105, 0x0069,  240, PSDRV_AGLGlyphNames +  964,
		{  100,  -14,  341,  635 }, NULL	/* i */
    },
    {
	106, 0x006a,  220, PSDRV_AGLGlyphNames +  989,
		{ -112, -314,  332,  635 }, NULL	/* j */
    },
    {
	107, 0x006b,  440, PSDRV_AGLGlyphNames +  991,
		{   87, -184,  628,  714 }, NULL	/* k */
    },
    {
	108, 0x006c,  240, PSDRV_AGLGlyphNames +  995,
		{  102,  -14,  480,  714 }, NULL	/* l */
    },
    {
	109, 0x006d,  620, PSDRV_AGLGlyphNames + 1016,
		{   86,  -14,  704,  438 }, NULL	/* m */
    },
    {
	110, 0x006e,  460, PSDRV_AGLGlyphNames + 1027,
		{  101,  -14,  544,  438 }, NULL	/* n */
    },
    {
	111, 0x006f,  400, PSDRV_AGLGlyphNames + 1044,
		{   87,  -14,  449,  438 }, NULL	/* o */
    },
    {
	112, 0x0070,  440, PSDRV_AGLGlyphNames + 1079,
		{  -23, -314,  484,  432 }, NULL	/* p */
    },
    {
	113, 0x0071,  400, PSDRV_AGLGlyphNames + 1113,
		{   87, -300,  490,  510 }, NULL	/* q */
    },
    {
	114, 0x0072,  300, PSDRV_AGLGlyphNames + 1127,
		{  101,  -14,  424,  438 }, NULL	/* r */
    },
    {
	115, 0x0073,  320, PSDRV_AGLGlyphNames + 1145,
		{   46,  -14,  403,  438 }, NULL	/* s */
    },
    {
	116, 0x0074,  320, PSDRV_AGLGlyphNames + 1178,
		{  106,  -14,  426,  539 }, NULL	/* t */
    },
    {
	117, 0x0075,  460, PSDRV_AGLGlyphNames + 1212,
		{  102,  -14,  528,  438 }, NULL	/* u */
    },
    {
	118, 0x0076,  440, PSDRV_AGLGlyphNames + 1234,
		{   87,  -14,  533,  488 }, NULL	/* v */
    },
    {
	119, 0x0077,  680, PSDRV_AGLGlyphNames + 1235,
		{   87,  -14,  782,  488 }, NULL	/* w */
    },
    {
	120, 0x0078,  420, PSDRV_AGLGlyphNames + 1241,
		{   70, -195,  589,  438 }, NULL	/* x */
    },
    {
	121, 0x0079,  400, PSDRV_AGLGlyphNames + 1243,
		{  -24, -314,  483,  438 }, NULL	/* y */
    },
    {
	122, 0x007a,  440, PSDRV_AGLGlyphNames + 1249,
		{   26,  -14,  508,  445 }, NULL	/* z */
    },
    {
	123, 0x007b,  240, PSDRV_AGLGlyphNames +  793,
		{   55, -207,  383,  655 }, NULL	/* braceleft */
    },
    {
	124, 0x007c,  520, PSDRV_AGLGlyphNames +  789,
		{  320,  -16,  378,  714 }, NULL	/* bar */
    },
    {
	125, 0x007d,  240, PSDRV_AGLGlyphNames +  797,
		{  -10, -207,  318,  655 }, NULL	/* braceright */
    },
    {
	126, 0x007e,  520, PSDRV_AGLGlyphNames +  781,
		{  123,  186,  539,  320 }, NULL	/* asciitilde */
    },
    {
	161, 0x00a1,  280, PSDRV_AGLGlyphNames +  909,
		{   72, -186,  306,  438 }, NULL	/* exclamdown */
    },
    {
	162, 0x00a2,  440, PSDRV_AGLGlyphNames +  822,
		{  122, -134,  476,  543 }, NULL	/* cent */
    },
    {
	163, 0x00a3,  440, PSDRV_AGLGlyphNames + 1173,
		{  -16,  -52,  506,  610 }, NULL	/* sterling */
    },
    {
	168, 0x00a4,  440, PSDRV_AGLGlyphNames +  843,
		{   50,   85,  474,  509 }, NULL	/* currency */
    },
    {
	165, 0x00a5,  440, PSDRV_AGLGlyphNames + 1247,
		{   -1, -168,  613,  647 }, NULL	/* yen */
    },
    {
	 -1, 0x00a6,  520, PSDRV_AGLGlyphNames +  810,
		{  320,  -16,  378,  714 }, NULL	/* brokenbar */
    },
    {
	167, 0x00a7,  420, PSDRV_AGLGlyphNames + 1152,
		{   53, -215,  514,  610 }, NULL	/* section */
    },
    {
	200, 0x00a8,  360, PSDRV_AGLGlyphNames +  859,
		{  243,  522,  469,  610 }, NULL	/* dieresis */
    },
    {
	 -1, 0x00a9,  740, PSDRV_AGLGlyphNames +  840,
		{  137,  -16,  763,  610 }, NULL	/* copyright */
    },
    {
	227, 0x00aa,  260, PSDRV_AGLGlyphNames + 1071,
		{  111,  338,  386,  610 }, NULL	/* ordfeminine */
    },
    {
	171, 0x00ab,  340, PSDRV_AGLGlyphNames +  950,
		{   98,   24,  356,  414 }, NULL	/* guillemotleft */
    },
    {
	 -1, 0x00ac,  520, PSDRV_AGLGlyphNames + 1009,
		{  117,   86,  543,  340 }, NULL	/* logicalnot */
    },
    {
	 -1, 0x00ae,  740, PSDRV_AGLGlyphNames + 1135,
		{  137,  -16,  763,  610 }, NULL	/* registered */
    },
    {
	 -1, 0x00b0,  400, PSDRV_AGLGlyphNames +  856,
		{  171,  324,  457,  610 }, NULL	/* degree */
    },
    {
	 -1, 0x00b1,  520, PSDRV_AGLGlyphNames + 1106,
		{  117,    0,  543,  436 }, NULL	/* plusminus */
    },
    {
	 -1, 0x00b2,  264, PSDRV_AGLGlyphNames + 1210,
		{   72,  234,  354,  610 }, NULL	/* twosuperior */
    },
    {
	 -1, 0x00b3,  264, PSDRV_AGLGlyphNames + 1194,
		{   59,  234,  348,  610 }, NULL	/* threesuperior */
    },
    {
	194, 0x00b4,  300, PSDRV_AGLGlyphNames +  500,
		{  265,  492,  422,  659 }, NULL	/* acute */
    },
    {
	182, 0x00b6,  500, PSDRV_AGLGlyphNames + 1080,
		{  105, -199,  638,  594 }, NULL	/* paragraph */
    },
    {
	180, 0x00b7,  220, PSDRV_AGLGlyphNames + 1096,
		{  139,  208,  241,  310 }, NULL	/* periodcentered */
    },
    {
	203, 0x00b8,  300, PSDRV_AGLGlyphNames +  821,
		{   12, -191,  184,    6 }, NULL	/* cedilla */
    },
    {
	 -1, 0x00b9,  264, PSDRV_AGLGlyphNames + 1068,
		{   83,  244,  311,  610 }, NULL	/* onesuperior */
    },
    {
	235, 0x00ba,  260, PSDRV_AGLGlyphNames + 1072,
		{  128,  339,  373,  610 }, NULL	/* ordmasculine */
    },
    {
	187, 0x00bb,  380, PSDRV_AGLGlyphNames +  951,
		{  117,   24,  375,  414 }, NULL	/* guillemotright */
    },
    {
	 -1, 0x00bc,  660, PSDRV_AGLGlyphNames + 1067,
		{   56,  -16,  702,  610 }, NULL	/* onequarter */
    },
    {
	 -1, 0x00bd,  660, PSDRV_AGLGlyphNames + 1064,
		{   56,  -16,  702,  610 }, NULL	/* onehalf */
    },
    {
	 -1, 0x00be,  660, PSDRV_AGLGlyphNames + 1192,
		{   39,  -16,  706,  610 }, NULL	/* threequarters */
    },
    {
	191, 0x00bf,  400, PSDRV_AGLGlyphNames + 1115,
		{   82, -186,  387,  438 }, NULL	/* questiondown */
    },
    {
	 -1, 0x00c0,  620, PSDRV_AGLGlyphNames +   13,
		{   13,  -16,  697,  821 }, NULL	/* Agrave */
    },
    {
	 -1, 0x00c1,  620, PSDRV_AGLGlyphNames +    4,
		{   13,  -16,  702,  821 }, NULL	/* Aacute */
    },
    {
	 -1, 0x00c2,  620, PSDRV_AGLGlyphNames +    7,
		{   13,  -16,  697,  821 }, NULL	/* Acircumflex */
    },
    {
	 -1, 0x00c3,  620, PSDRV_AGLGlyphNames +   23,
		{   13,  -16,  702,  771 }, NULL	/* Atilde */
    },
    {
	 -1, 0x00c4,  620, PSDRV_AGLGlyphNames +   11,
		{   13,  -16,  709,  762 }, NULL	/* Adieresis */
    },
    {
	 -1, 0x00c5,  620, PSDRV_AGLGlyphNames +   19,
		{   13,  -16,  697,  831 }, NULL	/* Aring */
    },
    {
	225, 0x00c6,  740, PSDRV_AGLGlyphNames +    1,
		{  -21,  -16,  799,  594 }, NULL	/* AE */
    },
    {
	 -1, 0x00c7,  520, PSDRV_AGLGlyphNames +   34,
		{   93, -191,  631,  610 }, NULL	/* Ccedilla */
    },
    {
	 -1, 0x00c8,  620, PSDRV_AGLGlyphNames +   62,
		{   91,  -12,  709,  821 }, NULL	/* Egrave */
    },
    {
	 -1, 0x00c9,  620, PSDRV_AGLGlyphNames +   53,
		{   91,  -12,  709,  821 }, NULL	/* Eacute */
    },
    {
	 -1, 0x00ca,  620, PSDRV_AGLGlyphNames +   57,
		{   91,  -12,  709,  821 }, NULL	/* Ecircumflex */
    },
    {
	 -1, 0x00cb,  620, PSDRV_AGLGlyphNames +   59,
		{   91,  -12,  709,  762 }, NULL	/* Edieresis */
    },
    {
	 -1, 0x00cc,  380, PSDRV_AGLGlyphNames +  109,
		{   99,    0,  504,  821 }, NULL	/* Igrave */
    },
    {
	 -1, 0x00cd,  380, PSDRV_AGLGlyphNames +   99,
		{   99,    0,  532,  821 }, NULL	/* Iacute */
    },
    {
	 -1, 0x00ce,  380, PSDRV_AGLGlyphNames +  102,
		{   99,    0,  504,  821 }, NULL	/* Icircumflex */
    },
    {
	 -1, 0x00cf,  380, PSDRV_AGLGlyphNames +  104,
		{   99,    0,  519,  762 }, NULL	/* Idieresis */
    },
    {
	 -1, 0x00d0,  700, PSDRV_AGLGlyphNames +   72,
		{   86,   -6,  768,  640 }, NULL	/* Eth */
    },
    {
	 -1, 0x00d1,  700, PSDRV_AGLGlyphNames +  145,
		{   85, -168,  915,  761 }, NULL	/* Ntilde */
    },
    {
	 -1, 0x00d2,  600, PSDRV_AGLGlyphNames +  159,
		{   94,  -16,  660,  821 }, NULL	/* Ograve */
    },
    {
	 -1, 0x00d3,  600, PSDRV_AGLGlyphNames +  151,
		{   94,  -16,  660,  821 }, NULL	/* Oacute */
    },
    {
	 -1, 0x00d4,  600, PSDRV_AGLGlyphNames +  154,
		{   94,  -16,  660,  821 }, NULL	/* Ocircumflex */
    },
    {
	 -1, 0x00d5,  600, PSDRV_AGLGlyphNames +  172,
		{   94,  -16,  660,  761 }, NULL	/* Otilde */
    },
    {
	 -1, 0x00d6,  600, PSDRV_AGLGlyphNames +  156,
		{   94,  -16,  660,  762 }, NULL	/* Odieresis */
    },
    {
	 -1, 0x00d7,  520, PSDRV_AGLGlyphNames + 1024,
		{  133,   16,  527,  410 }, NULL	/* multiply */
    },
    {
	233, 0x00d8,  660, PSDRV_AGLGlyphNames +  168,
		{   83,  -78,  751,  672 }, NULL	/* Oslash */
    },
    {
	 -1, 0x00d9,  740, PSDRV_AGLGlyphNames +  256,
		{  126,  -16,  792,  821 }, NULL	/* Ugrave */
    },
    {
	 -1, 0x00da,  740, PSDRV_AGLGlyphNames +  249,
		{  126,  -16,  792,  821 }, NULL	/* Uacute */
    },
    {
	 -1, 0x00db,  740, PSDRV_AGLGlyphNames +  252,
		{  126,  -16,  792,  821 }, NULL	/* Ucircumflex */
    },
    {
	 -1, 0x00dc,  740, PSDRV_AGLGlyphNames +  254,
		{  126,  -16,  792,  762 }, NULL	/* Udieresis */
    },
    {
	 -1, 0x00dd,  560, PSDRV_AGLGlyphNames +  281,
		{   41, -168,  774,  821 }, NULL	/* Yacute */
    },
    {
	 -1, 0x00de,  540, PSDRV_AGLGlyphNames +  244,
		{   52,    0,  647,  623 }, NULL	/* Thorn */
    },
    {
	251, 0x00df,  420, PSDRV_AGLGlyphNames +  943,
		{ -127, -314,  542,  714 }, NULL	/* germandbls */
    },
    {
	 -1, 0x00e0,  420, PSDRV_AGLGlyphNames +  750,
		{   92,  -15,  485,  659 }, NULL	/* agrave */
    },
    {
	 -1, 0x00e1,  420, PSDRV_AGLGlyphNames +  497,
		{   92,  -15,  492,  659 }, NULL	/* aacute */
    },
    {
	 -1, 0x00e2,  420, PSDRV_AGLGlyphNames +  499,
		{   92,  -15,  485,  649 }, NULL	/* acircumflex */
    },
    {
	 -1, 0x00e3,  420, PSDRV_AGLGlyphNames +  786,
		{   92,  -15,  522,  619 }, NULL	/* atilde */
    },
    {
	 -1, 0x00e4,  420, PSDRV_AGLGlyphNames +  502,
		{   92,  -15,  485,  610 }, NULL	/* adieresis */
    },
    {
	 -1, 0x00e5,  420, PSDRV_AGLGlyphNames +  764,
		{   92,  -15,  485,  659 }, NULL	/* aring */
    },
    {
	241, 0x00e6,  540, PSDRV_AGLGlyphNames +  503,
		{   67,  -14,  624,  468 }, NULL	/* ae */
    },
    {
	 -1, 0x00e7,  340, PSDRV_AGLGlyphNames +  818,
		{   62, -191,  406,  438 }, NULL	/* ccedilla */
    },
    {
	 -1, 0x00e8,  340, PSDRV_AGLGlyphNames +  885,
		{   87,  -14,  403,  659 }, NULL	/* egrave */
    },
    {
	 -1, 0x00e9,  340, PSDRV_AGLGlyphNames +  879,
		{   87,  -14,  462,  659 }, NULL	/* eacute */
    },
    {
	 -1, 0x00ea,  340, PSDRV_AGLGlyphNames +  882,
		{   87,  -14,  433,  649 }, NULL	/* ecircumflex */
    },
    {
	 -1, 0x00eb,  340, PSDRV_AGLGlyphNames +  883,
		{   87,  -14,  449,  610 }, NULL	/* edieresis */
    },
    {
	 -1, 0x00ec,  240, PSDRV_AGLGlyphNames +  969,
		{  100,  -14,  306,  659 }, NULL	/* igrave */
    },
    {
	 -1, 0x00ed,  240, PSDRV_AGLGlyphNames +  965,
		{  100,  -14,  392,  659 }, NULL	/* iacute */
    },
    {
	 -1, 0x00ee,  240, PSDRV_AGLGlyphNames +  967,
		{  100,  -14,  363,  649 }, NULL	/* icircumflex */
    },
    {
	 -1, 0x00ef,  240, PSDRV_AGLGlyphNames +  968,
		{  100,  -14,  369,  610 }, NULL	/* idieresis */
    },
    {
	 -1, 0x00f0,  400, PSDRV_AGLGlyphNames +  906,
		{   87,  -14,  522,  714 }, NULL	/* eth */
    },
    {
	 -1, 0x00f1,  460, PSDRV_AGLGlyphNames + 1041,
		{  101,  -14,  544,  619 }, NULL	/* ntilde */
    },
    {
	 -1, 0x00f2,  400, PSDRV_AGLGlyphNames + 1051,
		{   87,  -14,  449,  659 }, NULL	/* ograve */
    },
    {
	 -1, 0x00f3,  400, PSDRV_AGLGlyphNames + 1045,
		{   87,  -14,  482,  659 }, NULL	/* oacute */
    },
    {
	 -1, 0x00f4,  400, PSDRV_AGLGlyphNames + 1047,
		{   87,  -14,  453,  649 }, NULL	/* ocircumflex */
    },
    {
	 -1, 0x00f5,  400, PSDRV_AGLGlyphNames + 1077,
		{   87,  -14,  502,  619 }, NULL	/* otilde */
    },
    {
	 -1, 0x00f6,  400, PSDRV_AGLGlyphNames + 1048,
		{   87,  -14,  479,  610 }, NULL	/* odieresis */
    },
    {
	 -1, 0x00f7,  520, PSDRV_AGLGlyphNames +  863,
		{  117,  -14,  543,  440 }, NULL	/* divide */
    },
    {
	249, 0x00f8,  440, PSDRV_AGLGlyphNames + 1074,
		{   46,  -64,  540,  488 }, NULL	/* oslash */
    },
    {
	 -1, 0x00f9,  460, PSDRV_AGLGlyphNames + 1217,
		{  102,  -14,  528,  659 }, NULL	/* ugrave */
    },
    {
	 -1, 0x00fa,  460, PSDRV_AGLGlyphNames + 1213,
		{  102,  -14,  528,  659 }, NULL	/* uacute */
    },
    {
	 -1, 0x00fb,  460, PSDRV_AGLGlyphNames + 1215,
		{  102,  -14,  528,  649 }, NULL	/* ucircumflex */
    },
    {
	 -1, 0x00fc,  460, PSDRV_AGLGlyphNames + 1216,
		{  102,  -14,  528,  610 }, NULL	/* udieresis */
    },
    {
	 -1, 0x00fd,  400, PSDRV_AGLGlyphNames + 1244,
		{  -24, -314,  483,  659 }, NULL	/* yacute */
    },
    {
	 -1, 0x00fe,  440, PSDRV_AGLGlyphNames + 1187,
		{  -38, -314,  505,  714 }, NULL	/* thorn */
    },
    {
	 -1, 0x00ff,  400, PSDRV_AGLGlyphNames + 1246,
		{  -24, -314,  483,  610 }, NULL	/* ydieresis */
    },
    {
	245, 0x0131,  240, PSDRV_AGLGlyphNames +  873,
		{  100,  -14,  306,  438 }, NULL	/* dotlessi */
    },
    {
	232, 0x0141,  580, PSDRV_AGLGlyphNames +  132,
		{   49,  -16,  657,  610 }, NULL	/* Lslash */
    },
    {
	248, 0x0142,  300, PSDRV_AGLGlyphNames + 1013,
		{  121,  -14,  515,  714 }, NULL	/* lslash */
    },
    {
	234, 0x0152,  820, PSDRV_AGLGlyphNames +  149,
		{   63,  -16,  909,  610 }, NULL	/* OE */
    },
    {
	250, 0x0153,  560, PSDRV_AGLGlyphNames + 1049,
		{   78,  -14,  628,  438 }, NULL	/* oe */
    },
    {
	 -1, 0x0160,  460, PSDRV_AGLGlyphNames +  231,
		{   45,  -81,  594,  831 }, NULL	/* Scaron */
    },
    {
	 -1, 0x0161,  320, PSDRV_AGLGlyphNames + 1147,
		{   46,  -14,  464,  659 }, NULL	/* scaron */
    },
    {
	 -1, 0x0178,  560, PSDRV_AGLGlyphNames +  284,
		{   41, -168,  774,  762 }, NULL	/* Ydieresis */
    },
    {
	 -1, 0x017d,  620, PSDRV_AGLGlyphNames +  290,
		{   42,  -19,  669,  831 }, NULL	/* Zcaron */
    },
    {
	 -1, 0x017e,  440, PSDRV_AGLGlyphNames + 1251,
		{   26,  -14,  514,  659 }, NULL	/* zcaron */
    },
    {
	166, 0x0192,  440, PSDRV_AGLGlyphNames +  928,
		{  -64, -314,  582,  610 }, NULL	/* florin */
    },
    {
	195, 0x02c6,  340, PSDRV_AGLGlyphNames +  831,
		{  223,  482,  443,  649 }, NULL	/* circumflex */
    },
    {
	207, 0x02c7,  340, PSDRV_AGLGlyphNames +  815,
		{  254,  492,  474,  659 }, NULL	/* caron */
    },
    {
	197, 0x02c9,  440, PSDRV_AGLGlyphNames + 1017,
		{  222,  544,  465,  578 }, NULL	/* macron */
    },
    {
	198, 0x02d8,  440, PSDRV_AGLGlyphNames +  809,
		{  253,  522,  501,  631 }, NULL	/* breve */
    },
    {
	199, 0x02d9,  220, PSDRV_AGLGlyphNames +  871,
		{  236,  522,  328,  610 }, NULL	/* dotaccent */
    },
    {
	202, 0x02da,  300, PSDRV_AGLGlyphNames + 1141,
		{  240,  483,  416,  659 }, NULL	/* ring */
    },
    {
	206, 0x02db,  280, PSDRV_AGLGlyphNames + 1050,
		{   38, -191,  233,    6 }, NULL	/* ogonek */
    },
    {
	196, 0x02dc,  440, PSDRV_AGLGlyphNames + 1195,
		{  243,  543,  522,  619 }, NULL	/* tilde */
    },
    {
	205, 0x02dd,  400, PSDRV_AGLGlyphNames +  960,
		{  208,  492,  495,  659 }, NULL	/* hungarumlaut */
    },
    {
	 -1, 0x03bc,  460, PSDRV_AGLGlyphNames + 1023,
		{    7, -314,  523,  438 }, NULL	/* mu */
    },
    {
	177, 0x2013,  500, PSDRV_AGLGlyphNames +  895,
		{   51,  199,  565,  239 }, NULL	/* endash */
    },
    {
	208, 0x2014, 1000, PSDRV_AGLGlyphNames +  893,
		{   51,  199, 1065,  239 }, NULL	/* emdash */
    },
    {
	 96, 0x2018,  240, PSDRV_AGLGlyphNames + 1122,
		{  169,  343,  339,  610 }, NULL	/* quoteleft */
    },
    {
	 39, 0x2019,  240, PSDRV_AGLGlyphNames + 1124,
		{  168,  343,  338,  610 }, NULL	/* quoteright */
    },
    {
	184, 0x201a,  180, PSDRV_AGLGlyphNames + 1125,
		{   21, -121,  191,  146 }, NULL	/* quotesinglbase */
    },
    {
	170, 0x201c,  340, PSDRV_AGLGlyphNames + 1120,
		{  169,  343,  464,  610 }, NULL	/* quotedblleft */
    },
    {
	186, 0x201d,  360, PSDRV_AGLGlyphNames + 1121,
		{  158,  343,  453,  610 }, NULL	/* quotedblright */
    },
    {
	185, 0x201e,  280, PSDRV_AGLGlyphNames + 1119,
		{  -14, -121,  281,  146 }, NULL	/* quotedblbase */
    },
    {
	178, 0x2020,  460, PSDRV_AGLGlyphNames +  849,
		{  138,  -37,  568,  610 }, NULL	/* dagger */
    },
    {
	179, 0x2021,  480, PSDRV_AGLGlyphNames +  850,
		{  138,  -59,  533,  610 }, NULL	/* daggerdbl */
    },
    {
	183, 0x2022,  600, PSDRV_AGLGlyphNames +  812,
		{  228,  149,  524,  445 }, NULL	/* bullet */
    },
    {
	188, 0x2026, 1000, PSDRV_AGLGlyphNames +  891,
		{  124,  -14,  916,  128 }, NULL	/* ellipsis */
    },
    {
	189, 0x2030,  960, PSDRV_AGLGlyphNames + 1100,
		{  112, -160, 1005,  700 }, NULL	/* perthousand */
    },
    {
	172, 0x2039,  240, PSDRV_AGLGlyphNames +  952,
		{   98,   24,  258,  414 }, NULL	/* guilsinglleft */
    },
    {
	173, 0x203a,  260, PSDRV_AGLGlyphNames +  953,
		{  106,   24,  266,  414 }, NULL	/* guilsinglright */
    },
    {
	 -1, 0x2122, 1000, PSDRV_AGLGlyphNames + 1198,
		{  127,  187, 1046,  594 }, NULL	/* trademark */
    },
    {
	 -1, 0x2212,  520, PSDRV_AGLGlyphNames + 1020,
		{  117,  184,  543,  242 }, NULL	/* minus */
    },
    {
	164, 0x2215,   60, PSDRV_AGLGlyphNames +  934,
		{ -181,  -16,  320,  610 }, NULL	/* fraction */
    },
    {
	174, 0xfb01,  520, PSDRV_AGLGlyphNames +  918,
		{ -124, -314,  605,  714 }, NULL	/* fi */
    },
    {
	175, 0xfb02,  520, PSDRV_AGLGlyphNames +  927,
		{ -124, -314,  670,  714 }, NULL	/* fl */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_ZapfChancery_MediumItalic =
{
    "ZapfChancery-MediumItalic",		/* FontName */
    "ITC Zapf Chancery Medium Italic",		/* FullName */
    "ITC Zapf Chancery",			/* FamilyName */
    "AdobeStandardEncoding",			/* EncodingScheme */
    FW_NORMAL,					/* Weight */
    -14,					/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -100,					/* UnderlinePosition */
    50,						/* UnderlineThickness */
    { -181, -314, 1065, 831 },			/* FontBBox */
    708,					/* CapHeight */
    438,					/* XHeight */
    714,					/* Ascender */
    -314,					/* Descender */
    831,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	790,				/* WinMetrics.sAscender */
	-303,				/* WinMetrics.sDescender */
	29,				/* WinMetrics.sLineGap */
	350,				/* WinMetrics.sAvgCharWidth */
	689,				/* WinMetrics.sTypoAscender */
	-259,				/* WinMetrics.sTypoDescender */
	122,				/* WinMetrics.sTypoLineGap */
	790,				/* WinMetrics.usWinAscent */
	303				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 220, 280, 220, 440, 440, 	/* CharWidths[30] - CharWidths[36] */
	680, 780, 160, 260, 220, 420, 	/* CharWidths[37] - CharWidths[42] */
	520, 220, 280, 220, 340, 440, 	/* CharWidths[43] - CharWidths[48] */
	440, 440, 440, 440, 440, 440, 	/* CharWidths[49] - CharWidths[54] */
	440, 440, 440, 260, 240, 520, 	/* CharWidths[55] - CharWidths[60] */
	520, 520, 380, 700, 620, 600, 	/* CharWidths[61] - CharWidths[66] */
	520, 700, 620, 580, 620, 680, 	/* CharWidths[67] - CharWidths[72] */
	380, 400, 660, 580, 840, 700, 	/* CharWidths[73] - CharWidths[78] */
	600, 540, 600, 600, 460, 500, 	/* CharWidths[79] - CharWidths[84] */
	740, 640, 880, 560, 560, 620, 	/* CharWidths[85] - CharWidths[90] */
	240, 480, 320, 520, 500, 220, 	/* CharWidths[91] - CharWidths[96] */
	420, 420, 340, 440, 340, 320, 	/* CharWidths[97] - CharWidths[102] */
	400, 440, 240, 220, 440, 240, 	/* CharWidths[103] - CharWidths[108] */
	620, 460, 400, 440, 400, 300, 	/* CharWidths[109] - CharWidths[114] */
	320, 320, 460, 440, 680, 420, 	/* CharWidths[115] - CharWidths[120] */
	400, 440, 240, 520, 240, 520, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 240, 	/* CharWidths[137] - CharWidths[145] */
	240, 340, 360, 600, 500, 1000, 	/* CharWidths[146] - CharWidths[151] */
	0, 0, 0, 0, 0, 0, 0, 0, 220, 	/* CharWidths[152] - CharWidths[160] */
	280, 440, 440, 440, 440, 520, 	/* CharWidths[161] - CharWidths[166] */
	420, 360, 740, 340, 340, 520, 	/* CharWidths[167] - CharWidths[172] */
	280, 740, 440, 400, 520, 264, 	/* CharWidths[173] - CharWidths[178] */
	264, 300, 0, 500, 220, 300, 	/* CharWidths[179] - CharWidths[184] */
	264, 360, 380, 660, 660, 660, 	/* CharWidths[185] - CharWidths[190] */
	400, 0, 220, 300, 340, 440, 	/* CharWidths[191] - CharWidths[196] */
	440, 440, 220, 360, 0, 300, 	/* CharWidths[197] - CharWidths[202] */
	300, 0, 400, 280, 340, 1000, 	/* CharWidths[203] - CharWidths[208] */
	0, 0, 0, 0, 0, 0, 520, 0, 0, 	/* CharWidths[209] - CharWidths[217] */
	0, 0, 0, 0, 0, 0, 0, 740, 0, 	/* CharWidths[218] - CharWidths[226] */
	260, 0, 0, 0, 0, 580, 660, 	/* CharWidths[227] - CharWidths[233] */
	820, 260, 0, 0, 0, 0, 0, 540, 	/* CharWidths[234] - CharWidths[241] */
	0, 0, 0, 240, 0, 520, 300, 	/* CharWidths[242] - CharWidths[248] */
	440, 560, 420, 0, 0, 0, 0	/* CharWidths[249] - CharWidths[255] */
    },
    228,					/* NumofMetrics */
    met_ZapfChancery_MediumItalic,		/* Metrics */
    &PSDRV_AdobeGlyphList			/* Encoding */
};
