/*******************************************************************************
 *
 *	Font metric data for ITC Zapf Dingbats
 *
 *	Copyright 2001 Ian Pilcher
 *
 *
 *	This data is derived from the Adobe Font Metrics files at
 *
 *	    ftp://ftp.adobe.com/pub/adobe/type/win/all/afmfiles/base35/
 *
 *	which are Copyright 1985-1992 Adobe Systems Incorporated.
 *
 *  	Windows metrics derived from Monotype Sorts, which is Copyright
 *  	1991-1995 Monotype Typography, Ltd.
 *
 */

#include "psdrv.h"


/*
 *  FontSpecific encoding vector
 */

static const UNICODEGLYPH ug_ZapfDingbats[188] =
{
    { 0xf020, PSDRV_AGLGlyphNames + 1169 },	/* space */
    { 0xf021, PSDRV_AGLGlyphNames +  296 },	/* a1 */
    { 0xf022, PSDRV_AGLGlyphNames +  403 },	/* a2 */
    { 0xf023, PSDRV_AGLGlyphNames +  407 },	/* a202 */
    { 0xf024, PSDRV_AGLGlyphNames +  421 },	/* a3 */
    { 0xf025, PSDRV_AGLGlyphNames +  432 },	/* a4 */
    { 0xf026, PSDRV_AGLGlyphNames +  443 },	/* a5 */
    { 0xf027, PSDRV_AGLGlyphNames +  314 },	/* a119 */
    { 0xf028, PSDRV_AGLGlyphNames +  313 },	/* a118 */
    { 0xf029, PSDRV_AGLGlyphNames +  312 },	/* a117 */
    { 0xf02a, PSDRV_AGLGlyphNames +  308 },	/* a11 */
    { 0xf02b, PSDRV_AGLGlyphNames +  315 },	/* a12 */
    { 0xf02c, PSDRV_AGLGlyphNames +  326 },	/* a13 */
    { 0xf02d, PSDRV_AGLGlyphNames +  337 },	/* a14 */
    { 0xf02e, PSDRV_AGLGlyphNames +  348 },	/* a15 */
    { 0xf02f, PSDRV_AGLGlyphNames +  359 },	/* a16 */
    { 0xf030, PSDRV_AGLGlyphNames +  303 },	/* a105 */
    { 0xf031, PSDRV_AGLGlyphNames +  370 },	/* a17 */
    { 0xf032, PSDRV_AGLGlyphNames +  381 },	/* a18 */
    { 0xf033, PSDRV_AGLGlyphNames +  392 },	/* a19 */
    { 0xf034, PSDRV_AGLGlyphNames +  404 },	/* a20 */
    { 0xf035, PSDRV_AGLGlyphNames +  412 },	/* a21 */
    { 0xf036, PSDRV_AGLGlyphNames +  413 },	/* a22 */
    { 0xf037, PSDRV_AGLGlyphNames +  414 },	/* a23 */
    { 0xf038, PSDRV_AGLGlyphNames +  415 },	/* a24 */
    { 0xf039, PSDRV_AGLGlyphNames +  416 },	/* a25 */
    { 0xf03a, PSDRV_AGLGlyphNames +  417 },	/* a26 */
    { 0xf03b, PSDRV_AGLGlyphNames +  418 },	/* a27 */
    { 0xf03c, PSDRV_AGLGlyphNames +  419 },	/* a28 */
    { 0xf03d, PSDRV_AGLGlyphNames +  454 },	/* a6 */
    { 0xf03e, PSDRV_AGLGlyphNames +  465 },	/* a7 */
    { 0xf03f, PSDRV_AGLGlyphNames +  476 },	/* a8 */
    { 0xf040, PSDRV_AGLGlyphNames +  486 },	/* a9 */
    { 0xf041, PSDRV_AGLGlyphNames +  297 },	/* a10 */
    { 0xf042, PSDRV_AGLGlyphNames +  420 },	/* a29 */
    { 0xf043, PSDRV_AGLGlyphNames +  422 },	/* a30 */
    { 0xf044, PSDRV_AGLGlyphNames +  423 },	/* a31 */
    { 0xf045, PSDRV_AGLGlyphNames +  424 },	/* a32 */
    { 0xf046, PSDRV_AGLGlyphNames +  425 },	/* a33 */
    { 0xf047, PSDRV_AGLGlyphNames +  426 },	/* a34 */
    { 0xf048, PSDRV_AGLGlyphNames +  427 },	/* a35 */
    { 0xf049, PSDRV_AGLGlyphNames +  428 },	/* a36 */
    { 0xf04a, PSDRV_AGLGlyphNames +  429 },	/* a37 */
    { 0xf04b, PSDRV_AGLGlyphNames +  430 },	/* a38 */
    { 0xf04c, PSDRV_AGLGlyphNames +  431 },	/* a39 */
    { 0xf04d, PSDRV_AGLGlyphNames +  433 },	/* a40 */
    { 0xf04e, PSDRV_AGLGlyphNames +  434 },	/* a41 */
    { 0xf04f, PSDRV_AGLGlyphNames +  435 },	/* a42 */
    { 0xf050, PSDRV_AGLGlyphNames +  436 },	/* a43 */
    { 0xf051, PSDRV_AGLGlyphNames +  437 },	/* a44 */
    { 0xf052, PSDRV_AGLGlyphNames +  438 },	/* a45 */
    { 0xf053, PSDRV_AGLGlyphNames +  439 },	/* a46 */
    { 0xf054, PSDRV_AGLGlyphNames +  440 },	/* a47 */
    { 0xf055, PSDRV_AGLGlyphNames +  441 },	/* a48 */
    { 0xf056, PSDRV_AGLGlyphNames +  442 },	/* a49 */
    { 0xf057, PSDRV_AGLGlyphNames +  444 },	/* a50 */
    { 0xf058, PSDRV_AGLGlyphNames +  445 },	/* a51 */
    { 0xf059, PSDRV_AGLGlyphNames +  446 },	/* a52 */
    { 0xf05a, PSDRV_AGLGlyphNames +  447 },	/* a53 */
    { 0xf05b, PSDRV_AGLGlyphNames +  448 },	/* a54 */
    { 0xf05c, PSDRV_AGLGlyphNames +  449 },	/* a55 */
    { 0xf05d, PSDRV_AGLGlyphNames +  450 },	/* a56 */
    { 0xf05e, PSDRV_AGLGlyphNames +  451 },	/* a57 */
    { 0xf05f, PSDRV_AGLGlyphNames +  452 },	/* a58 */
    { 0xf060, PSDRV_AGLGlyphNames +  453 },	/* a59 */
    { 0xf061, PSDRV_AGLGlyphNames +  455 },	/* a60 */
    { 0xf062, PSDRV_AGLGlyphNames +  456 },	/* a61 */
    { 0xf063, PSDRV_AGLGlyphNames +  457 },	/* a62 */
    { 0xf064, PSDRV_AGLGlyphNames +  458 },	/* a63 */
    { 0xf065, PSDRV_AGLGlyphNames +  459 },	/* a64 */
    { 0xf066, PSDRV_AGLGlyphNames +  460 },	/* a65 */
    { 0xf067, PSDRV_AGLGlyphNames +  461 },	/* a66 */
    { 0xf068, PSDRV_AGLGlyphNames +  462 },	/* a67 */
    { 0xf069, PSDRV_AGLGlyphNames +  463 },	/* a68 */
    { 0xf06a, PSDRV_AGLGlyphNames +  464 },	/* a69 */
    { 0xf06b, PSDRV_AGLGlyphNames +  466 },	/* a70 */
    { 0xf06c, PSDRV_AGLGlyphNames +  467 },	/* a71 */
    { 0xf06d, PSDRV_AGLGlyphNames +  468 },	/* a72 */
    { 0xf06e, PSDRV_AGLGlyphNames +  469 },	/* a73 */
    { 0xf06f, PSDRV_AGLGlyphNames +  470 },	/* a74 */
    { 0xf070, PSDRV_AGLGlyphNames +  408 },	/* a203 */
    { 0xf071, PSDRV_AGLGlyphNames +  471 },	/* a75 */
    { 0xf072, PSDRV_AGLGlyphNames +  409 },	/* a204 */
    { 0xf073, PSDRV_AGLGlyphNames +  472 },	/* a76 */
    { 0xf074, PSDRV_AGLGlyphNames +  473 },	/* a77 */
    { 0xf075, PSDRV_AGLGlyphNames +  474 },	/* a78 */
    { 0xf076, PSDRV_AGLGlyphNames +  475 },	/* a79 */
    { 0xf077, PSDRV_AGLGlyphNames +  477 },	/* a81 */
    { 0xf078, PSDRV_AGLGlyphNames +  478 },	/* a82 */
    { 0xf079, PSDRV_AGLGlyphNames +  479 },	/* a83 */
    { 0xf07a, PSDRV_AGLGlyphNames +  480 },	/* a84 */
    { 0xf07b, PSDRV_AGLGlyphNames +  494 },	/* a97 */
    { 0xf07c, PSDRV_AGLGlyphNames +  495 },	/* a98 */
    { 0xf07d, PSDRV_AGLGlyphNames +  496 },	/* a99 */
    { 0xf07e, PSDRV_AGLGlyphNames +  298 },	/* a100 */
    { 0xf0a1, PSDRV_AGLGlyphNames +  299 },	/* a101 */
    { 0xf0a2, PSDRV_AGLGlyphNames +  300 },	/* a102 */
    { 0xf0a3, PSDRV_AGLGlyphNames +  301 },	/* a103 */
    { 0xf0a4, PSDRV_AGLGlyphNames +  302 },	/* a104 */
    { 0xf0a5, PSDRV_AGLGlyphNames +  304 },	/* a106 */
    { 0xf0a6, PSDRV_AGLGlyphNames +  305 },	/* a107 */
    { 0xf0a7, PSDRV_AGLGlyphNames +  306 },	/* a108 */
    { 0xf0a8, PSDRV_AGLGlyphNames +  311 },	/* a112 */
    { 0xf0a9, PSDRV_AGLGlyphNames +  310 },	/* a111 */
    { 0xf0aa, PSDRV_AGLGlyphNames +  309 },	/* a110 */
    { 0xf0ab, PSDRV_AGLGlyphNames +  307 },	/* a109 */
    { 0xf0ac, PSDRV_AGLGlyphNames +  316 },	/* a120 */
    { 0xf0ad, PSDRV_AGLGlyphNames +  317 },	/* a121 */
    { 0xf0ae, PSDRV_AGLGlyphNames +  318 },	/* a122 */
    { 0xf0af, PSDRV_AGLGlyphNames +  319 },	/* a123 */
    { 0xf0b0, PSDRV_AGLGlyphNames +  320 },	/* a124 */
    { 0xf0b1, PSDRV_AGLGlyphNames +  321 },	/* a125 */
    { 0xf0b2, PSDRV_AGLGlyphNames +  322 },	/* a126 */
    { 0xf0b3, PSDRV_AGLGlyphNames +  323 },	/* a127 */
    { 0xf0b4, PSDRV_AGLGlyphNames +  324 },	/* a128 */
    { 0xf0b5, PSDRV_AGLGlyphNames +  325 },	/* a129 */
    { 0xf0b6, PSDRV_AGLGlyphNames +  327 },	/* a130 */
    { 0xf0b7, PSDRV_AGLGlyphNames +  328 },	/* a131 */
    { 0xf0b8, PSDRV_AGLGlyphNames +  329 },	/* a132 */
    { 0xf0b9, PSDRV_AGLGlyphNames +  330 },	/* a133 */
    { 0xf0ba, PSDRV_AGLGlyphNames +  331 },	/* a134 */
    { 0xf0bb, PSDRV_AGLGlyphNames +  332 },	/* a135 */
    { 0xf0bc, PSDRV_AGLGlyphNames +  333 },	/* a136 */
    { 0xf0bd, PSDRV_AGLGlyphNames +  334 },	/* a137 */
    { 0xf0be, PSDRV_AGLGlyphNames +  335 },	/* a138 */
    { 0xf0bf, PSDRV_AGLGlyphNames +  336 },	/* a139 */
    { 0xf0c0, PSDRV_AGLGlyphNames +  338 },	/* a140 */
    { 0xf0c1, PSDRV_AGLGlyphNames +  339 },	/* a141 */
    { 0xf0c2, PSDRV_AGLGlyphNames +  340 },	/* a142 */
    { 0xf0c3, PSDRV_AGLGlyphNames +  341 },	/* a143 */
    { 0xf0c4, PSDRV_AGLGlyphNames +  342 },	/* a144 */
    { 0xf0c5, PSDRV_AGLGlyphNames +  343 },	/* a145 */
    { 0xf0c6, PSDRV_AGLGlyphNames +  344 },	/* a146 */
    { 0xf0c7, PSDRV_AGLGlyphNames +  345 },	/* a147 */
    { 0xf0c8, PSDRV_AGLGlyphNames +  346 },	/* a148 */
    { 0xf0c9, PSDRV_AGLGlyphNames +  347 },	/* a149 */
    { 0xf0ca, PSDRV_AGLGlyphNames +  349 },	/* a150 */
    { 0xf0cb, PSDRV_AGLGlyphNames +  350 },	/* a151 */
    { 0xf0cc, PSDRV_AGLGlyphNames +  351 },	/* a152 */
    { 0xf0cd, PSDRV_AGLGlyphNames +  352 },	/* a153 */
    { 0xf0ce, PSDRV_AGLGlyphNames +  353 },	/* a154 */
    { 0xf0cf, PSDRV_AGLGlyphNames +  354 },	/* a155 */
    { 0xf0d0, PSDRV_AGLGlyphNames +  355 },	/* a156 */
    { 0xf0d1, PSDRV_AGLGlyphNames +  356 },	/* a157 */
    { 0xf0d2, PSDRV_AGLGlyphNames +  357 },	/* a158 */
    { 0xf0d3, PSDRV_AGLGlyphNames +  358 },	/* a159 */
    { 0xf0d4, PSDRV_AGLGlyphNames +  360 },	/* a160 */
    { 0xf0d5, PSDRV_AGLGlyphNames +  361 },	/* a161 */
    { 0xf0d6, PSDRV_AGLGlyphNames +  363 },	/* a163 */
    { 0xf0d7, PSDRV_AGLGlyphNames +  364 },	/* a164 */
    { 0xf0d8, PSDRV_AGLGlyphNames +  399 },	/* a196 */
    { 0xf0d9, PSDRV_AGLGlyphNames +  365 },	/* a165 */
    { 0xf0da, PSDRV_AGLGlyphNames +  395 },	/* a192 */
    { 0xf0db, PSDRV_AGLGlyphNames +  366 },	/* a166 */
    { 0xf0dc, PSDRV_AGLGlyphNames +  367 },	/* a167 */
    { 0xf0dd, PSDRV_AGLGlyphNames +  368 },	/* a168 */
    { 0xf0de, PSDRV_AGLGlyphNames +  369 },	/* a169 */
    { 0xf0df, PSDRV_AGLGlyphNames +  371 },	/* a170 */
    { 0xf0e0, PSDRV_AGLGlyphNames +  372 },	/* a171 */
    { 0xf0e1, PSDRV_AGLGlyphNames +  373 },	/* a172 */
    { 0xf0e2, PSDRV_AGLGlyphNames +  374 },	/* a173 */
    { 0xf0e3, PSDRV_AGLGlyphNames +  362 },	/* a162 */
    { 0xf0e4, PSDRV_AGLGlyphNames +  375 },	/* a174 */
    { 0xf0e5, PSDRV_AGLGlyphNames +  376 },	/* a175 */
    { 0xf0e6, PSDRV_AGLGlyphNames +  377 },	/* a176 */
    { 0xf0e7, PSDRV_AGLGlyphNames +  378 },	/* a177 */
    { 0xf0e8, PSDRV_AGLGlyphNames +  379 },	/* a178 */
    { 0xf0e9, PSDRV_AGLGlyphNames +  380 },	/* a179 */
    { 0xf0ea, PSDRV_AGLGlyphNames +  396 },	/* a193 */
    { 0xf0eb, PSDRV_AGLGlyphNames +  382 },	/* a180 */
    { 0xf0ec, PSDRV_AGLGlyphNames +  402 },	/* a199 */
    { 0xf0ed, PSDRV_AGLGlyphNames +  383 },	/* a181 */
    { 0xf0ee, PSDRV_AGLGlyphNames +  405 },	/* a200 */
    { 0xf0ef, PSDRV_AGLGlyphNames +  384 },	/* a182 */
    { 0xf0f1, PSDRV_AGLGlyphNames +  406 },	/* a201 */
    { 0xf0f2, PSDRV_AGLGlyphNames +  385 },	/* a183 */
    { 0xf0f3, PSDRV_AGLGlyphNames +  386 },	/* a184 */
    { 0xf0f4, PSDRV_AGLGlyphNames +  400 },	/* a197 */
    { 0xf0f5, PSDRV_AGLGlyphNames +  387 },	/* a185 */
    { 0xf0f6, PSDRV_AGLGlyphNames +  397 },	/* a194 */
    { 0xf0f7, PSDRV_AGLGlyphNames +  401 },	/* a198 */
    { 0xf0f8, PSDRV_AGLGlyphNames +  388 },	/* a186 */
    { 0xf0f9, PSDRV_AGLGlyphNames +  398 },	/* a195 */
    { 0xf0fa, PSDRV_AGLGlyphNames +  389 },	/* a187 */
    { 0xf0fb, PSDRV_AGLGlyphNames +  390 },	/* a188 */
    { 0xf0fc, PSDRV_AGLGlyphNames +  391 },	/* a189 */
    { 0xf0fd, PSDRV_AGLGlyphNames +  393 },	/* a190 */
    { 0xf0fe, PSDRV_AGLGlyphNames +  394 }	/* a191 */
};

static UNICODEVECTOR enc_ZapfDingbats = { 188, ug_ZapfDingbats };


/*
 *  Glyph metrics
 */

static AFMMETRICS met_ZapfDingbats[188] = 
{
    {
	 32, 0xf020,  278, PSDRV_AGLGlyphNames + 1169,
		{    0,    0,    0,    0 }, NULL	/* space */
    },
    {
	 33, 0xf021,  974, PSDRV_AGLGlyphNames +  296,
		{   35,   72,  939,  621 }, NULL	/* a1 */
    },
    {
	 34, 0xf022,  961, PSDRV_AGLGlyphNames +  403,
		{   35,   81,  927,  611 }, NULL	/* a2 */
    },
    {
	 35, 0xf023,  974, PSDRV_AGLGlyphNames +  407,
		{   35,   72,  939,  621 }, NULL	/* a202 */
    },
    {
	 36, 0xf024,  980, PSDRV_AGLGlyphNames +  421,
		{   35,    0,  945,  692 }, NULL	/* a3 */
    },
    {
	 37, 0xf025,  719, PSDRV_AGLGlyphNames +  432,
		{   34,  139,  685,  566 }, NULL	/* a4 */
    },
    {
	 38, 0xf026,  789, PSDRV_AGLGlyphNames +  443,
		{   35,  -14,  755,  705 }, NULL	/* a5 */
    },
    {
	 39, 0xf027,  790, PSDRV_AGLGlyphNames +  314,
		{   35,  -14,  755,  705 }, NULL	/* a119 */
    },
    {
	 40, 0xf028,  791, PSDRV_AGLGlyphNames +  313,
		{   35,  -13,  761,  705 }, NULL	/* a118 */
    },
    {
	 41, 0xf029,  690, PSDRV_AGLGlyphNames +  312,
		{   35,  138,  655,  553 }, NULL	/* a117 */
    },
    {
	 42, 0xf02a,  960, PSDRV_AGLGlyphNames +  308,
		{   35,  123,  925,  568 }, NULL	/* a11 */
    },
    {
	 43, 0xf02b,  939, PSDRV_AGLGlyphNames +  315,
		{   35,  134,  904,  559 }, NULL	/* a12 */
    },
    {
	 44, 0xf02c,  549, PSDRV_AGLGlyphNames +  326,
		{   29,  -11,  516,  705 }, NULL	/* a13 */
    },
    {
	 45, 0xf02d,  855, PSDRV_AGLGlyphNames +  337,
		{   34,   59,  820,  632 }, NULL	/* a14 */
    },
    {
	 46, 0xf02e,  911, PSDRV_AGLGlyphNames +  348,
		{   35,   50,  876,  642 }, NULL	/* a15 */
    },
    {
	 47, 0xf02f,  933, PSDRV_AGLGlyphNames +  359,
		{   35,  139,  899,  550 }, NULL	/* a16 */
    },
    {
	 48, 0xf030,  911, PSDRV_AGLGlyphNames +  303,
		{   35,   50,  876,  642 }, NULL	/* a105 */
    },
    {
	 49, 0xf031,  945, PSDRV_AGLGlyphNames +  370,
		{   35,  139,  909,  553 }, NULL	/* a17 */
    },
    {
	 50, 0xf032,  974, PSDRV_AGLGlyphNames +  381,
		{   35,  104,  938,  587 }, NULL	/* a18 */
    },
    {
	 51, 0xf033,  755, PSDRV_AGLGlyphNames +  392,
		{   34,  -13,  721,  705 }, NULL	/* a19 */
    },
    {
	 52, 0xf034,  846, PSDRV_AGLGlyphNames +  404,
		{   36,  -14,  811,  705 }, NULL	/* a20 */
    },
    {
	 53, 0xf035,  762, PSDRV_AGLGlyphNames +  412,
		{   35,    0,  727,  692 }, NULL	/* a21 */
    },
    {
	 54, 0xf036,  761, PSDRV_AGLGlyphNames +  413,
		{   35,    0,  727,  692 }, NULL	/* a22 */
    },
    {
	 55, 0xf037,  571, PSDRV_AGLGlyphNames +  414,
		{   -1,  -68,  571,  661 }, NULL	/* a23 */
    },
    {
	 56, 0xf038,  677, PSDRV_AGLGlyphNames +  415,
		{   36,  -13,  642,  705 }, NULL	/* a24 */
    },
    {
	 57, 0xf039,  763, PSDRV_AGLGlyphNames +  416,
		{   35,    0,  728,  692 }, NULL	/* a25 */
    },
    {
	 58, 0xf03a,  760, PSDRV_AGLGlyphNames +  417,
		{   35,    0,  726,  692 }, NULL	/* a26 */
    },
    {
	 59, 0xf03b,  759, PSDRV_AGLGlyphNames +  418,
		{   35,    0,  725,  692 }, NULL	/* a27 */
    },
    {
	 60, 0xf03c,  754, PSDRV_AGLGlyphNames +  419,
		{   35,    0,  720,  692 }, NULL	/* a28 */
    },
    {
	 61, 0xf03d,  494, PSDRV_AGLGlyphNames +  454,
		{   35,    0,  460,  692 }, NULL	/* a6 */
    },
    {
	 62, 0xf03e,  552, PSDRV_AGLGlyphNames +  465,
		{   35,    0,  517,  692 }, NULL	/* a7 */
    },
    {
	 63, 0xf03f,  537, PSDRV_AGLGlyphNames +  476,
		{   35,    0,  503,  692 }, NULL	/* a8 */
    },
    {
	 64, 0xf040,  577, PSDRV_AGLGlyphNames +  486,
		{   35,   96,  542,  596 }, NULL	/* a9 */
    },
    {
	 65, 0xf041,  692, PSDRV_AGLGlyphNames +  297,
		{   35,  -14,  657,  705 }, NULL	/* a10 */
    },
    {
	 66, 0xf042,  786, PSDRV_AGLGlyphNames +  420,
		{   35,  -14,  751,  705 }, NULL	/* a29 */
    },
    {
	 67, 0xf043,  788, PSDRV_AGLGlyphNames +  422,
		{   35,  -14,  752,  705 }, NULL	/* a30 */
    },
    {
	 68, 0xf044,  788, PSDRV_AGLGlyphNames +  423,
		{   35,  -14,  753,  705 }, NULL	/* a31 */
    },
    {
	 69, 0xf045,  790, PSDRV_AGLGlyphNames +  424,
		{   35,  -14,  756,  705 }, NULL	/* a32 */
    },
    {
	 70, 0xf046,  793, PSDRV_AGLGlyphNames +  425,
		{   35,  -13,  759,  705 }, NULL	/* a33 */
    },
    {
	 71, 0xf047,  794, PSDRV_AGLGlyphNames +  426,
		{   35,  -13,  759,  705 }, NULL	/* a34 */
    },
    {
	 72, 0xf048,  816, PSDRV_AGLGlyphNames +  427,
		{   35,  -14,  782,  705 }, NULL	/* a35 */
    },
    {
	 73, 0xf049,  823, PSDRV_AGLGlyphNames +  428,
		{   35,  -14,  787,  705 }, NULL	/* a36 */
    },
    {
	 74, 0xf04a,  789, PSDRV_AGLGlyphNames +  429,
		{   35,  -14,  754,  705 }, NULL	/* a37 */
    },
    {
	 75, 0xf04b,  841, PSDRV_AGLGlyphNames +  430,
		{   35,  -14,  807,  705 }, NULL	/* a38 */
    },
    {
	 76, 0xf04c,  823, PSDRV_AGLGlyphNames +  431,
		{   35,  -14,  789,  705 }, NULL	/* a39 */
    },
    {
	 77, 0xf04d,  833, PSDRV_AGLGlyphNames +  433,
		{   35,  -14,  798,  705 }, NULL	/* a40 */
    },
    {
	 78, 0xf04e,  816, PSDRV_AGLGlyphNames +  434,
		{   35,  -13,  782,  705 }, NULL	/* a41 */
    },
    {
	 79, 0xf04f,  831, PSDRV_AGLGlyphNames +  435,
		{   35,  -14,  796,  705 }, NULL	/* a42 */
    },
    {
	 80, 0xf050,  923, PSDRV_AGLGlyphNames +  436,
		{   35,  -14,  888,  705 }, NULL	/* a43 */
    },
    {
	 81, 0xf051,  744, PSDRV_AGLGlyphNames +  437,
		{   35,    0,  710,  692 }, NULL	/* a44 */
    },
    {
	 82, 0xf052,  723, PSDRV_AGLGlyphNames +  438,
		{   35,    0,  688,  692 }, NULL	/* a45 */
    },
    {
	 83, 0xf053,  749, PSDRV_AGLGlyphNames +  439,
		{   35,    0,  714,  692 }, NULL	/* a46 */
    },
    {
	 84, 0xf054,  790, PSDRV_AGLGlyphNames +  440,
		{   34,  -14,  756,  705 }, NULL	/* a47 */
    },
    {
	 85, 0xf055,  792, PSDRV_AGLGlyphNames +  441,
		{   35,  -14,  758,  705 }, NULL	/* a48 */
    },
    {
	 86, 0xf056,  695, PSDRV_AGLGlyphNames +  442,
		{   35,  -14,  661,  706 }, NULL	/* a49 */
    },
    {
	 87, 0xf057,  776, PSDRV_AGLGlyphNames +  444,
		{   35,   -6,  741,  699 }, NULL	/* a50 */
    },
    {
	 88, 0xf058,  768, PSDRV_AGLGlyphNames +  445,
		{   35,   -7,  734,  699 }, NULL	/* a51 */
    },
    {
	 89, 0xf059,  792, PSDRV_AGLGlyphNames +  446,
		{   35,  -14,  757,  705 }, NULL	/* a52 */
    },
    {
	 90, 0xf05a,  759, PSDRV_AGLGlyphNames +  447,
		{   35,    0,  725,  692 }, NULL	/* a53 */
    },
    {
	 91, 0xf05b,  707, PSDRV_AGLGlyphNames +  448,
		{   35,  -13,  672,  704 }, NULL	/* a54 */
    },
    {
	 92, 0xf05c,  708, PSDRV_AGLGlyphNames +  449,
		{   35,  -14,  672,  705 }, NULL	/* a55 */
    },
    {
	 93, 0xf05d,  682, PSDRV_AGLGlyphNames +  450,
		{   35,  -14,  647,  705 }, NULL	/* a56 */
    },
    {
	 94, 0xf05e,  701, PSDRV_AGLGlyphNames +  451,
		{   35,  -14,  666,  705 }, NULL	/* a57 */
    },
    {
	 95, 0xf05f,  826, PSDRV_AGLGlyphNames +  452,
		{   35,  -14,  791,  705 }, NULL	/* a58 */
    },
    {
	 96, 0xf060,  815, PSDRV_AGLGlyphNames +  453,
		{   35,  -14,  780,  705 }, NULL	/* a59 */
    },
    {
	 97, 0xf061,  789, PSDRV_AGLGlyphNames +  455,
		{   35,  -14,  754,  705 }, NULL	/* a60 */
    },
    {
	 98, 0xf062,  789, PSDRV_AGLGlyphNames +  456,
		{   35,  -14,  754,  705 }, NULL	/* a61 */
    },
    {
	 99, 0xf063,  707, PSDRV_AGLGlyphNames +  457,
		{   34,  -14,  673,  705 }, NULL	/* a62 */
    },
    {
	100, 0xf064,  687, PSDRV_AGLGlyphNames +  458,
		{   36,    0,  651,  692 }, NULL	/* a63 */
    },
    {
	101, 0xf065,  696, PSDRV_AGLGlyphNames +  459,
		{   35,    0,  661,  691 }, NULL	/* a64 */
    },
    {
	102, 0xf066,  689, PSDRV_AGLGlyphNames +  460,
		{   35,    0,  655,  692 }, NULL	/* a65 */
    },
    {
	103, 0xf067,  786, PSDRV_AGLGlyphNames +  461,
		{   34,  -14,  751,  705 }, NULL	/* a66 */
    },
    {
	104, 0xf068,  787, PSDRV_AGLGlyphNames +  462,
		{   35,  -14,  752,  705 }, NULL	/* a67 */
    },
    {
	105, 0xf069,  713, PSDRV_AGLGlyphNames +  463,
		{   35,  -14,  678,  705 }, NULL	/* a68 */
    },
    {
	106, 0xf06a,  791, PSDRV_AGLGlyphNames +  464,
		{   35,  -14,  756,  705 }, NULL	/* a69 */
    },
    {
	107, 0xf06b,  785, PSDRV_AGLGlyphNames +  466,
		{   36,  -14,  751,  705 }, NULL	/* a70 */
    },
    {
	108, 0xf06c,  791, PSDRV_AGLGlyphNames +  467,
		{   35,  -14,  757,  705 }, NULL	/* a71 */
    },
    {
	109, 0xf06d,  873, PSDRV_AGLGlyphNames +  468,
		{   35,  -14,  838,  705 }, NULL	/* a72 */
    },
    {
	110, 0xf06e,  761, PSDRV_AGLGlyphNames +  469,
		{   35,    0,  726,  692 }, NULL	/* a73 */
    },
    {
	111, 0xf06f,  762, PSDRV_AGLGlyphNames +  470,
		{   35,    0,  727,  692 }, NULL	/* a74 */
    },
    {
	112, 0xf070,  762, PSDRV_AGLGlyphNames +  408,
		{   35,    0,  727,  692 }, NULL	/* a203 */
    },
    {
	113, 0xf071,  759, PSDRV_AGLGlyphNames +  471,
		{   35,    0,  725,  692 }, NULL	/* a75 */
    },
    {
	114, 0xf072,  759, PSDRV_AGLGlyphNames +  409,
		{   35,    0,  725,  692 }, NULL	/* a204 */
    },
    {
	115, 0xf073,  892, PSDRV_AGLGlyphNames +  472,
		{   35,    0,  858,  705 }, NULL	/* a76 */
    },
    {
	116, 0xf074,  892, PSDRV_AGLGlyphNames +  473,
		{   35,  -14,  858,  692 }, NULL	/* a77 */
    },
    {
	117, 0xf075,  788, PSDRV_AGLGlyphNames +  474,
		{   35,  -14,  754,  705 }, NULL	/* a78 */
    },
    {
	118, 0xf076,  784, PSDRV_AGLGlyphNames +  475,
		{   35,  -14,  749,  705 }, NULL	/* a79 */
    },
    {
	119, 0xf077,  438, PSDRV_AGLGlyphNames +  477,
		{   35,  -14,  403,  705 }, NULL	/* a81 */
    },
    {
	120, 0xf078,  138, PSDRV_AGLGlyphNames +  478,
		{   35,    0,  104,  692 }, NULL	/* a82 */
    },
    {
	121, 0xf079,  277, PSDRV_AGLGlyphNames +  479,
		{   35,    0,  242,  692 }, NULL	/* a83 */
    },
    {
	122, 0xf07a,  415, PSDRV_AGLGlyphNames +  480,
		{   35,    0,  380,  692 }, NULL	/* a84 */
    },
    {
	123, 0xf07b,  392, PSDRV_AGLGlyphNames +  494,
		{   35,  263,  357,  705 }, NULL	/* a97 */
    },
    {
	124, 0xf07c,  392, PSDRV_AGLGlyphNames +  495,
		{   34,  263,  357,  705 }, NULL	/* a98 */
    },
    {
	125, 0xf07d,  668, PSDRV_AGLGlyphNames +  496,
		{   35,  263,  633,  705 }, NULL	/* a99 */
    },
    {
	126, 0xf07e,  668, PSDRV_AGLGlyphNames +  298,
		{   36,  263,  634,  705 }, NULL	/* a100 */
    },
    {
	161, 0xf0a1,  732, PSDRV_AGLGlyphNames +  299,
		{   35, -143,  697,  806 }, NULL	/* a101 */
    },
    {
	162, 0xf0a2,  544, PSDRV_AGLGlyphNames +  300,
		{   56,  -14,  488,  706 }, NULL	/* a102 */
    },
    {
	163, 0xf0a3,  544, PSDRV_AGLGlyphNames +  301,
		{   34,  -14,  508,  705 }, NULL	/* a103 */
    },
    {
	164, 0xf0a4,  910, PSDRV_AGLGlyphNames +  302,
		{   35,   40,  875,  651 }, NULL	/* a104 */
    },
    {
	165, 0xf0a5,  667, PSDRV_AGLGlyphNames +  304,
		{   35,  -14,  633,  705 }, NULL	/* a106 */
    },
    {
	166, 0xf0a6,  760, PSDRV_AGLGlyphNames +  305,
		{   35,  -14,  726,  705 }, NULL	/* a107 */
    },
    {
	167, 0xf0a7,  760, PSDRV_AGLGlyphNames +  306,
		{    0,  121,  758,  569 }, NULL	/* a108 */
    },
    {
	168, 0xf0a8,  776, PSDRV_AGLGlyphNames +  311,
		{   35,    0,  741,  705 }, NULL	/* a112 */
    },
    {
	169, 0xf0a9,  595, PSDRV_AGLGlyphNames +  310,
		{   34,  -14,  560,  705 }, NULL	/* a111 */
    },
    {
	170, 0xf0aa,  694, PSDRV_AGLGlyphNames +  309,
		{   35,  -14,  659,  705 }, NULL	/* a110 */
    },
    {
	171, 0xf0ab,  626, PSDRV_AGLGlyphNames +  307,
		{   34,    0,  591,  705 }, NULL	/* a109 */
    },
    {
	172, 0xf0ac,  788, PSDRV_AGLGlyphNames +  316,
		{   35,  -14,  754,  705 }, NULL	/* a120 */
    },
    {
	173, 0xf0ad,  788, PSDRV_AGLGlyphNames +  317,
		{   35,  -14,  754,  705 }, NULL	/* a121 */
    },
    {
	174, 0xf0ae,  788, PSDRV_AGLGlyphNames +  318,
		{   35,  -14,  754,  705 }, NULL	/* a122 */
    },
    {
	175, 0xf0af,  788, PSDRV_AGLGlyphNames +  319,
		{   35,  -14,  754,  705 }, NULL	/* a123 */
    },
    {
	176, 0xf0b0,  788, PSDRV_AGLGlyphNames +  320,
		{   35,  -14,  754,  705 }, NULL	/* a124 */
    },
    {
	177, 0xf0b1,  788, PSDRV_AGLGlyphNames +  321,
		{   35,  -14,  754,  705 }, NULL	/* a125 */
    },
    {
	178, 0xf0b2,  788, PSDRV_AGLGlyphNames +  322,
		{   35,  -14,  754,  705 }, NULL	/* a126 */
    },
    {
	179, 0xf0b3,  788, PSDRV_AGLGlyphNames +  323,
		{   35,  -14,  754,  705 }, NULL	/* a127 */
    },
    {
	180, 0xf0b4,  788, PSDRV_AGLGlyphNames +  324,
		{   35,  -14,  754,  705 }, NULL	/* a128 */
    },
    {
	181, 0xf0b5,  788, PSDRV_AGLGlyphNames +  325,
		{   35,  -14,  754,  705 }, NULL	/* a129 */
    },
    {
	182, 0xf0b6,  788, PSDRV_AGLGlyphNames +  327,
		{   35,  -14,  754,  705 }, NULL	/* a130 */
    },
    {
	183, 0xf0b7,  788, PSDRV_AGLGlyphNames +  328,
		{   35,  -14,  754,  705 }, NULL	/* a131 */
    },
    {
	184, 0xf0b8,  788, PSDRV_AGLGlyphNames +  329,
		{   35,  -14,  754,  705 }, NULL	/* a132 */
    },
    {
	185, 0xf0b9,  788, PSDRV_AGLGlyphNames +  330,
		{   35,  -14,  754,  705 }, NULL	/* a133 */
    },
    {
	186, 0xf0ba,  788, PSDRV_AGLGlyphNames +  331,
		{   35,  -14,  754,  705 }, NULL	/* a134 */
    },
    {
	187, 0xf0bb,  788, PSDRV_AGLGlyphNames +  332,
		{   35,  -14,  754,  705 }, NULL	/* a135 */
    },
    {
	188, 0xf0bc,  788, PSDRV_AGLGlyphNames +  333,
		{   35,  -14,  754,  705 }, NULL	/* a136 */
    },
    {
	189, 0xf0bd,  788, PSDRV_AGLGlyphNames +  334,
		{   35,  -14,  754,  705 }, NULL	/* a137 */
    },
    {
	190, 0xf0be,  788, PSDRV_AGLGlyphNames +  335,
		{   35,  -14,  754,  705 }, NULL	/* a138 */
    },
    {
	191, 0xf0bf,  788, PSDRV_AGLGlyphNames +  336,
		{   35,  -14,  754,  705 }, NULL	/* a139 */
    },
    {
	192, 0xf0c0,  788, PSDRV_AGLGlyphNames +  338,
		{   35,  -14,  754,  705 }, NULL	/* a140 */
    },
    {
	193, 0xf0c1,  788, PSDRV_AGLGlyphNames +  339,
		{   35,  -14,  754,  705 }, NULL	/* a141 */
    },
    {
	194, 0xf0c2,  788, PSDRV_AGLGlyphNames +  340,
		{   35,  -14,  754,  705 }, NULL	/* a142 */
    },
    {
	195, 0xf0c3,  788, PSDRV_AGLGlyphNames +  341,
		{   35,  -14,  754,  705 }, NULL	/* a143 */
    },
    {
	196, 0xf0c4,  788, PSDRV_AGLGlyphNames +  342,
		{   35,  -14,  754,  705 }, NULL	/* a144 */
    },
    {
	197, 0xf0c5,  788, PSDRV_AGLGlyphNames +  343,
		{   35,  -14,  754,  705 }, NULL	/* a145 */
    },
    {
	198, 0xf0c6,  788, PSDRV_AGLGlyphNames +  344,
		{   35,  -14,  754,  705 }, NULL	/* a146 */
    },
    {
	199, 0xf0c7,  788, PSDRV_AGLGlyphNames +  345,
		{   35,  -14,  754,  705 }, NULL	/* a147 */
    },
    {
	200, 0xf0c8,  788, PSDRV_AGLGlyphNames +  346,
		{   35,  -14,  754,  705 }, NULL	/* a148 */
    },
    {
	201, 0xf0c9,  788, PSDRV_AGLGlyphNames +  347,
		{   35,  -14,  754,  705 }, NULL	/* a149 */
    },
    {
	202, 0xf0ca,  788, PSDRV_AGLGlyphNames +  349,
		{   35,  -14,  754,  705 }, NULL	/* a150 */
    },
    {
	203, 0xf0cb,  788, PSDRV_AGLGlyphNames +  350,
		{   35,  -14,  754,  705 }, NULL	/* a151 */
    },
    {
	204, 0xf0cc,  788, PSDRV_AGLGlyphNames +  351,
		{   35,  -14,  754,  705 }, NULL	/* a152 */
    },
    {
	205, 0xf0cd,  788, PSDRV_AGLGlyphNames +  352,
		{   35,  -14,  754,  705 }, NULL	/* a153 */
    },
    {
	206, 0xf0ce,  788, PSDRV_AGLGlyphNames +  353,
		{   35,  -14,  754,  705 }, NULL	/* a154 */
    },
    {
	207, 0xf0cf,  788, PSDRV_AGLGlyphNames +  354,
		{   35,  -14,  754,  705 }, NULL	/* a155 */
    },
    {
	208, 0xf0d0,  788, PSDRV_AGLGlyphNames +  355,
		{   35,  -14,  754,  705 }, NULL	/* a156 */
    },
    {
	209, 0xf0d1,  788, PSDRV_AGLGlyphNames +  356,
		{   35,  -14,  754,  705 }, NULL	/* a157 */
    },
    {
	210, 0xf0d2,  788, PSDRV_AGLGlyphNames +  357,
		{   35,  -14,  754,  705 }, NULL	/* a158 */
    },
    {
	211, 0xf0d3,  788, PSDRV_AGLGlyphNames +  358,
		{   35,  -14,  754,  705 }, NULL	/* a159 */
    },
    {
	212, 0xf0d4,  894, PSDRV_AGLGlyphNames +  360,
		{   35,   58,  860,  634 }, NULL	/* a160 */
    },
    {
	213, 0xf0d5,  838, PSDRV_AGLGlyphNames +  361,
		{   35,  152,  803,  540 }, NULL	/* a161 */
    },
    {
	214, 0xf0d6, 1016, PSDRV_AGLGlyphNames +  363,
		{   34,  152,  981,  540 }, NULL	/* a163 */
    },
    {
	215, 0xf0d7,  458, PSDRV_AGLGlyphNames +  364,
		{   35, -127,  422,  820 }, NULL	/* a164 */
    },
    {
	216, 0xf0d8,  748, PSDRV_AGLGlyphNames +  399,
		{   35,   94,  698,  597 }, NULL	/* a196 */
    },
    {
	217, 0xf0d9,  924, PSDRV_AGLGlyphNames +  365,
		{   35,  140,  890,  552 }, NULL	/* a165 */
    },
    {
	218, 0xf0da,  748, PSDRV_AGLGlyphNames +  395,
		{   35,   94,  698,  597 }, NULL	/* a192 */
    },
    {
	219, 0xf0db,  918, PSDRV_AGLGlyphNames +  366,
		{   35,  166,  884,  526 }, NULL	/* a166 */
    },
    {
	220, 0xf0dc,  927, PSDRV_AGLGlyphNames +  367,
		{   35,   32,  892,  660 }, NULL	/* a167 */
    },
    {
	221, 0xf0dd,  928, PSDRV_AGLGlyphNames +  368,
		{   35,  129,  891,  562 }, NULL	/* a168 */
    },
    {
	222, 0xf0de,  928, PSDRV_AGLGlyphNames +  369,
		{   35,  128,  893,  563 }, NULL	/* a169 */
    },
    {
	223, 0xf0df,  834, PSDRV_AGLGlyphNames +  371,
		{   35,  155,  799,  537 }, NULL	/* a170 */
    },
    {
	224, 0xf0e0,  873, PSDRV_AGLGlyphNames +  372,
		{   35,   93,  838,  599 }, NULL	/* a171 */
    },
    {
	225, 0xf0e1,  828, PSDRV_AGLGlyphNames +  373,
		{   35,  104,  791,  588 }, NULL	/* a172 */
    },
    {
	226, 0xf0e2,  924, PSDRV_AGLGlyphNames +  374,
		{   35,   98,  889,  594 }, NULL	/* a173 */
    },
    {
	227, 0xf0e3,  924, PSDRV_AGLGlyphNames +  362,
		{   35,   98,  889,  594 }, NULL	/* a162 */
    },
    {
	228, 0xf0e4,  917, PSDRV_AGLGlyphNames +  375,
		{   35,    0,  882,  692 }, NULL	/* a174 */
    },
    {
	229, 0xf0e5,  930, PSDRV_AGLGlyphNames +  376,
		{   35,   84,  896,  608 }, NULL	/* a175 */
    },
    {
	230, 0xf0e6,  931, PSDRV_AGLGlyphNames +  377,
		{   35,   84,  896,  608 }, NULL	/* a176 */
    },
    {
	231, 0xf0e7,  463, PSDRV_AGLGlyphNames +  378,
		{   35,  -99,  429,  791 }, NULL	/* a177 */
    },
    {
	232, 0xf0e8,  883, PSDRV_AGLGlyphNames +  379,
		{   35,   71,  848,  623 }, NULL	/* a178 */
    },
    {
	233, 0xf0e9,  836, PSDRV_AGLGlyphNames +  380,
		{   35,   44,  802,  648 }, NULL	/* a179 */
    },
    {
	234, 0xf0ea,  836, PSDRV_AGLGlyphNames +  396,
		{   35,   44,  802,  648 }, NULL	/* a193 */
    },
    {
	235, 0xf0eb,  867, PSDRV_AGLGlyphNames +  382,
		{   35,  101,  832,  591 }, NULL	/* a180 */
    },
    {
	236, 0xf0ec,  867, PSDRV_AGLGlyphNames +  402,
		{   35,  101,  832,  591 }, NULL	/* a199 */
    },
    {
	237, 0xf0ed,  696, PSDRV_AGLGlyphNames +  383,
		{   35,   44,  661,  648 }, NULL	/* a181 */
    },
    {
	238, 0xf0ee,  696, PSDRV_AGLGlyphNames +  405,
		{   35,   44,  661,  648 }, NULL	/* a200 */
    },
    {
	239, 0xf0ef,  874, PSDRV_AGLGlyphNames +  384,
		{   35,   77,  840,  619 }, NULL	/* a182 */
    },
    {
	241, 0xf0f1,  874, PSDRV_AGLGlyphNames +  406,
		{   35,   73,  840,  615 }, NULL	/* a201 */
    },
    {
	242, 0xf0f2,  760, PSDRV_AGLGlyphNames +  385,
		{   35,    0,  725,  692 }, NULL	/* a183 */
    },
    {
	243, 0xf0f3,  946, PSDRV_AGLGlyphNames +  386,
		{   35,  160,  911,  533 }, NULL	/* a184 */
    },
    {
	244, 0xf0f4,  771, PSDRV_AGLGlyphNames +  400,
		{   34,   37,  736,  655 }, NULL	/* a197 */
    },
    {
	245, 0xf0f5,  865, PSDRV_AGLGlyphNames +  387,
		{   35,  207,  830,  481 }, NULL	/* a185 */
    },
    {
	246, 0xf0f6,  771, PSDRV_AGLGlyphNames +  397,
		{   34,   37,  736,  655 }, NULL	/* a194 */
    },
    {
	247, 0xf0f7,  888, PSDRV_AGLGlyphNames +  401,
		{   34,  -19,  853,  712 }, NULL	/* a198 */
    },
    {
	248, 0xf0f8,  967, PSDRV_AGLGlyphNames +  388,
		{   35,  124,  932,  568 }, NULL	/* a186 */
    },
    {
	249, 0xf0f9,  888, PSDRV_AGLGlyphNames +  398,
		{   34,  -19,  853,  712 }, NULL	/* a195 */
    },
    {
	250, 0xf0fa,  831, PSDRV_AGLGlyphNames +  389,
		{   35,  113,  796,  579 }, NULL	/* a187 */
    },
    {
	251, 0xf0fb,  873, PSDRV_AGLGlyphNames +  390,
		{   36,  118,  838,  578 }, NULL	/* a188 */
    },
    {
	252, 0xf0fc,  927, PSDRV_AGLGlyphNames +  391,
		{   35,  150,  891,  542 }, NULL	/* a189 */
    },
    {
	253, 0xf0fd,  970, PSDRV_AGLGlyphNames +  393,
		{   35,   76,  931,  616 }, NULL	/* a190 */
    },
    {
	254, 0xf0fe,  918, PSDRV_AGLGlyphNames +  394,
		{   34,   99,  884,  593 }, NULL	/* a191 */
    }
};


/*
 *  Font metrics
 */

AFM PSDRV_ZapfDingbats =
{
    "ZapfDingbats",				/* FontName */
    "ITC Zapf Dingbats",			/* FullName */
    "ITC Zapf Dingbats",			/* FamilyName */
    "FontSpecific",				/* EncodingScheme */
    FW_NORMAL,					/* Weight */
    0,						/* ItalicAngle */
    FALSE,					/* IsFixedPitch */
    -98,					/* UnderlinePosition */
    54,						/* UnderlineThickness */
    { -1, -143, 981, 820 },			/* FontBBox */
    0,						/* CapHeight */
    0,						/* XHeight */
    820,					/* Ascender */
    -143,					/* Descender */
    820,					/* FullAscender */
    {
	1000,				/* WinMetrics.usUnitsPerEm */
	801,				/* WinMetrics.sAscender */
	-201,				/* WinMetrics.sDescender */
	0,				/* WinMetrics.sLineGap */
	740,				/* WinMetrics.sAvgCharWidth */
	801,				/* WinMetrics.sTypoAscender */
	-201,				/* WinMetrics.sTypoDescender */
	68,				/* WinMetrics.sTypoLineGap */
	801,				/* WinMetrics.usWinAscent */
	201				/* WinMetrics.usWinDescent */
    },
    {
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[0] - CharWidths[9] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[10] - CharWidths[19] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[20] - CharWidths[29] */
	0, 0, 278, 974, 961, 974, 980, 	/* CharWidths[30] - CharWidths[36] */
	719, 789, 790, 791, 690, 960, 	/* CharWidths[37] - CharWidths[42] */
	939, 549, 855, 911, 933, 911, 	/* CharWidths[43] - CharWidths[48] */
	945, 974, 755, 846, 762, 761, 	/* CharWidths[49] - CharWidths[54] */
	571, 677, 763, 760, 759, 754, 	/* CharWidths[55] - CharWidths[60] */
	494, 552, 537, 577, 692, 786, 	/* CharWidths[61] - CharWidths[66] */
	788, 788, 790, 793, 794, 816, 	/* CharWidths[67] - CharWidths[72] */
	823, 789, 841, 823, 833, 816, 	/* CharWidths[73] - CharWidths[78] */
	831, 923, 744, 723, 749, 790, 	/* CharWidths[79] - CharWidths[84] */
	792, 695, 776, 768, 792, 759, 	/* CharWidths[85] - CharWidths[90] */
	707, 708, 682, 701, 826, 815, 	/* CharWidths[91] - CharWidths[96] */
	789, 789, 707, 687, 696, 689, 	/* CharWidths[97] - CharWidths[102] */
	786, 787, 713, 791, 785, 791, 	/* CharWidths[103] - CharWidths[108] */
	873, 761, 762, 762, 759, 759, 	/* CharWidths[109] - CharWidths[114] */
	892, 892, 788, 784, 438, 138, 	/* CharWidths[115] - CharWidths[120] */
	277, 415, 392, 392, 668, 668, 	/* CharWidths[121] - CharWidths[126] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[127] - CharWidths[136] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[137] - CharWidths[146] */
	0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 	/* CharWidths[147] - CharWidths[156] */
	0, 0, 0, 0, 732, 544, 544, 	/* CharWidths[157] - CharWidths[163] */
	910, 667, 760, 760, 776, 595, 	/* CharWidths[164] - CharWidths[169] */
	694, 626, 788, 788, 788, 788, 	/* CharWidths[170] - CharWidths[175] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[176] - CharWidths[181] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[182] - CharWidths[187] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[188] - CharWidths[193] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[194] - CharWidths[199] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[200] - CharWidths[205] */
	788, 788, 788, 788, 788, 788, 	/* CharWidths[206] - CharWidths[211] */
	894, 838, 1016, 458, 748, 924, 	/* CharWidths[212] - CharWidths[217] */
	748, 918, 927, 928, 928, 834, 	/* CharWidths[218] - CharWidths[223] */
	873, 828, 924, 924, 917, 930, 	/* CharWidths[224] - CharWidths[229] */
	931, 463, 883, 836, 836, 867, 	/* CharWidths[230] - CharWidths[235] */
	867, 696, 696, 874, 0, 874, 	/* CharWidths[236] - CharWidths[241] */
	760, 946, 771, 865, 771, 888, 	/* CharWidths[242] - CharWidths[247] */
	967, 888, 831, 873, 927, 970, 	/* CharWidths[248] - CharWidths[253] */
	918, 0				/* CharWidths[254] - CharWidths[255] */
    },
    188,					/* NumofMetrics */
    met_ZapfDingbats,				/* Metrics */
    &enc_ZapfDingbats				/* Encoding */
};
